2010-09-04  Morten Welinder <terra@gnome.org>

	* Release 1.10.10

2010-09-04  Jean Brefort  <jean.brefort@normalesup.org>

	* src/wbc-gtk.c (set_entry_contents): fixed graph scalar data editor
	behavior. [#628721]

2010-09-01  Morten Welinder  <terra@gnome.org>

	* src/func.c (check_argument_refs): Plug leak.  Fix the actual
	test.

2010-08-31  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (set_entry_contents): Set scalar values using the
	editor's method for that.  That helps with formats.

2010-08-30  Morten Welinder  <terra@gnome.org>

	* src/clipboard.c (paste_cell): Also translate dates with
	time-of-day.

2010-08-27  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (valid_hms): Fix the case of elapsed minutes
	and second.  Take extra argument identifying what kind of elapsed
	format might be used.  Communicate whether the format needs to be
	elapsed back to caller.  All callers changed.

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: raise goffice requirement to 0.8.10

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.h (gnumeric_go_error_info_list_dialog_new): new
	(gnumeric_go_error_info_list_dialog_show): new
	* src/gui-util.c (gnumeric_go_error_info_list_dialog_new): new
	(gnumeric_go_error_info_list_dialog_show): new, maily code from
	  gnumeric_go_error_info_dialog_new
	(gnumeric_go_error_info_dialog_new): use
	  gnumeric_go_error_info_list_dialog_show
	* src/io-context-gtk.c (icg_error_error_info_list): new
	(icg_set_num_files): connect icg_error_error_info_list
	* src/wbc-gtk.c (wbcg_error_error_info_list): new
	(wbcg_gnm_cmd_context_init): connect wbcg_error_error_info_list
	* src/workbook-control.c (wbc_cmd_context_init): insert reminder stub

2010-08-24  Morten Welinder  <terra@gnome.org>

	* src/gnm-plugin.c (plugin_service_function_group_read_xml)
	(plugin_service_ui_read_xml): Fix char-xmlChar confusion.

	* src/libgnumeric.c (gnm_pre_parse_init): Make it possible to turn
	on glib memory profiler.

2010-08-23  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_colrow): Simplify and plug leak.
	(xml_sax_finish_parse_wb_attr): Plug leak.

2010-08-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* samples/chart-tests.gnumeric: update tab colours

2010-08-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* samples/chart-tests.gnumeric: add tab colours to indicate ODF support
	  for those pages (in round trip)

2010-08-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* samples/chart-tests.gnumeric: test plot types separately from our
	  ability to combine them.

2010-08-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.9

2010-08-16  Morten Welinder  <terra@gnome.org>

	* src/collect.c (collect_floats): Fix #627079 (FMR).

	* src/complex.c (complex_pow): Special-case a=0 which the general
	formula bungles.  Fixes #627014.

2010-08-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* samples/chart-tests.gnumeric: make sure the images match the graphs
	  (and fix the data to make it more likely to stay in this way.)

2010-08-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (CmdPasteCopy): new fields
	(cmd_paste_copy_impl): store sizes for rows and columns and restore them
	(cmd_paste_copy_finalize): finalize new fields
	(cmd_paste_copy): iitalize new fields

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_area_set_array_expr): autofit rows and columns.

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/colrow.h (colrow_autofit_col): new
	(colrow_autofit_row): new
	* src/colrow.c (colrow_autofit_col): new
	(colrow_autofit_row): new
	* src/commands.c (cmd_set_text_full_autofit_row): renamed and moved to
	  src/colrow.c
	(cmd_set_text_full_autofit_col): renamed and moved to src/colrow.c with
	  changes
	(cmd_set_text_full): adjust calls to cmd_set_text_full_autofit_*

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_set_text_full): check whether the same-text and
	  not same-markup situation in fact applies.

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_set_text_full_check_text): if we have already
	  have a string in the cell, we can ignore a leading '

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_set_text_full_check_text): new
	(cmd_set_text_full_check_markup): new
	(cmd_set_text_full): check for changed text and markup

2010-08-13  Morten Welinder  <terra@gnome.org>

	* src/colrow.c (colrow_state_list_destroy): Make this a function.

	* src/commands.c (cmd_set_text_full): Restore check for actual
	changes.  Fixes #626797.

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_set_text_full_check_texpr): new
	(cmd_set_text_full): check whether we are entering the same expression
	  already in all cells.

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_set_text_full): always autofit the rows and also
	  autofit the columns for non-strings.

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/colrow.c (colrow_set_sizes): revert last change
	* src/commands.c (cmd_set_text_full_autofit_*): new
	(cmd_set_text_full): don't use colrow_set_sizes but colrow_autofit
	* src/undo.c (gnm_undo_colrow_set_sizes_new): fix comment

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/colrow.c (colrow_set_sizes): use -2 as an indicator only to
	auto-fit non-strings
	* src/commands.c (cmd_set_text_full): use size -2
	* src/undo.c (gnm_undo_colrow_set_sizes_new): use -1 and -2 as
	autofit markers.

2010-08-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_set_text_*): deleted
	(cmd_set_text_full): new
	(cmd_set_text): use cmd_set_text_full
	(cmd_area_set_text): use cmd_set_text_full

2010-08-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_area_set_text): use autocorrection

2010-08-12  Morten Welinder  <terra@gnome.org>

	* src/cell.c (gnm_cell_set_expr_and_value, gnm_cell_set_value):
	Plug leaks in case preconditions fail.

2010-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (item_edit_update_bounds): fix in-cell editing when
	zoom < 100%. [#626679]

2010-08-11  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_colrow): Set "pos" initially.

2010-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (cb_update_ctrl_pts), (set_item_x_y),
	(set_acetate_coords): make control points zoom correctly. [see #626404]

2010-08-10  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane-impl.h: update comment.
	* src/gnm-pane.c (cb_pane_drag_motion): fixed objects dragging when zoomed.
	[#626484]
	* src/sheet-control-gui.c (scg_drag_receive_same_process): ditto.

2010-08-08  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_must_have_style): New function.  Use
	throughout.

2010-08-08  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-control-gui.c (gnm_pane_make_cell_visible): fix scroll when
	selecting a merged cell. [#626065]

2010-08-06  Morten Welinder  <terra@gnome.org>

	* src/gnm-random.c (random_01_mersenne): Produce full precision
	for long double case.
	(mt_setup_win32): New function.
	(random_01_determine): Try mt_setup_win32 on Win32.  Fixes
	#533779.

2010-08-05  Morten Welinder  <terra@gnome.org>

	* src/value.c (value_new_from_string): Quiet warning.

	* src/xml-sax-read.c (xml_sax_must_have_sheet): New function.  Use
	heavily throughout the parser.  Fixes #626043.
	(xml_sax_colrow): Avoid near-infinite loop.

2010-08-04  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_cell_set_array_expr): Use
	gnm_cell_set_array.  Fixes #626034's original problem.

	* src/cell.c (gnm_cell_set_array): New, somewhat saner variant.

	* src/expr.c (gnm_expr_eval): Catch when the alleged array corner
	isn't a corner.  See bug 626034.

	* src/cell.c (gnm_cell_set_array_formula): Improve preconditions.
	(gnm_cell_cleanout): Add precondition.

	* src/mstyle.c (gnm_style_set_font_italic,
	gnm_style_set_font_bold, gnm_style_set_font_strike,
	gnm_style_set_wrap_text, gnm_style_set_shrink_to_fit,
	gnm_style_set_contents_locked, gnm_style_set_contents_hidden):
	Normalize gboolean.
	(gnm_style_set_font_strike): Fix argument type.

2010-08-04  Jean Brefort  <jean.brefort@normalesup.org>

	* src/dependent.c (gnm_cell_eval_content): force columns span
	recalculation when switching between number and error. [#625994]

2010-08-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.c (gnumeric_create_tooltip_rc_style): set all colours
	(gnumeric_create_tooltip): set the label style

2010-08-03  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell, xml_sax_cell_content): Don't
	check data with g_return_if_fail.  Plug leaks.

	* src/workbook.c (workbook_sheet_by_index): Fix crash.  [#625985]

	* src/gnm-random.c (random_01_device): Read the right number of
	new bytes, just in case.

2010-08-02  Morten Welinder  <terra@gnome.org>

	* src/gnm-random.c: Split from src/mathfunc.c.
	(random_01): Split into manageable pieces.

2010-08-01  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-bar.c (ib_draw_cell): use theme foreground color for row and
	column headers. [#625727]

2010-07-31  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (legend_start), (position_end),
	(gnm_sogg_prep_sax_parser): import the legend from guppi graph.

2010-07-31  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (dim_start): survive malformed guppi graphs.
	[#625726]

2010-07-31  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (gnm_sog_prep_sax_parser),
	(sheet_object_graph_ensure_size), (vector_start), (vector_end),
	(plot_type_start), (series_start), (dim_start), (marker_end),
	(linear_start), (cubic_start), (horiz_end), (stacked_end),
	(percent_end), (separation_end), (bubble_end),
	(gnm_sogg_sax_parser_done), (gnm_sogg_prep_sax_parser): import Guppi
	graphs from gnumeric-1.0.x files. [#567953]

2010-07-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.8

2010-07-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_autofilter_set_condition): new
	* src/commands.h (cmd_autofilter_set_condition): new
	* src/sheet-filter.c (gnm_filter_condition_dup): publish
	(gnm_filter_condition_free): publish
	* src/sheet-filter.h (gnm_filter_condition_dup): new
	(gnm_filter_condition_free): new
	* src/undo.c (GNM_UNDO_FILTER_SET_CONDITION): new object
	* src/undo.h (GNM_UNDO_FILTER_SET_CONDITION): new object

2010-07-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (cb_accept_input_array): new
	(cb_accept_input_selected_cells): new
	(cb_accept_input_selected_merged): new
	(cb_accept_input_menu_sensitive_selected_cells): new
	(cb_accept_input_menu_sensitive_selected_merged): new
	(cb_accept_input_menu): new
	(edit_area_button_menu): new
	(wbc_gtk_create_edit_area): use edit_area_button_menu for ok_button

2010-07-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_reorganize_sheets_delete_cmp_f): rename
	  to cmd_tabulate_cmp_f and change caller (which is cmd_tabulate_undo)

2010-07-28  Morten Welinder  <terra@gnome.org>

	* src/preview-grid-impl.h (_PreviewGrid): Get rid of unused GdkGC
	fields.

2010-07-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (wbc_gtk_create_status_area): size the autoexpr
	label to contain about 25 typical characters and ellipsize it on
	the left
	* src/workbook-view.c (wb_view_auto_expr_recalc): format the
	autoexpression to an appropriate length

2010-07-28  Morten Welinder  <terra@gnome.org>

	* src/style-border.h (struct _GnmBorder): Eliminate unused
	gc_screen and gc.

2010-07-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mstyle.c (gnm_style_get_pango_attrs): use
	  gnm_translate_underline_to_pango
	(gnm_style_generate_attrs_full): use gnm_translate_underline_to_pango
	(gnm_style_set_from_pango_attribute): use
	  gnm_translate_underline_from_pango
	* src/style.c (gnm_translate_underline_to_pango): new
	(gnm_translate_underline_from_pango): new
	* src/style.h (gnm_translate_underline_to_pango): new
	(gnm_translate_underline_from_pango): new
	* src/wbc-gtk-actions.c (FontSingleLowUnderline): new actions
	(FontDoubleLowUnderline): new actions
	(cb_font_underline_low): new
	(cb_font_double_underline_low): new
	* src/wbc-gtk-impl.h (_WBCGtk): add toggle action fields
	* src/wbc-gtk.c (wbc_gtk_style_feedback_real): handle
	  UNDERLINE_*_LOW
	(wbc_gtk_init): add Font*LowUnderline

2010-07-28  Morten Welinder  <terra@gnome.org>

	* src/item-grid.c (item_grid_init): Kill all GdkGCs which aren't
	used anyway.

2010-07-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/dead-kittens.h (gtk_dialog_get_content_area): new

2010-07-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: new item search-results
	* schemas/gnumeric-general.schemas.in: fix typo
	* src/gnumeric-gconf.c (gnm_conf_*et_searchreplace_search_results*): new
	* src/gnumeric-gconf.h (gnm_conf_*et_searchreplace_search_results*): new

2010-07-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add "clear filtered" menu items
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/commands.c (cmd_selection_clear_row_handler): new
	(cmd_selection_clear): adjust selection if only considering filtered rows
	* src/ranges.c (range_fragment_free): delete
	* src/ranges.h (range_fragment_free): change into a define using
	  go_slist_custom
	* src/sheet.h (SheetClearFlags): add CLEAR_FILTERED_ONLY
	* src/wbc-gtk-actions.c (cb_edit_clear_*_filtered): new
	(EditClear*Filtered): new actions

2010-07-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/clipboard.c (cb_clipboard_copy_range_undo): paste everything back
	* src/commands.c (cmd_clear_*): delete
	(cmd_selection_clear): rewrite using GOUndo
	* src/sheet.c (sheet_clear_region_undo): new
	(sheet_clear_region_cb): new
	* src/sheet.h (sheet_clear_region_undo): new

2010-07-23  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_sanity_check1): Make sure argument names,
	as documented, are unique.

2010-07-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-general.schemas.in: add tooltip preferences
	* src/gnumeric-gconf.h
	(gnm_conf_*et_core_gui_editing_function_argument_tooltips*): new
	* src/gnumeric-gconf.c
	(gnm_conf_*et_core_gui_editing_function_name_tooltips*): new

2010-07-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.h (GNM_FUNC_RECALC_ONLOAD): not used

2010-07-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (gnm_func_get_description): new
	* src/func.h (gnm_func_get_description): new
	* src/symbol.c (symbol_names_cb): new
	(symbol_names): rewrite to work in gtk 2.12 and to provide more info

2010-07-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (cb_help_function): use
	  dialog_function_select_help instead of dialog_function_select

2010-07-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-edit.c (wbcg_edit_finish): check whether showed_dialog
	  is NULL before using it

2010-07-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: checks for g_date_set_time_t and g_slice_alloc have
	  been superceded by the glib 2.12 requirement; check for
	  g_hash_table_get_keys
	* src/dependent.c: remove HAVE_G_SLICE_ALLOC throughout
	* src/func.c (gnm_func_lookup_prefix): new
	* src/func.h (gnm_func_lookup_prefix): new
	* src/rendered-value.c: remove HAVE_G_SLICE_ALLOC throughout
	* src/symbol.c (symbol_names): new
	* src/symbol.h (symbol_names): new
	* src/value.c: remove HAVE_G_SLICE_ALLOC throughout

2010-07-18  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-edit.c (attrs_at_byte): Fix signedness problem.
	(cb_entry_cursor_pos): Ditto.

2010-07-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_selection_format_toggle_font_style): new
	* src/commands.c (cmd_selection_format_toggle_font_style): new
	(cmd_selection_format_toggle_font_style_cb): new
	(cmd_selection_format_toggle_font_style_filter): new
	* src/sheet.c (sheet_apply_style_cb): call sheet_flag_style_update_range
	* src/wbc-gtk-actions.c (toggle_font_attr): use
	  cmd_selection_format_toggle_font_style

2010-07-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/clipboard.c (clipboard_paste_region): allow single merge to single
	  merge pasting
	* src/commands.c (CmdPasteCopy): add field
	(cmd_paste_copy): allow single merge to single merge pasting

2010-07-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (context_menu_handler): handle merging and
	  unmerging
	(scg_context_menu): add merge and unmerge menuitems.

2010-07-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/item-grid.c (draw_function_marker): new
	(item_grid_draw_region): call draw_function_marker when appropriate
	(item_grid_draw_merged_range): ditto
	* src/workbook-view.c (wb_view_set_attribute): handle new attribute
	(wb_view_set_property): ditto
	(workbook_view_class_init): ditto
	(workbook_view_new): ditto
	(wb_view_get_property): ditto
	* src/workbook-view.h (_WorkbookView): new field

2010-07-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-general.schemas.in
	(/schemas/apps/gnumeric/core/file/save/extension-check-disabled): new
	* src/gnumeric-gconf.h: include above key
	* src/gnumeric-gconf.c: ditto
	* src/gui-file.c (extension_check_disabled): new
	(gui_file_save_as): obey the extension-check-disabled preference

2010-07-13  Morten Welinder  <terra@gnome.org>

	* src/parse-util.h (gnm_expr_lex_all): new
	(GnmLexerItem): new type
	* src/parser.y (setup_state): new (code from gnm_expr_parse_str)
	(gnm_expr_lex_all): new
	(gnm_expr_parse_str): use setup_state

2010-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* src/cellspan.c (cell_calc_span): fixed crash introduced earlier. [#624274]

2010-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_len): fixed a regression. [#624263]

2010-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* src/cell-draw.c (cell_calc_layout): fixed alignment in cells with rtl
	text and rtl sheets. [see #623241]
	* src/cellspan.c (cell_calc_span): ditto.
	* src/item-edit.c (get_top_left): ditto.
	* src/item-grid.c (item_grid_draw_region): ditto.
	* src/rendered-value.c (gnm_rendered_value_new): ditto.

2010-07-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add submenu to Insert menu
	* src/GNOME_Gnumeric-gtk.xml.in: add submenu to Insert menu
	* src/HILDON_Gnumeric-gtk.xml.in: add submenu to Insert menu
	* src/wbc-gtk-actions.c (cb_insert_sort_*cending): new actions
	(permanent_actions): add MenuInsertFormulaWrap, InsertSortDecreasing
	  and InsertSortIncreasing
	* src/wbc-gtk.c (wbcg_menu_state_update): handle the above new actions
	* src/workbook-cmd-format.c (workbook_cmd_wrap_sort): new
	(cb_get_cell_content): new
	* src/workbook-cmd-format.h (workbook_cmd_wrap_sort): new

2010-07-11  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (item_edit_draw), (item_edit_button_pressed),
	(item_edit_motion), (item_edit_update_bounds): fix ItemEdit
	alignment for RTL text. [see #623241]

2010-07-10  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_len): don't crash with an
	empty GSList.

2010-07-09  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_graph_dim_editor_update): Use the right enum
	type for parse flags.

2010-07-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (context_menu_handler): add autofit actions
	(scg_context_menu): add autofit items
	* src/wbc-gtk-actions.c: add some icons to actions

2010-07-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add menu items to Format->Cells
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/colrow.c (colrow_set_sizes): add arguments to restrict the
	  range of autofitting.
	* src/colrow.h (colrow_set_sizes): add arguments
	* src/commands.c (cmd_autofit_selection): new
	(cmd_resize_colrow): adjust call of colrow_set_sizes
	* src/commands.h (cmd_autofit_selection): new
	* src/stf-parse.c (stf_parse_sheet): adjust call of colrow_set_sizes
	* src/undo.c (gnm_undo_colrow_set_sizes_new): ditto
	(gnm_undo_colrow_set_sizes_undo): adjust call of colrow_set_sizes
	* src/undo.h (_GNMUndoColrowSetSizesClass): add from/to specifiers
	(gnm_undo_colrow_set_sizes_new): ditto
	* src/wbc-gtk-actions.c (cb_format_cells_auto_fit_height): new
	(cb_format_cells_auto_fit_width): new
	(FormatCellsFitHeight): new action
	(FormatCellsFitWidth): new action
	* src/workbook-cmd-format.c (workbook_cmd_autofit_selection): new
	* src/workbook-cmd-format.h (workbook_cmd_autofit_selection): new

2010-07-08  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (cb_format_as_currency): Use
	go_format_details_new and _free.

2010-07-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/GNOME_Gnumeric-gtk.xml.in: add merge and unmerge menu items
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* component/Gnumeric-embed.xml.in: ditto
	* src/wbc-gtk-actions.c (permanent_actions): add cellformat sub menu
	(actions): modify menu text

2010-07-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (cb_edit_clear_all): include CLEAR_COMMENTS
	  flag

2010-07-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/GNOME_Gnumeric-gtk.xml.in: add and move hyperlink and
	  comment items
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* component/Gnumeric-embed.xml.in: ditto
	* src/sheet-view.c (sv_update): also check the comment and hyperlink
	  items
	* src/wbc-gtk-actions.c (cb_edit_delete_links): new
	(permanent_actions): new Modify submenu of the Edit menu
	(actions): add and move hyperlink and comment actions
	* src/wbc-gtk.c (wbcg_menu_state_update): handle hyperlink and comment
	  items
	* src/workbook-control.h: new MS_* flags

2010-07-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (copy_hash_table_to_ptr_array): also exclude py_* functions

2010-07-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (context_menu_handler): enable column and row
	  width/hide/unhide on cell selections

2010-07-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (context_menu_handler): fix capitalization

2010-07-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (context_menu_handler): make the items context
	  sensitive.

2010-07-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (context_menu_handler): use the number of links
	  in the undo string.
	(scg_context_menu): show the correct hyperlink menu items.

2010-07-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.h (GnumericPopupMenuElement): add field
	* src/gui-util.c (gnumeric_create_popup_menu): handle new field
	* src/sheet-control-gui.c (context_menu_handler): handle removal
	  and cretion of comments
	(scg_context_menu): add new items for comment addition and removal

2010-07-06  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (get_top_left), (item_edit_draw),
	(item_edit_button_pressed), (item_edit_motion),
	(item_edit_realize), (item_edit_unrealize): fix strong/weak cursor
	display. [#623241]

2010-07-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_autofilter_add_remove): handle extension of
	  an existing autofilter.
	* src/sheet-filter.h (gnm_sheet_filter_can_be_extended): new
	* src/sheet-filter.c (gnm_sheet_filter_can_be_extended): new
	* src/sheet-view.h (sv_selection_extends_filter): new
	* src/sheet-view.c (sv_selection_extends_filter): new
	(sv_selection_intersects_filter_rows): add qualifier
	* src/wbc-gtk.c (wbcg_menu_state_update): check whether auto filter
	  can be extended

2010-07-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (CMD_AUTOFILTER_ADD_REMOVE): delete
	(cmd_autofilter_add_remove_*): delete
	(cmd_autofilter_add_remove): rewrite using cmd_generic (prep for
	  enhancement request #607086)

2010-07-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-filter.h (gnm_sheet_filter_intersect_rows): new
	* src/sheet-filter.c (gnm_sheet_filter_intersect_rows): new
	* src/sheet-view.h (sv_selection_intersects_filter_rows): new
	* src/sheet-view.c (sv_selection_intersects_filter_rows): new
	* src/wbc-gtk.c (wbcg_menu_state_update): check for prohibited
	  autofilter positions

2010-07-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (scg_drag_receive_same_process): one need to
	  first duplicate the sheet before committing that change

2010-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_objects_move): simplify
	* src/sheet-control-gui.h (scg_objects_drag_commit): add arguments
	* src/sheet-control-gui.c (scg_objects_drag_commit): add arguments
	  to return GOUndo items and change all callers
	(scg_objects_drag_commit_get_undo_text): new (code from
	  scg_objects_drag_commit)
	(scg_drag_receive_same_process): combine the undos before committing

2010-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_objects_move): move most code into
	  sheet_object_move_undo and sheet_object_move_do
	* src/sheet-object.h (sheet_object_move_undo): new
	(sheet_object_move_do): new
	* src/sheet-object.c (sheet_object_move_undo): new
	(sheet_object_move_do): new

2010-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (scg_objects_drag_commit): simplify slightly
	(scg_drag_receive_same_process): pass the correct argument to
	  scg_objects_drag_commit
	* src/sheet-object.c (sheet_object_set_sheet): don't complain if the object
	  is already set to this sheet.
	* src/commands.c (CMD_OBJECTS_MOVE): delete
	(cmd_objects_move_*): delete
	(cmd_objects_move): rewrite using GOUndo

2010-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (scg_objects_drag_commit): don't be cheesy, ie.
	  use ngettext.

2010-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: fix typo

2010-07-01  Morten Welinder  <terra@gnome.org>

	* src/func.c (check_argument_refs): New function.
	(gnm_func_sanity_check1): Check argument references.

2010-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-format.h: add define
	* src/cell-draw.c (cell_calc_layout): replicate the pango attributes
	  with the text

2010-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-format.c (format_value_common): use go_string_replace
	* src/func.c (gnm_func_convert_markup_to_pango): ditto

2010-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/cell-draw.c (cell_calc_layout): HALIGN_FILL overrides wrap_text

2010-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-format.c (format_value_common): in one-paragraph mode
	  replace newlines with visible glyphs.

2010-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/stf-export.c (try_auto_float): new
	(stf_export_cell): call try_auto_float

2010-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: new preferences for
	  search and replace dialog
	* src/gnumeric-gconf.c: add the items generated from the above
	  changes
	* src/gnumeric-gconf.h: ditto

2010-06-28  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 1.10.7

2010-06-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_area_set_text): handle markup
	* src/sheet.h (sheet_range_set_markup_undo): new
	* src/sheet.c (sheet_range_set_markup_undo): new
	(cb_set_markup): new
	(sheet_range_set_markup_cb): new
	* src/wbc-gtk-edit.c (wbcg_edit_finish): pass the amrkup also to
	  cmd_area_set_text

2010-06-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (CMD_AREA_SET_TEXT): deleted
	(cmd_area_set_text_*): deleted
	(cmd_area_set_text): rewritten using GO_UNDO
	* src/sheet.h (sheet_range_set_text_undo): new
	(sheet_range_set_expr_undo): new
	(sheet_apply_style_undo): new
	* src/sheet.c (sheet_range_set_text_undo): new
	(sheet_range_set_expr_undo): new
	(sheet_apply_style_undo): new
	(sheet_apply_style_cb): new
	(sheet_range_set_expr_cb): new
	(sheet_range_set_text_cb): new
	* src/wbc-gtk-edit.c (wbcg_edit_finish): provide initialization to
	  quieten gcc

2010-06-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_area_set_text): change arguments
	* src/commands.c (cmd_area_set_text): this will not be
	  called for array functions any longer
	(cmd_create_data_table): rewrite using cmd_generic
	* src/ranges.c (undo_cell_pos_name): correct comment
	* src/test-pango.c (cb_exercise_pango): adjust the cmd_area_set_text
	  call
	* src/wbc-gtk-edit.c (wbcg_edit_finish): ditto

2010-06-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/cell.h (gnm_cell_set_array_formula_undo): new
	* src/cell.c (gnm_cell_set_array_formula_undo): new
	(gnm_cell_set_array_formula_cb): new
	* src/commands.h (cmd_cell_range_is_locked_effective): new
	(cmd_selection_is_locked_effective): new
	(cmd_area_set_array_expr): new
	* src/commands.c (cmd_cell_range_is_locked_effective): publish
	(cmd_selection_is_locked_effective): publish
	(cmd_area_set_array_expr): new
	* src/wbc-gtk-edit.c (wbcg_edit_finish): check whether the range
	  is locked; call cmd_area_set_array_expr when appropriate

2010-06-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-edit.c (wbcg_edit_finish): don't hide a varaible by
	  using the same name.

2010-06-25  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c (table_content_received): Skip headers for
	MS HTML Format.
	(parse_ms_headers): New function.

2010-06-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/Makefile.am (undo.[ch]): added
	* src/commands.h: formatting
	* src/commands.c (cmd_resize_colrow_*): deleted
	(cmd_resize_colrow): reimplement using GOUndo.
	* src/colrow.h (colrow_get_sizes): new
	(colrow_index_list_copy): new
	* src/colrow.c (colrow_restore_state_group): don't destroy the indexlist.
	  Adjust all callers
	(colrow_get_sizes): new
	(colrow_index_list_copy): new
	* src/undo.[ch]: new

2010-06-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (gnm_cmd_trunc_descriptor): new
	* src/commands.c (gnm_cmd_trunc_descriptor): publish and add optional
	  'truncated' argument. Change all callers.
	* src/ranges.c (max_range_name_width): deleted
	(undo_range_name): use gnm_cmd_trunc_descriptor
	(range_list_name_try): change arguments, use gnm_cmd_trunc_descriptor
	(undo_range_list_name): adjust to changes to range_list_name_try

2010-06-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-edit.c (wbcg_edit_finish): don't free memory until we
	  are done with it.

2010-06-24  Morten Welinder  <terra@gnome.org>

	* src/gnm-pane.c (gnm_pane_key_mode_sheet): Untangle old
	fall-through mess and make BackSpace work as delete when we are
	not editing a cell.

	* src/func.c (gnm_func_convert_markup_to_pango): Remove reference
	to g_string_overwrite which wouldn't work right.

2010-06-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/stf-parse.h: add field to parseoptions
	* src/stf-parse.c (stf_parse_options_new): handle new field
	(stf_parse_options_free): handle new field
	(stf_parse_sheet): autofit columns

2010-06-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/validation.h (validation_eval_range): new
	* src/validation.c (validation_eval_range): new
	(validation_eval_range_cb): new
	* src/wbc-gtk-edit.c (wbcg_edit_finish): use validation_eval_range

2010-06-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-edit.c (wbcg_edit_finish): only call a cmd_...
	  when we have validated.

2010-06-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (make_undo_text): modify to use GString and
	  change all callers
	(cmd_resize_colrow): use make_undo_text
	(cmd_zoom): use make_undo_text

2010-06-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_so_rename): deleted
	* src/commands.c (cmd_so_rename*): deleted

2010-06-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.c (gnumeric_create_tooltip): windows should have names

2010-06-17  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnumeric_popup_menu): We have passed gtk+ 2.8 by
	now.
	* src/wbc-gtk.c (cb_sheet_label_drag_begin): Ditto.

2010-06-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.h (gnm_func_convert_markup_to_pango): drop highlight arg
	* src/func.c (gnm_func_convert_markup_to_pango): ditto
	* src/gui-util.h (gnumeric_create_tooltip_rc_style): new
	(gnumeric_create_tooltip_widget): new
	* src/gui-util.c  (gnumeric_create_tooltip_rc_style): new
	(gnumeric_create_tooltip_widget): new
	(gnumeric_create_tooltip): split off teh above two

2010-06-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.6

2010-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.h (gnm_func_convert_markup_to_pango): new
	* src/func.c (gnm_func_convert_markup_to_pango): new

2010-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_paste_copy): check with user if more than
	  10000 copies are to be pasted.

2010-06-16  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnumeric_create_tooltip): Set type hint and
	gravity.

2010-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/colrow.h (colrow_index_list_destroy): turn into a define
	(colrow_state_list_destroy) : ditto
	(colrow_vis_list_destroy): ditto
	(colrow_vis_list_length): new
	* src/colrow.c (colrow_index_list_destroy): delete
	(colrow_state_list_destroy) : ditto
	(colrow_vis_list_destroy): ditto
	(colrow_vis_list_length): new
	(cb_colrow_index_counter): new
	* src/commands.c (cmd_selection_colrow_hide): check whether this
	  would hide the whole sheet.

2010-06-16  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (dependent_managed_init): Zero the right amount
	of data.

2010-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: check for gtk_widget_get_allocation
	* src/dead-kittens.h (gtk_widget_get_allocation): new

2010-06-16 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/GNOME_Gnumeric-gtk.xml.in: add new menu items
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* component/Gnumeric-embed.xml.in: ditto
	* src/sheet-utils.c (gnm_sheet_guess_data_range): new
	* src/sheet-utils.h (gnm_sheet_guess_data_range): new
	* src/wbc-gtk-actions.c (cb_edit_goto_*): new
	(EditGoto*): new
	* src/wbc-gtk.c (cb_cs_go_*): new
	(wbc_gtk_cell_selector_popup): new
	(wbc_gtk_create_edit_area): connect the above (for gtk 2.16+)
	* src/workbook-control.h (wb_control_navigate_to_cell): new
	* src/workbook-control.c (wb_control_navigate_to_cell): new

2010-06-15 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.h (tokenized_help_*): deleted
	(gnm_func_get_arg_description): new
	* src/func.c (tokenized_help_*): deleted
	(gnm_func_get_arg_description): new
	(gnm_func_sanity_check1): check for empty arg descriptions

2010-06-15  Morten Welinder  <terra@gnome.org>

	* src/collect.c (collect_float_pairs): New function, extracted
	from float_range_function2d.
	(float_range_function2d): simplify and plug leak.

	* src/gnm-datetime.c (datetime_value_to_seconds): Improve sanity
	check.

	* src/mathfunc.c (pbeta): Simplify.

2010-06-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mathfunc.c (pbinom2): pbinom's right tail calculation
	  does not include the lower limit.

2010-06-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-edit.c (wbcg_edit_finish): close the tooltips of
	  the entry

2010-06-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func-builtin.c (help_if): fix argument description
	* src/func.c (gnm_func_sanity_check1): add checks

2010-06-14  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (pbinom2): New function extracted from
	gnumeric_binom_dist_range and improved.

2010-06-13  Morten Welinder  <terra@gnome.org>

	* src/func.c (check_help_expression): New function.

	* src/parser.y (yylex): Fix parsing of calls to LOG2 and LOG10 in
	sheets with more than ~8500 columns.

	* src/func.c (copy_hash_table_to_ptr_array): Don't test perl
	samples.
	(gnm_func_sanity_check1): Check for unwanted space after colon and
	for unwanted period at end.

	* src/wbc-gtk.c (cb_sheet_visibility_change): Set visibility of
	both label and page.  Fixes #621463.

2010-06-11 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/expr.c (gnm_insert_unique_value_cmp): new
	(gnm_insert_unique_value): new
	(do_gnm_expr_get_ranges): use gnm_insert_unique_value rather than
	  gnm_insert_unique which only compares pointers

2010-06-11  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (item_edit_draw):	Fixed multi-line item edit
	selection. [#621235]

2010-06-11 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-pane-impl.h: make cursor.expr_range into a GSList
	* src/gnm-pane.h (gnm_pane_expr_cursor_bound_set): add main_colour arg
	* src/gnm-pane.c (gnm_pane_expr_cursor_bound_set): add main_colour
	  arg and don't delete existing cursors

2010-06-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func-builtin.c (help_if): remove inconsistent period

2010-06-10  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_set_property): Mark sheet dirty in more
	circumstances.  Fixes #621191.

2010-06-09  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_notebook_tabs_visibility): Use
	gtk_widget_set_visible and simplify.

	* src/dead-kittens.h: New file for kittens killed by gtk.

2010-06-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add Function Help
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c (cb_help_function): new
	(permanent_actions): attach cb_help_function

2010-06-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Konstantin Tokarev

	* src/parse-util.c (gnm_expr_char_start_p): allow blanks after
	the initial operator symbol or = in an expression.

2010-06-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/expr-name.h (expr_name_validate): drop Sheet argument
	* src/commands.c (cmd_define_name): change the caller here
	* src/expr-name.c (expr_name_validate): and the definition
	  here; use the following two functions
	(expr_name_validate_r1c1): new
	(expr_name_validate_a1): new

2010-06-06 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/expr-name.h (expr_name_in_use): new
	* src/expr-name.c (expr_name_in_use): new
	(do_expr_name_loop_check): add argument and change all callers
	(cb_expr_name_check_for_name): new
	(cb_expr_name_check_for_name_eq): new
	(expr_name_check_for_name): new

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_define_name): be clearer with the error
	  messages.
	(cmd_rescope_name_redo): watch out for returned error strings

2010-06-04  Morten Welinder  <terra@gnome.org>

	* src/gnm-pane.c (gnm_pane_display_obj_size_tip): Fix critical.

	* src/commands.c (cmd_generic): Rename from cmd_solver.
	(cmd_generic_with_size): New function.

2010-06-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: check for gtk_entry_set_icon_from_stock

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_rescope_name): new
	* src/commands.c (cmd_rescope_name): new
	(cmd_rescope_name_*): new

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: check for gtk_entry_get_text_length

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c: make PasteNames action permanent
	* src/wbc-gtk.c (wbcg_menu_state_update): update PasteNames

2010-06-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add Paste Names
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c: add ...

2010-06-02  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-bar.c (item_bar_button_released): do not ungrab a not grabbed
	item. [#620369]

2010-05-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: added Wilcoxon Signed-Rank items
      and rearrange into separate statistics menu.
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c: ditto
    (cb_tools_sign_test_two_medians): use new tool
    (cb_tools_wilcoxon_signed_rank_two_medians): new
    (cb_tools_wilcoxon_signed_rank_two_medians): new

2010-05-31  Morten Welinder  <terra@gnome.org>

	* src/hlink.c (gnm_hlink_external_activate): Use go_gtk_url_show.

	* src/wbc-gtk-actions.c (cb_help_web, cb_help_irc, cb_help_bug):
	use go_gtk_url_show so we get the right screen.

2010-05-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.5

2010-05-28  Morten Welinder  <terra@gnome.org>

	* tools/win32/moduleset.in: Link with -no-undefined.  Fixes
	#619942.

2010-05-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: added Wilcoxon menu item.
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c (MenuToolTwoMedians): new submenu
	(cb_tools_wilcoxon_mann_whitney): new
	(ToolsTwoMedianWilcoxonMannWhitney): new

2010-05-24  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (ssconvert_options): Hide the --solve flag as
	per comments.

	* src/gnm-plugin.c (plugin_service_solver_read_xml): Handle "qp"
	model type too.

2010-05-21  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_solver): Write model type.

	* src/xml-sax-read.c (xml_sax_solver_start): Load model type.

	* src/stf-parse.c (stf_parse_region): Avoid reading beyond the end
	of the format array.  Fixes #619283.

2010-05-20  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.10.4

2010-05-19  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (handle_int): Impose a length restriction
	too.  All callers changed.
	(format_match_datetime): Accepts "Jan 2010" and "January 2010"
	too.
	(valid_dmy): New function.
	(format_match_datetime): Use valid_dmy over g_date_valid_dmy.

2010-05-18  Morten Welinder  <terra@gnome.org>

	* src/collect.c (create_caches): Hook recalc-clear-caches.

	* src/application.c (gnm_app_recalc_clear_caches): New function.
	(gnm_app_recalc_finish): Call gnm_app_recalc_clear_caches too.

2010-05-17  Morten Welinder  <terra@gnome.org>

	* src/func-builtin.c (gnumeric_table): Fix interaction with
	collect.c in a hacky way.

2010-05-17  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-cursor.c (item_cursor_in_drag_handle),
	(item_cursor_selection_motion): fixed autofill issues. [#618687]

2010-05-07  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.10.3

2010-05-05  Morten Welinder  <terra@gnome.org>

	* src/expr.c (value_intersection): Handle non-cell dependency
	better.  Fixes #142412.

2010-05-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/colrow.h (_ColRowInfo): add in_advanced_filter field
	* src/wbc-gtk-actions.c (actions): make it clear that ShowAll
	  relates to Advanced Filters
	* src/wbc-gtk.c (wbcg_menu_state_update): keep has_filtered_rows
	  for advanced filters separate from the auto filters.

2010-05-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c: change argument to filter_show_all
	* src/wbc-gtk.c (wbcg_menu_state_update): use MS_FILTER_STATE_CHANGED
	  rather than MS_CONSOLIDATE
	* src/workbook-control.h (MS_FILTER_STATE_CHANGED): new

2010-05-03  Morten Welinder  <terra@gnome.org>

	* src/style.c (gnm_pango_context_get): Cache the context.  (Some
	pango versions are indeterministic in font selection.)
	(gnm_font_shutdown): Release the context.

	* src/sheet.h (struct _Sheet): Drop context field.

	* src/rendered-value.c (gnm_rendered_value_new): Add a
	PangoContext* argument.  All callers changed.

	* src/item-edit.c (item_edit_realize): Use proper pango context.

	* src/sheet.c (cb_sheet_cell_copy): Unwrap the array expression.

	* src/expr.c (gnm_expr_is_array): New function.
	(gnm_expr_new_array_corner): Complain if subexpression in a array.
	(gnm_expr_top_is_array): Use gnm_expr_is_array.

	* src/sheet.c (sheet_dup_cells): Queue recalc of the new sheet.
	(cb_sheet_cell_copy): Don't copy computed values.

2010-05-03 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mathfunc.c (gnm_matrix_eigen_max_index): stay in the matrix
	(gnm_matrix_eigen_*): use unsigned int

2010-05-03  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (cb_sheet_cell_copy): Use gnm_cell_assign_value, not
	gnm_cell_set_value, for non-corner array cells.  Copy the value for same.
	Don't leak cells.  Fixes most of #617469.

2010-05-02  Morten Welinder  <terra@gnome.org>

	* src/complex.c (complex_pow): Fix problem on negative real axis.

	* src/complex.h (complex_invalid, complex_invalid_p): New
	functions.

2010-05-01  Morten Welinder  <terra@gnome.org>

	* src/complex.c (complex_from_string): Reject invalid strings like
	"42.0.1i".

2010-04-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/cmd-edit.c (cmd_shift_rows): protect against data loss
	(cmd_shift_cols): ditto

2010-04-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_insert_cols): protect against data loss
	(cmd_insert_rows): ditto

2010-04-30  Morten Welinder  <terra@gnome.org>

	* src/value.c (find_rows_that_match): Fix checking of multiple
	criteria.  Fixes rest of #164169.

	* src/sheet-filter.c (filter_expr_eval): When we're looking for a
	number, match also strings.  Match strings case insensitively.

2010-04-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: needs goffice-0.8.3.
	* src/wbc-gtk.c (wbc_gtk_init_borders), (wbc_gtk_init_color_fore),
	(wbc_gtk_init_color_back): use the combo-activate signal.

2010-04-27  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c (wb_view_set_property,
	wb_view_get_property): Keep auto expression attributes too.
	(wb_view_auto_expr_recalc): Set colour when needed.  Fixes
	#575104.

	* src/wbc-gtk.c (wbcg_auto_expr_text_changed): Set attributes too.
	(wbcg_view_changed): Watch attribute changes too.

	* src/gutils.c (gnm_pango_attr_list_equal): Import from commands.c
	and make this public.

2010-04-23  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_unserialize),
	(gnm_go_data_vector_load_len), (gnm_go_data_vector_load_values): allow
	multiple and block selection for graph vector data.
	* src/wbc-gtk.c (cb_graph_dim_editor_update): ditto.

2010-04-22  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_sheet_add): Set label's initial visibility.
	Fixes #616549.

2010-04-21 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* gnumeric.doap: add e-mail address
	* src/print.c (print_page): graphs on graph sheets always take
	  the whole space, no need to center

2010-04-21  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell_content): Handle empty strings.
	Fixes #616139.

	* src/cell.c (gnm_cell_get_entered_text): Make sure the empty
	string gets quoted.  Fixes part of #616139.

2010-04-21  Jean Brefort  <jean.brefort@normalesup.org>

	* src/commands.c (update_sheet_graph_cb), (cmd_print_setup_undo),
	(cmd_print_setup_redo): implement graph only sheets (at least for the
	visible part). [#158170]
	* src/gnumeric.h: ditto.
	* src/graph.h: ditto.
	* src/print.c (print_page): ditto.
	* src/sheet-control-gui.c (scg_resize), (scg_scrollbar_config),
	(scg_set_top_left), (scg_make_cell_visible), (scg_set_panes),
	(set_resize_pane_pos), (post_create_cb), (sheet_control_gui_new),
	(scg_finalize), (scg_unant), (scg_ant), (scg_adjust_preferences),
	(scg_object_create_view): ditto.
	* src/sheet-object-graph.c (cb_graph_size_changed),
	(cb_post_new_view), (gnm_sog_new_view), (gnm_sog_bounds_changed),
	(cb_sheet_target_changed), (sheet_object_graph_guru),
	(sheet_object_graph_ensure_size): ditto.
	* src/sheet-object-graph.h: ditto.
	* src/sheet-object.c (sheet_object_populate_menu_real),
	(sheet_object_draw_cairo_sized), (sheet_object_view_enter_notify),
	(cb_so_menu_activate), (cb_ptr_array_free), (build_so_menu),
	(sheet_object_view_button_pressed): ditto.
	* src/sheet-object.h: ditto.
	* src/sheet.c (sheet_new_with_type): ditto.
	* src/sheet.h: ditto.
	* src/wbc-gtk-actions.c (cb_add_graph): ditto.
	* src/wbc-gtk.c (wbcg_update_action_sensitivity),
	(wbcg_set_direction), (cb_scroll_wheel), (wbcg_get_n_scg): ditto.
	* src/workbook.c (workbook_sheet_add_with_type): ditto.
	* src/workbook.h: ditto.
	* src/xml-sax-read.c (xml_sax_wb_sheetsize),
	(xml_sax_wb_sheetname): ditto.
	* src/xml-sax-write.c (xml_write_sheet_names): ditto.

2010-04-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.2

2010-04-16  Morten Welinder  <terra@gnome.org>

	* src/func.c (function_call_with_exprs): When we compute an error
	value for an 'A' or 'r' argument, return that error.  Fixes
	#615772.

2010-04-14  Jean Brefort  <jean.brefort@normalesup.org>

	* src/pattern.c (gnumeric_background_set_gtk): print pattern
	backgrounds. [#615365]

2010-04-09  Jean Brefort  <jean.brefort@normalesup.org>

	* component/Gnumeric-embed.xml.in: fixed templates menu action id.

2010-04-08  Morten Welinder  <terra@gnome.org>

	* src/Makefile.am (gnumeric_LDFLAGS, ssconvert_LDFLAGS): Set stack
	size to 64M.  Fixes #571346.

2010-03-25 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnumeric-gconf.c (set_string_list): since go_conf_set_str_list
	  may trigger cb_watch_string_list that uses string_list_pool, we need
	  to fix the hash table first.

2010-03-23  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_paned_size_allocate): Improve handling of
	too-narrow windows.  Show more tabs for wide windows.
	(cb_status_size_allocate): New function to trigger repartition
	after window resize.

	* src/wbc-gtk-actions.c (permanent_actions): Move FileNew,
	FileOpen, and a few more actions here.

2010-03-13 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/item-bar.c (item_bar_calc_size): use pango_itemize to create
	  PangoItem and PangoAnalysis
	(item_bar_init): initialize pango.item to NULL

2010-03-13 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (wbc_gtk_init_actions): move disabling
	  of solver menu item from here to
	* src/wbc-gtk.c (wbc_gtk_init): here

2010-03-11  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_autofilter_add_remove): Remove extra
	gnm_filter_remove call.  Fixes #611073.

	* src/print-info.c (page_setup_set_paper): Avoid some calls to
	g_log even if we block the warnings it would print.  This helps
	debugging.

2010-03-10  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-cell-comment.c (comment_view_button_released,
	comment_view_enter_notify): Use gnm_canvas_get_screen_position.

	* src/gui-util.c (gnm_canvas_get_screen_position): New function
	extracted from comment_view_get_xy.

	* src/gnm-pane.c (gnm_pane_display_obj_size_tip): Add
	control-point as argument.  Use that for tooltip positioning.

2010-03-08  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 1.10.1

2010-03-08  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_comment_select): Fix critical.
	(scg_comment_display, scg_comment_select): Take window position
	too.  All callers changed.  Fixes part of #573028.

2010-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-cursor.c (item_cursor_draw): fix cursor appearance when the
	line or column is on the border of a hidden area. [#611076]

2010-03-04  Morten Welinder  <terra@gnome.org>

	* src/ssindex.c (ssindex_validation): Handle NULLs better.  Fixes
	#611842.

2010-03-02  Morten Welinder  <terra@gnome.org>

	* src/graph.c (render_val): For cells, get the right format unless
	overridden.  Fixes #611362.

2010-02-28  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_solver): Set cmd.sheet.  Fixes #611406.

2010-02-26  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (gnm_cell_eval_content): Fix rendering problem
	with iterated calculation.

2010-02-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/item-edit.c (item_edit_update_bounds): remove duplicated code
	* src/sheet-control-gui.c (scg_reload_item_edits): new
	* src/sheet-control-gui.h (scg_reload_item_edits): new
	* src/wbc-gtk-edit.c (workbook_edit_complete_notify): also reload
	  item edits

2010-02-16  Morten Welinder  <terra@gnome.org>

	* configure.in: turn off -Wstrict-prototypes for stable builds.

2010-02-16  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/excelplugins/excelplugins.c
	(scan_for_XLLs_and_register_functions): don't call a NULL function.
	[#610012]

2010-02-13  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 1.10.0

2010-02-11  Morten Welinder  <terra@gnome.org>

	* configure.in: Bump version in preparation for release.
	(libspreadsheet_reqs): Require 0.8

2010-01-26  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (item_edit_realize): ensure that markup is displayed.

2010-01-25  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_bnotebook_button_press): New function to work
	around bug #607794.

2010-01-24 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (function_dump_defs): also dump Excel and
	  ODF compatibility and keep function description
	  separate from argument descriptions. Simplify the code
	  by first collecting the information in separate g_strings

2010-01-19  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.9.18

2010-01-19 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (load_repeat_range): range_parse does not
	  handle full rows or columns.
	(compute_sheet_pages): don't use the same range for two
	  different purposes.

2010-01-12  Jody Goldberg <jody@gnome.org>

	* src/test-pango.c (cb_kill_wbcg) : new.
	(cb_exercise_pango) : setup shutdown mechanism.

2010-01-11  Morten Welinder  <terra@gnome.org>

	* schemas/gnumeric-dialogs.schemas.in: Fix default for terminator.

2010-01-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: add items
	* src/gnumeric-gconf.h (gnm_conf_get_stf_export_separator_node): new
	(gnm_conf_get_stf_export_separator): new
	(gnm_conf_set_stf_export_separator): new
	(gnm_conf_get_stf_export_stringindicator_node): new
	(gnm_conf_get_stf_export_stringindicator): new
	(gnm_conf_set_stf_export_stringindicator): new
	(gnm_conf_get_stf_export_terminator_node): new
	(gnm_conf_get_stf_export_terminator): new
	(gnm_conf_set_stf_export_terminator): new
	* src/gnumeric-gconf.c (gnm_conf_get_stf_export_separator_node): new
	(gnm_conf_get_stf_export_separator): new
	(gnm_conf_set_stf_export_separator): new
	(gnm_conf_get_stf_export_stringindicator_node): new
	(gnm_conf_get_stf_export_stringindicator): new
	(gnm_conf_set_stf_export_stringindicator): new
	(gnm_conf_get_stf_export_terminator_node): new
	(gnm_conf_get_stf_export_terminator): new
	(gnm_conf_set_stf_export_terminator): new
	* src/stf-export.c (gnm_stf_get_stfe): use the gconf info

2010-01-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/stf-export.c (gnm_stf_get_stfe): publish
	* src/stf-export.h (gnm_stf_get_stfe): publish
	* src/stf-parse.c (stf_read_remember_settings): new
	(stf_parse_sheet): call stf_read_remember_settings

2010-01-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (function_dump_defs): make sure the argument
	  descriptions precede a SEEALSO. Documentation creation
	  depends on this.

2010-01-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (function_dump_defs): don't add gratuitous periods and
	  make sure that we always include the argument descriptions

2010-01-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (function_dump_defs): also dump the short description

2010-01-06  Morten Welinder  <terra@gnome.org>

	* src/item-bar.c (item_bar_unrealize): Chain up.

2010-01-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/rangefunc.h (gnm_range_increasing): use the correctly typed
	  function

2010-01-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.c (gnm_canvas_get_position): call
	  gdk_window_get_internal_paint_info only for gtk < 2.18

2010-01-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-graph.c (sheet_object_graph_guru): change help link

2010-01-01 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: remove teh check for gtk_recent_manager_get_default.
	  It is implied by the gtk 2.12 requirement
	* src/application.c: remove the checks for gtk_recent_manager_get_default
	  throughout
	* src/wbc-gtk-actions.c (actions): use GTK_STOCK_PAGE_SETUP if we
	  have it.

2009-12-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (cb_auto_expr_insert_formula): new
	(cb_auto_expr_insert_formula_below): use cb_auto_expr_insert_formula
	(cb_auto_expr_insert_formula_to_side): new
	(cb_select_auto_expr): add menu item

2009-12-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (cb_auto_expr_insert_formula_below): new
	(cb_select_auto_expr): add separator and menu item

2009-12-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (sheet_widget_draw_cairo): only use
	  this for gtk 2.18 and later. The required gtk_widget_get_snapshot
	  became available with 2.14, but since we cannot test it with 2.14
	  or 2.16 we are palying it safe.

2009-12-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_paste_copy_select_obj): new
	(cmd_paste_copy_impl): select pasted objects if appropriate
	(cmd_paste_copy): remember whether we have just objects

2009-12-29  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (gnm_pane_key_mode_sheet) : Support autoiterating
	  through a region with <Tab>.

2009-12-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (sheet_widget_draw_cairo): only use
	  this for gtk 2.14 and later (since we need  gtk_widget_get_snapshot)

2009-12-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add CopyDown and CopyRight
	  to menu
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c (actions): add description for CopyDown
	  and CopyRight

2009-12-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (sort_by_rows): consider singleton
	  selections to be a request to sort the whole sheet [#141313]

2009-12-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui-priv.h (_SheetControlGUI): new fields
	* src/sheet-control-gui.c (scg_gtk_paned_set_position): new
	  replace all calls to gtk_paned_set_position by
	  scg_gtk_paned_set_position throughout
	(set_resize_pane_finish): unblock cb_check_resize
	(cb_resize_pane_motion): block cb_check_resize
	(cb_check_resize): new
	(sheet_control_gui_new): attach cb_check_resize and fix
	  signal name

2009-12-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/value.c (find_rows_that_match): make this behave like
	  find_cells_that_match from the database plugin.

2009-12-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (cb_sheet_label_button_press): unselect sheet
	  objects if necessary and possible

2009-12-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object.c (sheet_object_populate_menu_real): change "Si_ze"
	  to "Size _& Position"

2009-12-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object.c (cb_so_size_position): make sure we only have one
	  guru active
	(sheet_object_get_editor): ditto

2009-12-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add EditSelectObject menu item
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/gnm-pane.c (gnm_pane_object_key_press): move some code from
	  here to scg_object_select_next
	(gnm_pane_key_mode_sheet): use ctrl-tab to select the first object
	* src/sheet-control-gui.c (scg_object_select_next): new
	* src/sheet-control-gui.h (scg_object_select_next): new
	* src/sheet-view.c (sv_update): update MS_SELECT_OBJECT menu
	* src/wbc-gtk-actions.c (cb_edit_select_object): new
	(EditSelectObject): new action
	* src/wbc-gtk.c (wbcg_menu_state_update): handle MS_SELECT_OBJECT
	* src/workbook-control.h (MS_SELECT_OBJECT): new

2009-12-27  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (control_point_set_cursor): use the right cursor in RTL
	mode.

2009-12-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object.c (cb_so_size_position): use g_return_if_fail
	* src/commands.h (cmd_so_rename): new
	* src/commands.c (cmd_so_rename): new
	(cmd_so_rename_*): new

2009-12-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object.c (cb_so_size_position): new
	(so_actions): add menu item

2009-12-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (sheet_widget_ ## n1 ## _class_init):
	  install sheet_widget_draw_cairo
	(sheet_widget_draw_cairo): new

2009-12-24  Jean Brefort  <jean.brefort@normalesup.org>

	* src/rangefunc.h: add gnm_range_increasing (to fix a double/gnm_float
	issue).
	* src/selection.c (sv_selection_to_plot): force sharing of first series
	as labels for line plots and friends when requested. [#605330]

2009-12-23  Morten Welinder  <terra@gnome.org>

	* src/gnm-datetime.c (datetime_value_to_serial): Fix type problem.

2009-12-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add principal components analysis
	* src/HILDON_Gnumeric-gtk.xml.in: add principal components analysis
	* src/GNOME_Gnumeric-gtk.xml.in: add principal components analysis
	* src/wbc-gtk-actions.c: add principal components analysis action
	* src/mathfunc.c (gnm_matrix_eigen): handle 1 by 1 matrix.

2009-12-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mathfunc.h (gnm_matrix_eigen): new
	* src/mathfunc.c (gnm_matrix_eigen): new
	(gnm_matrix_eigen_max_index): new
	(gnm_matrix_eigen_update): new

2009-12-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-style.h (sheet_style_set_list): change arguments
	* src/sheet.c: change all calls to sheet_style_set_list
	* src/commands.c: ditto
	* src/sheet-style.c: ditto
	(sheet_style_set_list): change arguments and adjust code
	* src/clipboard.c (range_flip_h): new
	(range_flip_v): new
	(clipboard_paste_region): handle PASTE_FLIP_H and PASTE_FLIP
	for styles

2009-12-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/clipboard.h: add PASTE_FLIP_H and PASTE_FLIP_V
	* src/clipboard.c (cb_paste_cell): handle PASTE_FLIP_H and
	  PASTE_FLIP_V

2009-12-15  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.17

2009-12-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Gabriel Kerneis
	* src/ssconvert.c (convert): handle one sheet per file

2009-12-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add 2 medians sign test
	* src/HILDON_Gnumeric-gtk.xml.in: add 2 medians sign test
	* src/GNOME_Gnumeric-gtk.xml.in: add 2 medians sign test
	* src/wbc-gtk-actions.c: add 2 medians sign test action

2009-12-14  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-cell-comment.c (comment_view_set_bounds): make the
	cell comment red triangle visible in RTL mode. [#604580]

2009-12-14  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-grid.c (item_grid_draw_region): fixed panes borders.

2009-12-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gutils.c: include required header file

2009-12-13  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (gnm_pane_compute_visible_region): fixed pane origin
	when zoomed. [#604373]

2009-12-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add sign test
	* src/HILDON_Gnumeric-gtk.xml.in: add sign test
	* src/GNOME_Gnumeric-gtk.xml.in: add sign test
	* src/wbc-gtk-actions.c: add sign test action

2009-12-11  Morten Welinder  <terra@gnome.org>

	* src/value.c (criteria_inspect_values): Fix bool issues.

2009-12-10  Morten Welinder  <terra@gnome.org>

	* src/value.c (parse_criteria): If the criteria is a string that
	parses as a number, use equality search.  Fixes #604214.

2009-12-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (gnm_print_sheet): store print date

2009-12-09  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (graph_dim_cancel_idle): New function.
	(graph_dim_editor_free): Cancel idle handler.  Fixes #604223.

2009-12-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/workbook-view.c (wbv_save_to_output): update modification time
	  only when we in fact modified the file.

2009-12-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gutils.c (gnm_insert_meta_date): new
	* src/gutils.h (gnm_insert_meta_date): new
	* src/workbook-view.c (wbv_save_to_output): update modification time
	* src/workbook.c (workbook_new): update creation date

2009-12-06  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-bar.c (ib_draw_cell): clip when drawing text. [#603862]

2009-12-05  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_matrix_get_value): do not exchange row and
	column.

2009-12-03  Morten Welinder  <terra@gnome.org>

	* src/value.c (parse_criteria): For matching, if we match the
	empty string, make sure we look in empty cells.  Fixes #603671.

2009-12-02  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (run_solver): Optionally run solver.  (For
	testing only.)

	* src/workbook-control.c (wbc_cmd_context_init): New function.

2009-12-01  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_set_text_redo): On the initial pass, don't
	select.  Fixes #601107.

2009-11-29  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.9.16

2009-11-28  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (item_edit_draw): fix selection bounds in case of
	multibytes characters,
	(item_edit_button_pressed), (item_edit_motion),
	(item_edit_button_released), (item_edit_init),
	(item_edit_class_init): implement dragging in ItemEdit. [#337521]

2009-11-28  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (item_edit_draw), (item_edit_button_pressed),
	(item_edit_realize), (item_edit_unrealize): invert selected text, and allow
	mouse selection past the last character. [#122176 and #388342]

2009-11-27  Morten Welinder  <terra@gnome.org>

	* src/workbook.c (workbook_finalize): Plug leak.

	* src/print.c (gnm_print_sheet): Plug leak.

2009-11-26  Jean Brefort  <jean.brefort@normalesup.org>

	* src/wbc-gtk.c (cb_graph_dim_editor_update), (cb_update_idle),
	(cb_graph_dim_entry_focus_out_event), (cb_graph_dim_entry_changed),
	(wbcg_data_allocator_editor): avoid piles of error message boxes. [#152517]

2009-11-25  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_scenario_add_redo, cmd_scenario_add_undo):
	fix life cycle.

2009-11-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add "Normality Test..."  menu item
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c (cb_tools_normality_tests): new
	(ToolsNormalityTests) connect to cb_tools_normality_tests

2009-11-18  Morten Welinder  <terra@gnome.org>

	* configure.in (gnomedb_msg): Disable gda if we don't have
	required header.

2009-11-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* autogen.sh: allow dirs on PATH to have spaces withou causing warning

2009-11-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (wbcg_update_title): be consistent with most other
	  Gnome programs.

2009-11-14  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (pd_lower_cf): Fix convergence test.  Test case is
	R.PGAMMA(X,1e-20,1,FALSE) with visible discontinuity at X=1.
	Reported by the R team.

2009-11-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: check for gtk_entry_get_buffer (We need to use it to
	  work around a gtk bug that only occurs when this is in fact
	  available.)

2009-11-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet.h (gnm_sheet_get_sort_setups): new
	(gnm_sheet_add_sort_setup): new
	(gnm_sheet_find_sort_setup): new
	* src/sheet.c (gnm_sheet_add_sort_setup): new
	(gnm_sheet_get_sort_setups): new
	(gnm_sheet_find_sort_setup): new
	(gnm_sheet_init): initialize new field sort_setups
	(gnm_sheet_finalize): and free them
	* src/sort.c (gnm_sort_data_copy): new
	* src/sort.h (gnm_sort_data_copy): new

2009-11-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func-builtin.c: add some translator comments

2009-11-12  Morten Welinder  <terra@gnome.org>

	* src/gnm-plugin.c (cb_load_and_create): Keep track of plugin usage.

2009-11-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: move FormatWorkbook to View menu
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto and rename FilePreferences
	  action to EditPreferences
	* src/wbc-gtk-actions.c: adjust names and description of FileMetaData
	and FormatWorkbook actions

2009-11-09  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c (wb_view_new_from_input): Add extra uri
	argument.  All callers changes.  Fixes #601274.

2009-11-08  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_solver): Write target cell as
	cellref so we don't drop the sheet.

2009-11-07  Morten Welinder  <terra@gnome.org>

	* src/numbers.h: Resurrect long double support.

2009-11-06  Morten Welinder  <terra@gnome.org>

	* src/value.c (value_get_as_gstring): Handle partial arrays.

2009-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-cursor.c (item_cursor_realize, item_cursor_unrealize,
	(item_cursor_draw,  item_cursor_set_property, item_cursor_init): back
	to rendering using gdk. [#600656]
	* src/item-edit.c (item_edit_draw): do not change the background when
	editing and make the cursor visible on dark backgrounds.

2009-11-02  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_top_get_cellref): Constify.

2009-10-11  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 1.9.15

2009-11-01  Morten Welinder  <terra@gnome.org>

	* src/solver.h (struct _SolverParameters): Keep target and input
	as deps so they get maintained.

	* src/expr.c (gnm_expr_top_get_cellref): New function.

2009-10-31  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (dependent_managed_init,
	dependent_managed_set_expr): New functions.

	* src/value.c (value_new_cellrange_parsepos_str): Use the right
	convensions.  Add flags argument for finer control.  All callers
	changed.

2009-10-31  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (cb_format_preferences): delete
	(cb_tools_autocorrect): call dialog_preferences
	(actions): delete FormatGnumeric

2009-10-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet.c (gnm_sheet_class_init): correct English grammar

2009-10-29  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane-impl.h: fixed graph object size issues. [#599887]
	* src/gnm-pane.c (gnm_pane_object_key_press), (gnm_pane_focus_out),
	(gnm_pane_display_obj_size_tip), (gnm_pane_object_move),
	(control_point_enter_notify), (control_point_leave_notify): ditto.

2009-10-28  Morten Welinder  <terra@gnome.org>

	* src/solver.h (SolverConstraint): Remove redundant str member.
	All users changed to gnm_solver_constraint_as_str calls.

2009-10-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_autofilter_add_remove): new
	* src/commands.c (cmd_autofilter_add_remove): new
	(cmd_autofilter_add_remove_impl): new
	(cmd_autofilter_add_remove_undo): new
	(cmd_autofilter_add_remove_redo): new
	(cmd_autofilter_add_remove_finalize): new
	fixes # 478152
	* src/sheet-filter.h (gnm_filter_attach): publish
	* src/sheet-filter.c (gnm_filter_attach): publish
	  create field selectors here rather than in
	(gnm_filter_new)
	(gnm_filter_remove): delete field selectors here rather than in
	(gnm_filter_unref)
	* src/wbc-gtk-actions.c (cb_auto_filter): just call
	  cmd_autofilter_add_remove

2009-10-27  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_error_error): Don't xml-escape the text.
	Fixes #599816.

	* src/gutils.c (gnm_string_add_number): New function.

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/number-match.c (format_match_decimal_number): split into
	  format_match_decimal_number and format_match_decimal_number_with_locale
	* src/number-match.h (format_match_decimal_number_with_locale): new

2009-10-23  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (handle_year): Handle pre-1900 dates.

2009-10-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: add fn-christian-date plugin
	* plugins/Makefile.am: ditto

2009-10-20  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_context_menu): Disable slicer stuff
	for now.

2009-10-18  Morten Welinder  <terra@gnome.org>

	* src/gnm-pane.c (gnm_pane_key_mode_sheet): Ignore event->state
	bits related to caps lock, etc.  Fixes #597295.

2009-10-16  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c: Support Biff8 via Citrix which yields a
	different target name.
	(table_cellregion_read): Use original area (from Excel) for paste.
	Fixes #381732, #388531.

	* src/gnm-so-line.c (gnm_so_line_prep_sax_parser): Read new
	format.
	(gnm_so_line_write_xml_sax): Write both arrow ends.

2009-10-14  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-line.c: Move GOArrow to goffice.
	(gnm_so_line_set_property): Eliminate is-arrow property.
	(gnm_so_line_draw_cairo): Draw both arrows.

	* configure.in (libspreadsheet_reqs): Require goffice 0.7.15 for
	GOArrow.

2009-10-13  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_shutdown): Call gnm_xml_sax_read_shutdown
	and gnm_xml_sax_write_shutdown.

	* src/xml-sax-read.c (gnm_xml_sax_read_init): Plug leak.
	(gnm_xml_sax_read_shutdown): New function.

	* src/xml-sax-write.c (gnm_xml_sax_write_init): Plug leak.
	(gnm_xml_sax_write_shutdown): New function.

	* src/sheet-object-widget.c (sheet_widget_adjustment_get_horizontal):
	New function.
	(sheet_widget_list_base_get_content_link): Rename from
	sheet_widget_list_base_get_content_dep.  Return ref'd GnmExprTop.
	All callers changed.
	(sheet_widget_list_base_get_result_link): Rename from
	sheet_widget_list_base_get_result_dep.  Return ref'd GnmExprTop.
	All callers changed.
	(sheet_widget_list_base_get_adjustment): New function.

2009-10-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mathfunc.c (random_skew_normal): simplify
	(random_skew_tdist): simplify

2009-10-11  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_resize_main): Reduce ->cols.max_used and
	->rows.max_used as appropriate.
	(gnm_sheet_resize): Check for merges.  Add new perr argument.  All
	callers changed.

2009-10-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mathfunc.c (random_skew_normal): new
	(random_skew_tdist): new
	* src/mathfunc.h (random_skew_normal): new
	(random_skew_tdist): new

2009-10-10  Jody Goldberg <jody@gnome.org>

	* src/main-application.c (gnumeric_arg_parse) : honour
	  HAVE_G_OPTION_CONTEXT_SET_DELOCALIZE for people trying to build on
	  win32 with stock gtk+.

2009-10-11  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 1.9.14

2009-10-07  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sheet_widget_checkbox_get_property,
	sheet_widget_radio_button_get_property): Add "active" property.

	* src/sheet-object-widget.h: Define the usual type macros.

2009-10-07  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c (gnm_so_filled_set_property),
	(gnm_so_filled_get_property), (gnm_so_filled_class_init): allow
	image filling.
	* src/gnm-so-polygon.c (gnm_so_polygon_get_property),
	(gnm_so_polygon_class_init): ditto.

2009-10-06  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-filled.c (gnm_so_line_set_property,
	gnm_so_filled_set_property, gnm_so_polygon_set_property): Copy
	style since we change it.

2009-10-05  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-line.c (gnm_so_line_class_init): Make is-arrow
	readable.

2009-10-04  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-filled.c (gnm_so_filled_init): Make is-oval readable.

2009-10-04  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (gnm_pane_new): set the document for the canvas.

2009-10-02  Morten Welinder  <terra@gnome.org>

	* src/sheet-object.c (sheet_object_get_property,
	sheet_object_set_property, sheet_object_set_name): New functions.
	(sheet_object_finalize): Clear name.
	(sheet_object_class_init): Install new name property.

	* src/sheet-object-impl.h (struct _SheetObject): Add name element.

	* src/xml-sax-write.c (xml_write_objects): Save object name.

	* src/xml-sax-read.c (xml_sax_read_obj): Read object name.

2009-09-29  Morten Welinder  <terra@gnome.org>

	* po/LINGUAS: Back out the addition of "id".

2009-09-28  Morten Welinder  <terra@gnome.org>

	* src/position.c (parse_pos_init_dep): Don't crash when dep's
	sheet is NULL.  Whether callers expect such a GnmParsePos is a
	different matter.

	* src/sheet-object-widget.c (sax_write_dep): Use
	parse_pos_init_dep, not parse_pos_init_sheet.  Fixes #596509.

2009-09-27  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c: Simplify radio button stuff.
	(sheet_widget_radio_button_init_full): Add "active" argument too.
	(SheetWidgetRadioButton): Store value as a GnmValue.

2009-09-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (cb_view_freeze_panes): special handling if the
	  edit cell is A1.

2009-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/GNOME_Gnumeric-gtk.xml.in: sort objects by type
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* component/Gnumeric-embed.xml.in: ditto
	* src/pixmaps/object_label_24.png: show rectangle

2009-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Albert Graef  <Dr.Graef@t-online.de>

	* src/commands.c (cmd_so_set_radio_button, CmdSOSetRadioButton)
	(cmd_so_set_radio_button_redo, cmd_so_set_radio_button_undo)
	(cmd_so_set_radio_button_finalize): new set radio button command
	* src/commands.h: added cmd_so_set_radio_button
	* src/sheet-object-widget.c (dep_hash, dep_equal, dep_destroy)
	(get_group, set_group): new functions to manage radio button
	  groups
	(parse_value, match_value): new functions to parse and match radio
	  button values
	(SheetWidgetRadioButton): added value and active fields
	(sheet_widget_radio_button_set_value)
	(sheet_widget_radio_button_set_active)
	(sheet_widget_radio_button_set_group): new callbacks
	(radio_button_eval): modified to set radio button activation state
	  according to linked cell value
	(sheet_widget_radio_button_init, sheet_widget_radio_button_init_full):
	  split to support initialization from existing data, added initialization
	  of new fields in SheetWidgetRadioButton struct
	(sheet_widget_radio_button_finalize): added finalization of new
	  fields in SheetWidgetRadioButton struct
	(sheet_widget_radio_button_toggled): modified to handle clicks on
	  radio buttons
	(sheet_widget_radio_button_changed): new callback to handle moving
	  a radio button to a new group
	(sheet_widget_radio_button_create_widget): modified to initialize
	  button group and connect signal to change group callback
	(sheet_widget_radio_button_copy): new callback to allow radio
	  buttons to be copied
	(sheet_widget_radio_button_write_xml_sax)
	(sheet_widget_radio_button_prep_sax_parser): new callback for reading
	  and writing radio buttons
	(sheet_widget_radio_button_set_link)
	(sheet_widget_radio_button_get_link): new callbacks to set and get
	  the linked cell
	(RadioButtonConfigState, cb_radio_button_set_focus)
	(cb_radio_button_config_destroy)
	(cb_radio_button_config_ok_clicked)
	(cb_radio_button_config_cancel_clicked)
	(cb_radio_button_label_changed, cb_radio_button_value_changed)
	(sheet_widget_radio_button_user_config): added config dialog
	(SOW_MAKE_TYPE(radio_button)): added new callbacks
	* src/sheet-object-widget.h: added
	  sheet_widget_radio_button_get_link,
	  sheet_widget_radio_button_set_link,
	  sheet_widget_radio_button_set_label,
	  sheet_widget_radio_button_set_value

2009-09-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-pane.c (set_acetate_coords): revert my previous change (with the newer
	  version of goffice this is not needed.)

2009-09-25  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c (gnm_so_filled_draw_cairo): fixed line setting.
	* src/gnm-so-line.c (gnm_so_line_draw_cairo): ditto.

2009-09-25  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-line.c (gnm_so_line_draw_cairo,
	gnm_so_filled_draw_cairo): Fix setting of colour.
	(gnm_so_line_draw_cairo): Fix setting of line width.

2009-09-25  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-control-gui.c (scg_redraw_headers): fixed column
	headers update when scrolled.

2009-09-24  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (set_toolbar_position): When moving to a new
	position, preserve the original order.
	(cb_add_menus_toolbars): Arrange for proper translation of entries
	in the toolbar menu.

2009-09-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-pane.c (set_acetate_coords): set the acetate item really
	transparent.

2009-09-24  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (gnm_xml_prep_style_parser): New function.

	* src/format-template.c (format_template_new_from_file): New
	implementation using SaX parser.

	* src/Makefile.am: Drop xml-io.[ch]

2009-09-24  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (set_acetate_coords): set the acetate item really
	transparent.

2009-09-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	slightly modified patches from Albert Gräf <Dr.Graef@t-online.de>

	* src/commands.c (cmd_so_set_button): new
	(CmdSOSetButton): new
	(cmd_so_set_button_redo): new
	(cmd_so_set_button_undo): new
	(cmd_so_set_button_finalize): new
	* src/commands.h (cmd_so_set_button): new
	* src/sheet-object-widget.c (sheet_widget_button_set_link): new
	(sheet_widget_button_get_link): new
	(button_eval): new
	(button_debug_name): new
	(sheet_widget_button_init_full): handle new fields
	(sheet_widget_button_init_full): add argument and change all callers
	(cb_button_pressed): new
	(cb_button_released): new
	(sheet_widget_button_create_widget): handle signals
	(cb_button_set_focus): new
	(sheet_widget_button_copy): handle new fields
	(cb_button_config_destroy): new
	(cb_button_config_ok_clicked): new
	(sheet_widget_button_user_config): new
	(sheet_widget_button_set_sheet): new
	(sheet_widget_button_foreach_dep): new
	(sheet_widget_button_write_xml_sax): handle new fields
	(sheet_widget_button_prep_sax_parser): ditto
	* src/sheet-object-widget.h (sheet_widget_button_set_link): new
	(sheet_widget_button_get_link): new

2009-09-23  Jean Brefort  <jean.brefort@normalesup.org>

	* component/gnumeric.c (cb_gognm_save), (go_gnm_component_edit): allow
	edition of not embedded workbooks as well.
	* src/GNOME_Gnumeric-gtk.xml.in: fixed Save button action.
	* src/gnm-so-filled.c (cb_gnm_so_filled_changed),
	(gnm_so_filled_draw_cairo): printf with the same font as screen display.
	* src/wbc-gtk-impl.h:  fixed menus for the component.
	* src/wbc-gtk.c (set_uifilename), (wbc_gtk_init): ditto.

2009-09-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	modified patches from Albert Gräf <Dr.Graef@t-online.de>

	* src/GNOME_Gnumeric-gtk.xml.in: add button and radiobutton buttons
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* component/Gnumeric-embed.xml.in: ditto
	* src/pixmaps/object_button_24.png: add transparency
	* src/pixmaps/object_radiobutton_24.png: ditto

2009-09-22  Morten Welinder  <terra@gnome.org>

	* src/sheet-object*.[ch]: drop dom parsing code.

	* src/xml-sax-read.c (xml_cellregion_read): Re-implement in SaX
	land.  Callers changed to supply extra io_context argument needed.
	(gnm_xml_in_doc_add_subset): New function.
	(gnm_xml_finish_obj, xml_sax_style_region_end, xml_sax_merge,
	xml_sax_cell_content): If needed, add to clipboard, not sheet.

	* src/xml-sax-write.c (gnm_cellregion_to_xml): Close the
	MergedRegions tag.

	* src/xml-io.c (xml_cellregion_read_dom): Renamed from
	xml_cellregion_read.

2009-09-22  Jean Brefort  <jean.brefort@normalesup.org>

	* component/Gnumeric-embed.xml.in: synchronize with latest
	GNOME_Gnumeric-gtk.xml.in.

2009-09-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/GNOME_Gnumeric-gtk.xml.in: remove CreateLabel
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c: remove CreateLabel
	* src/wbc-gtk.c: attach label image to Gnumeric_ObjectRectangle

2009-09-21  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (gnm_xml_out_add_color,
	gnm_xml_out_add_cellpos): Move from xml-io.c and make static.
	(gnm_xml_out_add_gocolor): Ditto, except keep public.

2009-09-21  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-plugin.c (plugin_service_ui_read_xml): use translated labels.
	[#159806]

2009-09-21  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c (so_filled_view_set_bounds),
	(cb_gnm_so_filled_changed): reimplement text in ellipses.[#595710]

2009-09-20  Morten Welinder  <terra@gnome.org>

	* configure.in: Post-release bump.

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.13

2009-09-19  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (get_goc_widget): New function.
	Simplifies previous patches.

2009-09-19  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-widget.c
	(sheet_widget_adjustment_set_horizontal): same as previous. This time,
	fixes #595648.

2009-09-19  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-widget.c (sheet_widget_frame_set_label),
	(sheet_widget_button_set_label), (sheet_widget_button_set_markup),
	(sheet_widget_checkbox_set_label),
	(sheet_widget_radio_button_set_label): use child as GocWidget instead of
	parent. [#595627]

2009-09-18  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-impl.h (struct _WBCGtk): Rename zoom to zoom_haction
	and add zoom_vaction.

	* src/wbc-gtk.c (wbc_gtk_init_zoom): Setup zoom_vaction.

2009-09-17  Morten Welinder  <terra@gnome.org>

	* src/item-edit.c (item_edit_class_init): Don't set ::dispose.
	(item_edit_unrealize): Merge item_edit_dispose into here.
	(item_edit_dispose): Remove.
	(item_edit_realize): Merge most of item_edit_set_property into
	here.

2009-09-16  Morten Welinder  <terra@gnome.org>

	* Makefile.am (install-exec-local): Install gnumeric-features.h in
	the right spot.  Fixes #595317.

	* gnumeric-features.h.in: Trim a lot of fat.

	* src/item-grid.c (item_grid_unrealize): New function to plug
	leak.

2009-09-15  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-cursor.c (item_cursor_button2_pressed),
	(item_cursor_class_init): reimplement double click in item-cursor.
	[debian bug #546690]

2009-09-15  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (cb_pane_drag_end): correctly ungrab the item. Fixes
	debian bug #546559.
	* src/gnumeric-simple-canvas.c: typo.

2009-09-12  Morten Welinder  <terra@gnome.org>

	* src/rendered-value.c (gnm_rendered_value_new): Drop mstyle and
	context arguments.  All callers changed.

	* src/print-cell.c (print_cell_gtk): Drop unused style argument.
	All callers changed.

	* src/preview-grid.c (pg_style_get_row): Greatly simplify by using
	the sheet.
	(pg_fetch_cell): Ditto.

2009-09-11  Morten Welinder  <terra@gnome.org>

	* src/file-autoft.c (category_group_list_get): Make this work
	again after config changes a few versions back.

	* src/rendered-value.c (gnm_rvc_new, gnm_rvc_free, gnm_rvc_query,
	gnm_rvc_store, gnm_rvc_remove): New functions.

	* src/cell.c (gnm_cell_unrender, gnm_cell_get_rendered_value,
	gnm_cell_fetch_rendered_value): Hook into above.

2009-09-11  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_get_pango_attrs): Don't scale if zoom is
	1.

	* src/cell.c (gnm_cell_unrender, gnm_cell_get_rendered_value,
	gnm_cell_fetch_rendered_value): New functions.

	* src/gnm-so-filled.c (gnm_so_filled_draw_cairo): NULL-check
	->text like elsewhere.  Fixes 594862.

2009-09-09  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-edit.c (wbcg_edit_start): Make "inside_editing" a
	member variable instead of a static.

2009-09-08  Morten Welinder  <terra@gnome.org>

	* src/item-cursor.c (item_cursor_button_released): Clear status
	message in drag and autofill cases too.  Fixes #594469.

2009-09-08  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Use automake 1.11 SILENT_RULES when present, for cleaner build
	output. You can disable it by passing --disable-silent-rules to
	configure or V=1 to make.

2009-09-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: split random generator menu item
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c: ditto

2009-09-05  Morten Welinder  <terra@gnome.org>

	* configure.in: Post-release bump.

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 1.9.12

2009-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: renamed go-color.h macros.

2009-09-04  Morten Welinder  <terra@gnome.org>

	* src/rendered-value.c (calc_indent): Drop zoom argument.  All
	callers changed.

	* src/style.c (style_font_new_simple): Put context into hash key
	as the font metrics depends on that.  Drop scale argument.  Caller
	changed.
	(delete_neg_font, gnm_font_unref): Unref ->context.
	(gnm_font_hash): Take context, is_bold, and is_italic into
	account.

	* src/mstyle.c (gnm_style_clear_font): Clear font_context here.
	(gnm_style_dup): Copy font_context here.
	(gnm_style_get_font): Check font_context, not font_zoom here.
	Drop zoom argument.  All callers changed.

	* src/gnm-style-impl.h (GnmStyle): Drop font_zoom, but add
	font_context.

2009-09-03  Morten Welinder  <terra@gnome.org>

	* src/style-font.h (GnmFont): Remove unused pango.font.

	* configure.in (libgoffice): Require 0.7.12 for GPS_* change.

2009-09-04  Morten Welinder  <terra@gnome.org>

	* src/item-bar.c (item_bar_button_pressed): Don't grab after
	context menu.  Fixes Debian 544975.

2009-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-edit.c (item_edit_draw): make item edit use the same font size
	than the sheet cell.

2009-09-02  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-bar.c (item_bar_motion): don't grab the item from there.

2009-09-01  Morten Welinder  <terra@gnome.org>

	* src/style-color.h (GnmColor): Eliminate gdk_color filed.  All
	users changed to use go_color.

	* src/style-color.c (style_color_new_uninterned): Cleanup.

2009-09-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mstyle.c (gnm_style_new_default): use style_color_auto_back
	  as background color.

2009-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-plugin.c (plugin_service_function_group_class_init),
	(plugin_service_ui_class_init): renamed GPS to GO_PLUGIN_SERVICE.

2009-09-01  Morten Welinder  <terra@gnome.org>

	* src/style-color.h (struct _GnmColor): Eliminate
	gdk_selected_color and name fields.

2009-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c: renamed GOColor macros.
	* src/gnm-so-filled.c: ditto.
	* src/gnm-so-line.c: ditto.
	* src/gnm-so-polygon.c: ditto.
	* src/gui-util.c: ditto.
	* src/item-bar.c: ditto.
	* src/item-cursor.c: ditto.
	* src/item-edit.c: ditto.
	* src/item-grid.c: ditto.
	* src/print-cell.c: ditto.
	* src/sheet-object-cell-comment.c: ditto.
	* src/style-color.c: ditto.
	* src/wbc-gtk.c: ditto.

2009-08-31  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (new_control_point), (set_acetate_coords):
	replace GOStyle::outline.
	* src/gnm-so-filled.c (sof_default_style),
	(gnm_so_filled_draw_cairo), (gnm_so_filled_read_xml_dom),
	(gnm_so_filled_write_xml_sax), (gnm_so_filled_prep_sax_parser):
	* src/gnm-so-polygon.c (sop_default_style): ditto.
	* src/item-edit.c (item_edit_draw): fixed cursor position.
	* src/sheet-object-cell-comment.c (cell_comment_new_view):
	replace GOStyle::outline.
	* src/sheet-object-image.c (gnm_soi_draw_cairo): ditto.

2009-08-31  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_mode_edit): update menu sensitivity
	here.  Fixes #593624.

2009-08-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 1.9.11

2009-08-30  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c (cb_bounds_changed): do not update while dragging.
	* src/sheet-object.c (cb_create_views),
	(sheet_object_view_enter_notify),
	(sheet_object_view_button_pressed): do not reintroduce #151789.

2009-08-30  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-control-gui.c (scg_object_anchor_to_coords): fixed a
	rounding error.
	* src/sheet-object.c (sheet_object_clear_sheet),
	(sheet_object_view_finalize), (sheet_object_view_class_init): don't
	unref a finalized view.
	* src/style-border.c (gnm_style_border_set_dash),
	(style_border_set_gtk): rename and export gnm_style_border_set_dash.
	* src/style-border.h: ditto.

2009-08-27  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c (so_filled_item_view_class_init): deprecate the
	detroy method.
	* src/gnm-so-line.c (so_line_goc_view_class_init): ditto.
	* src/gnm-so-polygon.c (so_polygon_goc_view_class_init): ditto.
	* src/sheet-control-gui.c (scg_resize), (scg_finalize),
	(scg_object_select), (cb_scg_object_unselect): cleaned.
	* src/sheet-object-cell-comment.c (comment_view_class_init): deprecate the
	detroy method.
	* src/sheet-object-graph.c (so_graph_goc_view_class_init): ditto.
	* src/sheet-object-image.c (so_image_goc_view_class_init): ditto.
	* src/sheet-object-impl.h: ditto.
	* src/sheet-object-widget.c (so_widget_view_class_init): ditto.
	* src/sheet-object.c (sheet_object_clear_sheet),
	(sheet_object_new_view): ditto and fix a critical.
	* src/wbc-gtk-edit.c (workbook_edit_complete_notify),
	(cb_entry_delete_text): cleaned.

2009-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* src/cell-draw.c (cell_draw): do no draw extra lines around rotated text.

2009-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* src/cell-draw.c (cell_draw): fixed text rotation in cells. [#593114]

2009-08-25  Jean Brefort  <jean.brefort@normalesup.org>

	* src/cell-draw.c: use GocCanvas ibstead of FooCanvas
	* src/cell-draw.h: ditto.
	* src/gnm-pane-impl.h: ditto.
	* src/gnm-pane.c: ditto.
	* src/gnm-pane.h: ditto.
	* src/gnm-sheet-slicer-combo.c: ditto.
	* src/gnm-so-filled.c: ditto.
	* src/gnm-so-line.c: ditto.
	* src/gnm-so-polygon.c: ditto.
	* src/gnumeric-simple-canvas.c: ditto.
	* src/gnumeric-simple-canvas.h: ditto.
	* src/gui-util.c: ditto.
	* src/gui-util.h: ditto.
	* src/item-bar.c: ditto.
	* src/item-bar.h: ditto.
	* src/item-cursor.c: ditto.
	* src/item-cursor.h: ditto.
	* src/item-edit.c: ditto.
	* src/item-grid.c: ditto.
	* src/item-grid.h: ditto.
	* src/pattern.c: ditto.
	* src/pattern.h: ditto.
	* src/preview-grid-impl.h: ditto.
	* src/preview-grid.c: ditto.
	* src/sheet-control-gui.c: ditto.
	* src/sheet-control-gui.h: ditto.
	* src/sheet-filter.c: ditto.
	* src/sheet-object-cell-comment.c: ditto.
	* src/sheet-object-graph.c: ditto.
	* src/sheet-object-image.c: ditto.
	* src/sheet-object-impl.h: ditto.
	* src/sheet-object-widget.c: ditto.
	* src/sheet-object.c: ditto.
	* src/sheet-object.h: ditto.
	* src/style-border.c: ditto.
	* src/style-border.h: ditto.
	* src/style-color.c: ditto.
	* src/validation.c: ditto.
	* src/wbc-gtk-edit.c: ditto.

2009-08-21  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (insert_date_time_common): Rewrite to work
	with magic formats.  Fixes #592545.

2009-08-17 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.h (function_def_get_arg_name): change argument
	* src/func.c (function_def_get_arg_name): rewrite using
	  function_def_create_arg_names
	(function_def_create_arg_names): new
	(gnm_func_load_stub): call function_def_create_arg_names
	(gnm_func_free): free argument list
	(gnm_func_add): call function_def_create_arg_names

2009-08-15  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.10

2009-08-14  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_sanity_check1): Check EXAMPLES too.

2009-08-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func-builtin.c: remove argument names from GnmFuncDescriptor
	* src/func.h (_GnmFuncDescriptor): remove arg_names_depreceated

2009-08-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.h (_GnmFuncDescriptor): rename arg_names to
	  arg_names_depreceated
	* src/func.c (gnm_func_load_stub): don't use arg_names
	(gnm_func_add): ditto
	(gnm_func_add_placeholder): ditto

2009-08-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (function_def_get_arg_name): rewrite without using
	  fn_def->arg_names

2009-08-14  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_sanity_check1): Check argument count too.

	* src/main-application.c (main): Add new --func-sanity-check
	option.

	* src/func.c (gnm_func_sanity_check, gnm_func_sanity_check1): New
	functions.

2009-08-13  Morten Welinder  <terra@gnome.org>

	* src/func.c (func_def_cmp, function_category_compare): Take
	advantage of go-string.

2009-08-13  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-plugin.c (plugin_service_function_group_read_xml): get "lang"
	property instead of "xml:lang" since the namespace is dropped.

2009-08-05  Morten Welinder  <terra@gnome.org>

	* src/GNOME_Gnumeric-gtk.xml.in: Add VUndo and VRedo.  See bug
	#590889.

2009-08-05 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c: Change action names

2009-07-31 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.h (gnm_check_for_plugins_missing): new
	* src/gui-util.c (gnm_check_for_plugins_missing): new

2009-07-22  Jody Goldberg <jody@gnome.org>

	* src/colrow.c (colrow_compute_pts_from_pixels) : seems like the
	  intent was to use -1 as a proxy for a call to colrow_compute_pixel_scale.
	  This fixes the negatively sized cols/rows since b2c73a3e. [#588297]

2009-07-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object.h (sheet_object_anchor_to_offset_pts): new
	* src/sheet-object.c (sheet_object_anchor_to_offset_pts): new

2009-07-09  Morten Welinder  <terra@gnome.org>

	* src/gnm-plugin.c (plugin_service_function_group_read_xml):
	Extract textdomain from xml.

	* src/func.c (gnm_func_add, gnm_func_add_stub): Add new
	"textdomain" paramter.  All callers changed.

	* src/gnumeric-gconf.c: Transparently watch all configuration
	options of types int, bool, double, and string.

	* src/validation.c (gnm_validation_combo_finalize): Call the right
	parent class' finalizer.

	* src/gnumeric-gconf.c (gnm_conf_init): Handle new debug flags
	"conf-get" and "conf-set".

2009-07-08  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_scale_changed): Compute scale only once per
	direction.  Fixes #588105.

	* src/colrow.c (colrow_compute_pixel_scale): New function.
	(colrow_compute_pixels_from_pts, colrow_compute_pts_from_pixels):
	Take extra scale parameter.

	* src/gnm-cell-combo.c (gnm_cell_combo_set_sv): New function.
	(gnm_cell_combo_finalize, gnm_cell_combo_set_property): Call
	gnm_cell_combo_set_sv to release sv weak ref.
	(gnm_cell_combo_dispose): New function.  Fixes #587992.

	* src/sheet.c (sheet_get_nominal_printarea): Avoid UMR.

2009-07-07  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_group_fetch): Remove.
	(gnm_func_group_fetch_with_translation): Rename to
	gnm_func_group_fetch.

2009-07-01  Morten Welinder  <terra@gnome.org>

	* configure.in (libspreadsheet_reqs): Require goffice 0.7.9

2009-06-30 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet.c (sheet_get_nominal_printarea): make sure the
	  range is sane

2009-06-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func-builtin.c (help_sum): change to new description type
	(help_product): ditto
	(help_gnumeric_version): ditto

2009-06-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-general.schemas.in: add schema for
	  long format toolbar and fix other toolbar schemas
	* src/GNOME_Gnumeric-gtk.xml.in: provide a long version of
	  the format toolbar

2009-06-28 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (cb_help_docs): pass flags to g_spawn_async
	  and provide more descriptive error message

2009-06-28  Morten Welinder  <terra@gnome.org>

	* src/gui-file.c (gui_file_template): Do not set a NULL uri here.
	Lots of code assumes we have a uri.

2009-06-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/gnumeric.c (go_gnm_component_edit): call
	  set_uifilename
	* src/Makefile.am: add new headers
	* src/wbc-gtk-impl.h (set_uifilename): new
	* src/wbc-gtk.c (set_uifilename): new

2009-06-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* gnumeric.spec.in: updated to something a touch more recent

2009-06-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/style-conditions.c (gnm_style_conditions_eval): fix
	  GNM_STYLE_COND_NOT_BETWEEN:

2009-06-23  Morten Welinder  <terra@gnome.org>

	* src/item-cursor.c (item_cursor_tip_setlabel,
	cb_cursor_come_to_rest, item_bar_event): Use
	gnm_canvas_get_position.

	* src/gui-util.c (gnm_canvas_get_position): New function working
	around gdk bug.  Fixes #586590.

2009-06-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-info.c (gnm_page_breaks_clean): we can't and don't need
	   to clean a non-existing breaks array.
	* src/print.c (compute_sheet_pages): fix sense of test anc combine
	  code

2009-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.h (GnmFuncHelpType): add GNM_FUNC_HELP_EXCEL and
	  GNM_FUNC_HELP_ODF
	* src/func.c (function_dump_defs) handle new GnmFuncHelpType

2009-06-20  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnumeric_restore_window_geometry): Split out
	from gnumeric_keyed_dialog.

	* src/value.c (criteria_test_match): New function.
	(free_criteria): Free regexp if needed.
	(criteria_inspect_values, criteria_test_equal,
	criteria_test_unequal, criteria_test_less, criteria_test_greater,
	criteria_test_less_or_equal, criteria_test_greater_or_equal): Take
	GnmCriteria instead of y and date_conv.  All callers changed.
	(parse_criteria): The no-operator case is criteria_test_match, not
	criteria_test_equal.

2009-06-20  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.9

2009-06-19  Morten Welinder  <terra@gnome.org>

	* src/value.c (parse_criteria): Return a GnmCriteria.  All callers
	changed.

2009-06-18  Morten Welinder  <terra@gnome.org>

	* src/func.c (function_call_with_exprs): Make sure we can tell
	skipped arguments from present arguments that return empty values.
	Fixes #586312.

	* src/expr.c (gnm_expr_is_empty): New function.

	* src/func-builtin.c (gnumeric_if2): Allow empty and array results
	results.  Map NULL into value_new_empty() if the argument that
	produced it is not empty.  (That prevents them from being treated
	as zero.)  Fixes #586218.

2009-06-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/expr.h (gnm_func_lookup_or_add_placeholder): new
	* src/expr.c (gnm_func_lookup_or_add_placeholder): new

2009-06-17  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_coth, gnm_acoth): New functions.

2009-06-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/expr.h (gnm_expr_list_as_string): new
	* src/expr.c (gnm_expr_list_as_string): make non-static
	(do_expr_as_string): use convs->output.func
	* src/parse-util.h (_GnmConventions): add func field
	* src/parse-util.c (std_expr_func_handler): new
	(gnm_conventions_new_full): initialize func field

2009-06-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_define_name_undo): we have to update the
	  printarea menu items
	(cmd_define_name_redo): ditto
	* src/wbc-gtk.c (wbcg_menu_state_update): update the printarea menu
	  items
	* src/workbook-control.h: add enum for printarea menu item update

2009-06-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-so-filled.c (gnm_so_filled_write_xml_sax): be rather safe
	  than sorry and check whether sof->text is NULL
	(gnm_so_filled_set_property): make sure sof->text does not become
	  NULL. (If it is NULL the foocanvas items don't notice it changing.)

2009-06-16  Morten Welinder  <terra@gnome.org>

	* src/func.c (dump_externals): New function for creating what will
	become http://projects.gnome.org/gnumeric/func-doc.shtml
	(function_dump_defs): Call dump_externals for type 4.

	* src/main-application.c (gnumeric_options): Introduce hidden
	option for generating web page.

	* src/gnm-pane.c (cb_control_point_event): Remove debug code.

	* src/mstyle.c (gnm_style_update): Verify that empty styles have
	hash values all zero.

	* src/sstest.c (test_insdel_rowcol_names): Explicitly define
	Print_Area to be whole sheet.  Fixes test again.

	* src/go-data-slicer-field.c (go_data_slicer_field_init): Don't
	assign to ->field_type_pos[-1].

2009-06-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/mstyle.c (gnm_style_equal): check first for pointer equality

2009-06-14  Morten Welinder  <terra@gnome.org>

	Implement New-From-Template (#303657):

	* src/wbc-gtk.c (wbc_gtk_reload_templates, wbc_gtk_load_templates,
	cb_new_from_template): New functions.
	(wbc_gtk_new): Arrange to load templates later.
	(wbcg_update_title, regenerate_window_menu): Handle NULL uri.

	* src/wbc-gtk-actions.c (cb_file_menu): New handler to ensure that
	templates have been loaded.

	* src/gui-file.c (gui_file_template): New function.

	* src/workbook-view.c (wb_view_set_attribute): Handle problem with
	old .gnumeric files.

2009-06-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-general.schemas.in: remove sort header default
	* src/GNOME_Gnumeric-gtk.xml.in move preferences menu item
	* src/gnumeric-gconf.h: remove sort_default_has_header
	* src/gnumeric-gconf.c: remove sort_default_has_header
	(gnm_gconf_set_sort_has_header): deleted
	* src/wbc-gtk-actions.c: sort_by_rows, trust the automatic
	  detection and don't try to use the default too
	(actions): move preferences, goto and fill menus

2009-06-11  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_fixed_line): Make sure we have the
	right number of columns, even if we need to add empty items.
	Fixes #135523.

2009-06-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Almer S. Tigelaar

	* src/wbc-gtk.c (cb_scroll_wheel): make sure we are acting on
	  the top visible sheet

2009-06-10  Morten Welinder  <terra@gnome.org>

	* src/parser.y (yylex): Return LEFT_EXP_TOKEN or RIGHT_EXP_TOKEN
	for '^'.
	(yyparse): Handle LEFT_EXP_TOKEN and RIGHT_EXP_TOKEN instead of
	'^'.

	* src/parse-util.h (struct _GnmConventions): Add associativity
	switch for '^'.

	* src/parse-util.c (gnm_conventions_new_full): Init it.

	* src/parser.y: Change x^y^z into x^(y^z) to indicate how we
	parsed it.

	* src/expr.c (do_expr_as_string): Ditto.

2009-06-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/ranges.c (range_clip_to_finite): adjust limits and add
	  explanatory comment

2009-06-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet.h (sheet_get_nominal_printarea): change return type
	* src/sheet.c (gnm_sheet_constructor): change initialization
	  of print area
	(sheet_get_nominal_printarea): change return type
	(sheet_get_printarea): adjust for changes in
	  sheet_get_nominal_printarea
	* src/wbc-gtk-actions.c (cb_file_print_area_clear): change to
	  match changed print area interpretation
	(cb_file_print_area_show): ditto
	* src/xml-io.c (xml_read_names): since existing files will assume
	  the old meaning of print area we should adjust upon loading.
	* src/xml-sax-read.c (xml_sax_named_expr_end): ditto

2009-06-09  Jody Goldberg <jody@gnome.org>

	* src/go-string.c (go_string_shutdown) : don't leak the shared string
	  table.

2009-06-09  Morten Welinder  <terra@gnome.org>

	* src/go-string.c: Avoid lots of casts.  Use unsigned values for
	flag constants to match the flags.
	(go_string_ERROR): Fix prototype.

	* src/mathfunc.c (gnm_cot, gnm_acot): New functions.

	* src/sheet-style.c (sheet_style_find): Keep style hash entries
	unique.  Fixes #585178.

	* src/mstyle.c (gnm_style_dup): Copy pango_attrs_zoom too.

2009-06-09 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-info.c (gnm_page_breaks_get_next_break): new
	* src/print-info.h (gnm_page_breaks_get_next_break): new
	* src/xml-io.c (xml_read_breaks): adjust to cahnge in enum
	  interpretation
	* src/xml-sax-read.c (xml_sax_page_break): ditto
	* src/xml-sax-write.c (xml_write_breaks): also write soft breaks

2009-06-08  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sample_styles): Check equality using
	gnm_style_equal to match the optimizer, if even == ought to be
	good enough.
	(sheet_style_optimize): Add no-style-optimize debug flag doing the
	obvious.

2009-06-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (compute_sheet_pages): make sure we have
	  page breaks allocated before we try to save any.

2009-06-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-info.c (gnm_page_breaks_get_next_manual_break):
	  fix unsigned issue
	(gnm_page_breaks_set_break): ditto
	(gnm_page_breaks_clean): ditto

2009-06-08  Jody Goldberg <jody@gnome.org>

	* src/go-data-slicer-field.c (go_data_slicer_field_init) : adjust to
	  GDS_FIELD_TYPE_ re-org

2009-06-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-info.h (gnm_page_breaks_clean): new
	* src/print-info.c(gnm_page_breaks_clean): new
	* src/print.c (paginate): store page breaks if requested
	(compute_sheet_pages): clear page breaks if storage of new ones
	  is requested

2009-06-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-info.h (gnm_page_breaks_set_break): new
	(gnm_page_breaks_get_break): new
	(gnm_page_breaks_get_next_manual_break): new
	(gnm_page_breaks_dup_non_auto_breaks): new
	* src/print-info.c (gnm_page_breaks_set_break): new
	(gnm_page_breaks_get_break): new
	(gnm_page_breaks_get_next_manual_break): new
	(gnm_page_breaks_dup_non_auto_breaks): new
	(gnm_page_break_type_from_str): default to GNM_PAGE_BREAK_NONE
	* src/print.h (GNUMERIC_PRINT_SETTING_IGNORE_PAGE_BREAKS_KEY):
	  new key
	* src/print.c (PrintingInstance): add new fields
	(paginate): add arguments and change all callers
	(gnm_begin_print_cb): handle ignoring of manual page breaks
	(gnm_create_widget_cb): add ignore page break chackbox
	(gnm_custom_widget_apply_cb): and handle the checkbox

2009-06-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/GNOME_Gnumeric-gtk.xml.in: add ChiSquareTests
	* src/wbc-gtk-actions.c add MenuContingencyTests and
	  Tools -> Chi Square Tests items

2009-06-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* expr.h (gnm_expr_new_funcall5): new
	* src/expr.c (gnm_expr_new_funcall5): new

2009-06-04  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (cb_set_cell_content): Fix critical when overwriting
	a non-singular array formula with non-array contents.  [#584746]

2009-06-03  Morten Welinder  <terra@gnome.org>

	* src/expr.c (cellref_boundingbox, gnm_expr_get_boundingbox,
	gnm_expr_top_get_boundingbox): Add sheet parameter for size.
	All callers changed.

2009-06-02  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (cb_format_as_currency): Deal with goffice
	changes.

2009-05-30  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell_content): Don't check
	go_format_unref.

2009-05-29  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Honour geometry even when we are
	not loading a file from the command line.

2009-05-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c (toggle_font_attr): when we toggle sub or
	  subscript we should also toggle the size.

2009-05-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/GNOME_Gnumeric-gtk.xml.in: add super and subscript buttons
	  to format toolbar. Remove Label button from the object toolbar
	  since it is functionally equivalent to the rectangle button.

2009-05-28  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (cb_format_as_currency): Fix.

2009-05-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-so-filled.c (so_filled_view_set_bounds): don't check for
	  text to be non-null and is_oval to be false
	(gnm_so_filled_user_config): ditto
	(cb_gnm_so_filled_style_changed): ditto
	(gnm_so_filled_draw_cairo): ditto
	(gnm_so_filled_write_xml_sax): ditto
	(gnm_so_filled_init): Iniitalize with the empty string rather than NULL
	  since something in FOOCANVAS doesn't update when we change from NULL to
	  text.

2009-05-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-cell-comment.c (cell_comment_prep_sax_parser):
	  make sure we are having markup before retrieving it

2009-05-26  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (dependent_changed): Handle NULL dep->sheet.

2009-05-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: increase goffice requirement to 0.7.8

2009-05-26  Morten Welinder  <terra@gnome.org>

	* src/search.c (gnm_search_match_value): Accept a very small
	range.

2009-05-25  Morten Welinder  <terra@gnome.org>

	* src/search.c (gnm_search_replace_set_property,
	gnm_search_replace_get_property, gnm_search_replace_class_init):
	Add new is-number property.
	(gnm_search_replace_comment): Comments are not numbers.
	(gnm_search_replace_cell, gnm_search_replace_value): Handle number
	search.

2009-05-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: increase libgsf requirement to 1.14.15

2009-05-23  Morten Welinder  <terra@gnome.org>

	* configure.in: Post-release bump.

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.9.8

2009-05-22  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (gnm_expr_parse_str_simple): Remove.  Interface
	invites R1C1 bugs.  All callers fixed.

2009-05-21  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_graph_dim_editor_update): Suppress the initial
	update gui update.

2009-05-18  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c: Clean up class accesses.

	* src/graph.c (gnm_go_data_date_conv): New function.

	* src/workbook-view.c (wb_view_set_property): Normalize booleans.

	* src/sheet-style.c (sheet_style_init_size,
	sheet_style_set_auto_pattern_color): Use structure assignment, not
	memcpy.

	* src/sheet-object.c (sheet_object_anchor_assign): Eliminate in
	favour of plain structure assignment.  All callers changed.

	* src/wbc-gtk.c (wbcg_scrollbar_visibility,
	wbcg_notebook_tabs_visibility): New functions.
	(wbcg_view_changed): Hook up wbcg_scrollbar_visibility and
	wbcg_notebook_tabs_visibility.

	* src/workbook-view.c 	(workbook_view_class_init, wb_view_set_property,
	wb_view_get_property): Add new properties:
	PROP_SHOW_HORIZONTAL_SCROLLBAR, PROP_SHOW_VERTICAL_SCROLLBAR,
	PROP_SHOW_NOTEBOOK_TABS, PROP_DO_AUTO_COMPLETION, PROP_PROTECTED,
	PROP_PREFERRED_WIDTH, PROP_PREFERRED_HEIGHT.
	(wb_view_preferred_size): Use the new properties thus taking care
	of any notification needed.
	(wb_view_set_attribute): Ditto, although this function should die
	soon.

2009-05-17  Morten Welinder  <terra@gnome.org>

	* src/graph.c (gnm_go_data_eq): Compare convs too.

2009-05-16  Morten Welinder  <terra@gnome.org>

	Fix for #490479:

	* src/graph.c (gnm_go_data_preferred_fmt): Don't check dep->sheet.

	* src/sheet-object.c (cb_sheet_object_invalidate_sheet): Clear
	dep->sheet if necessary.

	* src/gui-clipboard.c (table_cellregion_read): Invalidate the
	sheets in the temporary workbook.

	* src/clipboard.c (cellregion_invalidate_sheet): Clear
	->origin_sheet if that is what we are invalidating.

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/xml-sax-write.c (xml_write_style): since we index into the
	  array with our enum we should make the order match.

2009-05-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: fix some long descriptions
	* schemas/gnumeric-general.schemas.in: ditto
	* src/gnm-plugin.c: add a translator comment

2009-05-15  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (gnm_dep_container_dump): fix crash.

2009-05-14  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (workbook_recalc): Wrap whole evaluation in
	calls to gnm_app_recalc_start and gnm_app_recalc_finish.

	* src/expr.c (gnm_expr_top_eval): Wrap gnm_expr_eval call in calls
	to gnm_app_recalc_start and gnm_app_recalc_finish.

	* src/clipboard.c (paste_cell_with_operation): Create a GnmExprTop
	and use that for evaluation.
	* src/validation.c (validation_eval): Ditto.
	* src/workbook-view.c (wb_view_auto_expr_recalc): Ditto.  Simplify.

	* src/application.c (gnm_app_recalc_start, gnm_app_recalc_finish):
	New functions.

	* src/commands.c (cmd_so_set_adjustment): Handle h/v too.  All
	callers changed.
	* src/sheet-object-widget.c (sheet_widget_adjustment_user_config_impl):
	Ditto.

	* src/sheet-object-widget.c (SheetWidgetAdjustment): Add explicit
	direction here.
	(SheetWidgetAdjustmentClass): Identify h and v versions here.
	(sheet_widget_adjustment_write_xml_sax): Save direction if needed.
	(sheet_widget_adjustment_prep_sax_parser,
	sheet_widget_adjustment_read_xml_dom): Read it here.

2009-05-13  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sheet_widget_scrollbar_create_widget):
	Record whether the scrollbar is horizontal or vertical so
	different views will have the same orientation.

2009-05-12  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_debug_flag): New function.
	* src/sheet-style.c (sheet_style_optimize): Use gnm_debug_flag.
	* src/gui-clipboard.c (debug_clipboard): Ditto.
	* src/main-application.c (main): Ditto.
	* src/wbc-gtk.c (cb_workbook_debug_info,
	wbc_gtk_create_edit_area): Ditto.

2009-05-11  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (merge): Rearrange to read files only once.

	* src/sheet.c (gnm_sheet_resize_main): Only warn for a resize that
	is not a no-op.

	* src/sheet-style.c (sheet_style_init_size): Don't set partial_col
	and partial_row.
	(cb_style_list_add_node): Deal without partial_col and
	partial_row.

	* src/sheet.h (struct _Sheet): Remove partial_col and partial_row
	flags.

	* src/ssindex.c (cb_index_styles): Index validation stuff too.

2009-05-09  Morten Welinder  <terra@gnome.org>

	* src/collect.c (collect_floats): Introduce a cache for the
	important argc==1 case.  Add extra argument to avoid copying
	the result unnecessarily.  All callers changed.

	* src/sheet-style.c (cell_tile_optimize): Remove extraneous
	"break;"  Fixes #582027.

	* src/gnumeric-gconf.c (gnm_gconf_set_workbook_ncols,
	gnm_gconf_set_workbook_nrows): Respect any valid size.

	* src/workbook.c (workbook_new_with_sheets): Ditto.

	* src/gui-clipboard.c (table_cellregion_write): Explicitly size
	the temporary sheet.

	* src/workbook.c (workbook_new_with_sheets): Respect the sheet
	size preferences.

	* src/gui-clipboard.c (table_cellregion_write): Plug leak.

	* src/gnumeric-gconf.c (gnm_gconf_set_workbook_ncols): Set
	prefs.col_number too.
	(gnm_gconf_set_workbook_nrows): Set prefs.row_number too.

	* src/sheet-style.c (verify_styles): Abort if anything is found to
	be wrong.

2009-05-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/cell.c (gnm_cell_is_nonsingleton_array): don't use
	  simply gnm_cell_is_array_corner since it returns NULL for
	  other array elements

2009-05-09  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (cell_tile_optimize): Fix crash.  #581931.

2009-05-08  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_get_range): Handle parenthesis.

2009-05-09  Jody Goldberg <jody@gnome.org>

	* configure.in : add $ac_exeext when checking for executables so that
	  wine can be used when cross compiling.

2009-05-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-so-filled.c (gnm_so_filled_write_xml_sax): write
	  serialized pango attributes
	(gnm_so_filled_prep_sax_parser): read serialized pango
	  attributes
	* src/sheet-object-cell-comment.c (cell_comment_write_xml_sax)
	  write serialized pango attributes
	(cell_comment_prep_sax_parser): read serialized pango
	  attributes

2009-05-07  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_optimize): New function.

	* src/workbook.c (workbook_optimize_style): New function.

	* src/workbook-view.c (wb_view_new_from_input): Call
	workbook_optimize_style.

2009-05-06  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.9.7

2009-05-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: (libgsf) require 1.14.13 since the
	  gsf_opendoc_metadata_subtree in previous versions will crash!
	* src/xml-sax-read.c (xml_sax_document_meta): new
	(content_ns): added name spaces
	(gnumeric_1_0_dtd): hook up xml_sax_document_meta

2009-05-06  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-polygon.c (gnm_so_polygon_write_xml_sax): Implement.
	Untested, but fixes #581394.

	* src/sheet-autofill.c (afc_set_cell_hint): Don't use the target
	cell for conventions -- it can be NULL.  Fixes #581589.

2009-05-05  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-polygon.c (gnm_so_polygon_set_property): Handle NULL
	points.
	(so_polygon_view_set_bounds): Handle empty points.

	* src/gnm-style-impl.h (struct _GnmStyle): Allocate the right
	number of border elements!

	* src/mstyle.c (elem_is_eq): Force inline since most callers then
	trivially pick the right branch.
	(gnm_style_find_conflicts): Assert that we have bits enough.
	(gnm_style_update): Hash the right number of border elements.

2009-05-04  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_get_size2): New function.

	* src/parse-util.c (cellref_as_string, r1c1_rangeref_parse,
	rangeref_as_string, rangeref_parse): Simplify using
	gnm_sheet_get_size2.

	* src/position.c (gnm_rangeref_normalize_pp): Simplify using
	gnm_sheet_get_size2.

	* src/xml-sax-read.c (handle_delayed_names): Simplify using
	gnm_sheet_get_size2.

	* src/expr.c (reloc_restore_cellref): Take a GnmSheetSize, not a
	Sheet.  All callers changed.

	* src/dependent.c (dependents_relocate): Relocate names with
	respect to the right GnmParsePos.
	(gnm_dep_container_dump): Just list the names.

	* src/workbook.c (workbook_foreach_name): Add extra globals_only
	flag.  Caller changed.

	* src/dependent.c (dependents_relocate): Relocate sheet-local and
	global names too.  Minor issues remain.

2009-05-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-so-filled.c (gnm_so_filled_draw_cairo) use
	  pango_layout_set_text rather than pango_layout_set_markup
	  fixes #581125

2009-05-03  Morten Welinder  <terra@gnome.org>

	* src/expr-name.c (expr_name_handle_references): Undo last change.
	Bug 581117 is duct taped by sheet_get_nominal_printarea change.

	* src/sheet.c (sheet_get_nominal_printarea): Work harder at
	ensuring sanity.

	* src/expr.c (reloc_cellrange): Make sure a full row (1:1) or
	column (A:A) sticks at the beginning too.

2009-05-02  Morten Welinder  <terra@gnome.org>

	* src/expr-name.c (expr_name_handle_references): Handle NULL sheet
	from expr_name_handle_references.  Fixes #581117.

	* src/expr.c (gnm_insert_unique): Renamed from
	g_slist_insert_unique.  Insert NULL too, if appropriate.
	(do_referenced_sheets): Correctly handle right-hand side of a
	range if it is NULL.

	* src/position.c (eval_pos_init_sheet, parse_pos_init,
	parse_pos_init_sheet): Constify.

2009-05-02  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (render_val): don't crash with a NULL value. [#581120]

2009-05-01  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (r1c1_rangeref_parse): Fix sheet size handling.

	* src/sheet-style.c (sheet_style_sanity_check): New function.
	(sheet_style_init): Call sheet_style_sanity_check.
	(tile_widths, tile_heights): Add extra element.

2009-05-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_set_comment): add author argument
	* src/commands.c (cmd_set_comment): ditto
	(cmd_set_comment_apply): ditto, and change all callers
	(cmd_set_comment_finalize): delete author info
	* src/sheet-object-cell-comment.c: add "author" property

2009-04-30  Morten Welinder  <terra@gnome.org>

	* src/position.c (gnm_cellref_get_row, gnm_cellref_get_col): Get
	sheet size from eval-pos, if the ref doesn't have one.  Fixes
	#580953.

	* src/wbc-gtk.c (set_entry_contents): New function for common
	code.
	(cb_dataset_changed, wbcg_data_allocator_editor): Use
	set_entry_contents.

	* src/graph.c (render_val): New function.
	(gnm_go_data_scalar_get_str, gnm_go_data_vector_get_str,
	gnm_go_data_matrix_get_str): Use render_val.

2009-04-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (scg_comment_display):
	  use comment attributes
	* src/sheet-object-cell-comment.c (cell_comment_set_property):
	  remove invalid and unneeded code

2009-04-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-cell-comment.h (cell_set_comment): add
	  markup argument and change all callers
	* src/sheet-object-cell-comment.c (cell_set_comment): add
	  markup argument
	(cell_comment_set_property): comment out invalid call to
	  foo_canvas_item_set
	* src/commands.h (cmd_set_comment): add attribute argument
	* src/commands.c (cmd_set_comment): add attribute argument
	(cmd_set_comment_apply): ditto and change all callers
	(cmd_set_comment_finalize): unref attributes
	* src/gui-util.c (gnumeric_keyed_dialog): remember dialog size for
	  comment dialog

2009-04-29  Morten Welinder  <terra@gnome.org>

	* */*.c: Reduce use of gnm_conventions_default and
	gnm_expr_parse_str_simple.  Use conventions from sheet or passed
	down from sax writer.

2009-04-29  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_wbcg_window_state_event): When entering
	fullscreen mode, disable the actions in ->hide_for_fullscreen.
	When exiting, restore the old state.
	(cb_toolbar_box_visible): Don't persist changes while in
	fullscreen mode.  Fixes #574603.

	* src/expr.c (gnm_expr_as_string): Don't check pp for NULL since
	we have a debug default.
	(gnm_expr_is_err): New function extracted from
	gnm_expr_top_is_err.
	(gnm_expr_relocate): Only invalidate the use of a name if its
	expression, hypothetically, moved would become invalid.  Fixes
	part of #552749.

	* src/application.c (gnm_app_workbook_get_by_index): Simplify and
	make zero-based.

	* src/position.c (gnm_cellpos_init_cellref_ss): Make public.

	* src/parse-util.c (cellref_as_string, rangeref_parse): Handle
	out->pp->sheet being NULL for global names.

2009-04-28  Jody Goldberg <jody@gnome.org>

	* src/wbc-gtk.c (wbc_gtk_init) : use the pref for autosave.
	* src/gnumeric-gconf.c (gnm_conf_init_essential) : load it here.
	(gnm_gconf_set_workbook_autosave_time) : new.

2009-04-28  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (std_expr_name_handler): Handle shadowed global
	names.
	* src/parser.y (workbookref): Ditto.  Fixes #306686.

2009-04-27  Morten Welinder  <terra@gnome.org>

	* src/position.c (gnm_rangeref_normalize_pp): New function
	extracted from gnm_rangeref_normalize.

	* src/parse-util.c (col_parse, row_parse, cellpos_parse,
	cellref_parse, cellref_a1_get, r1c1_get_index, cellref_r1c1_get):
	Change from Sheet argument to GnmSheetSize argument.  All callers
	changed.
	(std_sheet_name_quote): Eliminate the use of MAGIC_MAX_SHEET.
	(rangeref_as_string): Use gnm_rangeref_normalize_pp.  Fixes
	#580360.

	src/ranges.c (range_parse): Change from Sheet argument to
	GnmSheetSize argument.  All callers changed.

	* src/sheet.c (gnm_sheet_get_size): New function replacing
	gnm_sheet_get_max_cols and gnm_sheet_get_max_rows.  Turn those
	into macros.

	* src/sheet.h (struct _Sheet): Move max_cols and max_rows into
	new member size of type GnmSheetSize.

2009-04-27  Morten Welinder  <terra@gnome.org>

	* src/item-grid.c (cb_cursor_come_to_rest): Fix tooltip
	positioning.
	* src/item-cursor.c (item_cursor_tip_setlabel): Ditto.
	* src/item-bar.c (item_bar_event): Ditto.  Fixes #580358.

2009-04-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.h (gnm_create_std_tags_for_buffer): new
	* src/gui-util.c (gnm_create_std_tags_for_buffer): new
	(gnm_load_pango_attributes_into_buffer_filter): weight will use named tags
	(gnm_load_pango_attributes_into_buffer_named_filter): ditto
	(gnm_load_pango_attributes_into_buffer): The standard tags will exist.
	  Classify the weight into the standard values.

2009-04-26  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (handle_delayed_names): Parse position here
	too.
	(xml_sax_named_expr_end): Don't do it here.  Fixes #580227.

2009-04-25  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 1.9.6

2009-04-24  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_delete_cols, sheet_delete_rows): If count
	sends us beyond the end of the sheet, take that as a hint not to
	make ranges that go to the end of the sheet sticky.
	(gnm_sheet_resize_main): Supply such a hint.

	* src/expr.h (struct _GnmExprRelocateInfo): Add extra sticky_end
	field for col/row insert/delete.

	* src/expr.c (reloc_cellrange): Take extra sticky_end argument and
	only make end-of-sheet stick if that is set.  Fix logic to ignore
	beginning of such ranges.  All callers changed.
	(gnm_expr_relocate): Avoid using "default:" for reloc_type.

	* src/ranges.c (range_make_full): Remove.  No longer used.

	* src/validation.c (validation_barf): Ignore the problem if
	VALIDATION_STYLE_NONE is used.  Fixes #580157.

	* src/expr.c (gnm_expr_as_string): Add defaults for debugging.

	* src/sheet.c (gnm_sheet_resize_main): Restrict the selection to
	the size of the new sheet.

	* src/sheet-control-gui.c (cb_scg_sheet_resized): For panes and
	thus cursors to be updated.

	* src/sheet-style.c (sheet_style_resize): Fix off-by-one.

	* configure.in (PANGO_WEIGHT_THIN): Check for this and friends.

2009-04-23  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (cb_scg_sheet_resized): New function.
	(sheet_control_gui_new): Connect cb_scg_sheet_resized to the
	sheet's "rows" and "columns" properties.
	(scg_finalize): Disconnect.

	* src/expr-name.c (expr_name_validate): Take sheet argument for
	checks.  All callers changed.

	* src/sheet.c (gnm_sheet_resize_main): Resize styles too.
	(gnm_sheet_constructor): Check row count sanity here.

	* src/sheet-style.c (sheet_style_init): Not here.
	(sheet_style_resize): New function.
	(sheet_style_init_size): Split from sheet_style_init.

	* src/commands.c (cmd_insert_rows, cmd_insert_cols): Simplify and
	fix plural.
	(cmd_ins_del_colrow): Simplify.

	* src/sheet.c (sheet_insert_cols, sheet_insert_rows): Fix
	array-split check.

2009-04-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.c (gnm_load_pango_attributes_into_buffer_filter):
	  add more supported items
	(gnm_load_pango_attributes_into_buffer_named_filter): ditto
	(gnm_load_pango_attributes_into_buffer): ditto
	(gnm_store_text_tag_attr_in_pango): ditto

2009-04-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.c (gnm_load_pango_attributes_into_buffer):
	  we need to create some labelled tags for off/on styles
	(gnm_load_pango_attributes_into_buffer_named_filter): new
	(gnm_store_text_tag_attr_in_pango): handle style attribute

2009-04-22  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_resize_main): Undo to the right size.

	* src/wbc-gtk.c (wbcg_get_scg): Fix warning on exit.

	* src/workbook.c (workbook_sheets): Change result type to GSList*.
	All callers changed.

	* src/sheet.c (gnm_sheet_resize_main): Change container size too.
	Unlink, re-link, and recalculate all dependencies.
	(gnm_sheet_resize_main): Handle errors from attempted splitting of
	arrays, etc.

2009-04-21  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (gnm_dep_container_new): Calculate the number of
	buckets here once and for all and store in container.
	(BUCKET_LAST): Remove.  All users changed to use above.

	* src/sheet.c (sheet_destroy_contents): Use colrow_resize.
	(gnm_sheet_resize): Initial implementation.

	* src/colrow.c (colrow_resize): New function.

	* src/sheet.c (gnm_sheet_resize): Stub.

	* src/commands.c (cmd_resize_sheets): Undo framework for resizing
	sheets.

	* src/xml-io.c (xml_read_print_repeat_range): Adapt to print-info
	changes.

	* src/xml-sax-write.c (xml_write_print_repeat_range): Fix writing
	repeated ranges.

2009-04-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_object_format): add argument
	* src/commands.c (cmd_object_format): handle attributes
	(cmd_object_format_redo): ditto
	(cmd_object_format_finalize): ditto
	* src/gnm-so-filled.c (cb_gnm_so_filled_changed): also set
	  attributes
	* src/gui-util.h (gnumeric_textbuffer_get_text): new
	(gnm_load_pango_attributes_into_buffer): new
	(gnm_get_pango_attributes_from_buffer): new
	* src/gui-util.c (gnumeric_textbuffer_get_text): new
	(gnm_load_pango_attributes_into_buffer): new
	(gnm_get_pango_attributes_from_buffer): new
	(gnumeric_textview_get_text): use gnumeric_textbuffer_get_text
	(gnm_load_pango_attributes_into_buffer_filter): new
	(gnm_store_text_tag_attr_in_pango): new

2009-04-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-so-filled.c (gnm_so_filled_user_config): adjust for
	  changed arguments of dialog_so_styled
	* src/gnm-so-line.c (gnm_so_line_user_config): ditto
	* src/gnm-so-polygon.c (gnm_so_polygon_user_config): ditto

2009-04-21  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_print_setup_redo): Only reverse the list
	right after it was created.

	* src/print-info.c (print_info_free): Free here.
	(print_info_load_defaults): Simply copy as text here.
	(print_info_dup): Copy here.
	(print_info_new, print_info_dup): Don't take sheet argument
	anymore.  All callers changed.

	* src/print-info.h (struct _PrintInformation): Keep repeat_top and
	repeat_left as strings so they become sheet independent.

	* src/print.c (compute_sheet_pages): Parse repeat_top and
	repeat_left here.

2009-04-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_object_format): add argument
	* src/commands.c (cmd_object_format): handle modified text string
	(cmd_object_format_redo): ditto
	(cmd_object_format_finalize): ditto
	* src/gnm-so-filled.c (gnm_so_filled_user_config): just pass an indicator
	  rather than a string.

2009-04-20  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (wbc_gtk_init_actions): Disable solver
	action if compiled without the solver.

2009-04-20  Jean Brefort  <jean.brefort@normalesup.org>

	* libspreadsheet.pc.in: use -lspreadsheet-$(VERSION) instead of
	$(GNUMERIC_API_VER). [#575390]

2009-04-20  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (actions): Get rid of old
	insert-sized-sheet entry.

	* src/wbc-gtk.c (sheet_menu_label_run): Add new Resize menu entry.

2009-04-20  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: check for gtk_adjustment_configure.
	* src/commands.c (cmd_so_set_adjustment_adj): add defines for missing gtk
	functions in gtk+-2.12 and earlier (see #114098).

2009-04-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-so-filled.c (gnm_so_filled_draw_cairo): print text if
	  available

2009-04-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (so_widget_view_set_bounds): Make sure that the
	  bounds are at least 6 wide  [#579152]

2009-04-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_so_set_adjustment): new
	* src/commands.c (cmd_so_set_adjustment): new
	(cmd_so_set_adjustment_adj): new
	(cmd_so_set_adjustment_redo): new
	(cmd_so_set_adjustment_undo): new
	(cmd_so_set_adjustment_finalize): new
	* src/sheet-object-widget.h (sheet_widget_adjustment_get_link): new
	(sheet_widget_adjustment_set_link): new
	(sheet_widget_adjustment_get_adjustment): new
	* src/sheet-object-widget.c (sheet_widget_adjustment_get_link): new
	(sheet_widget_adjustment_set_link): new
	(sheet_widget_adjustment_get_adjustment): new
	(AdjustmentConfigState): new field
	(cb_adjustment_config_destroy): release label memory
	(cb_adjustment_config_ok_clicked): call cmd_so_set_adjustment
	(sheet_widget_adjustment_user_config_impl): previously
	  sheet_widget_adjustment_user_config with window title and undo
	  string handling
	(sheet_widget_adjustment_user_config): stub to call
	  sheet_widget_adjustment_user_config_impl with correct labels.
	(sheet_widget_scrollbar_user_config) : new
	(sheet_widget_scrollbar_class_init): hookup sheet_widget_scrollbar_user_config
	(sheet_widget_spinbutton_user_config) : new
	(sheet_widget_spinbutton_class_init): hookup sheet_widget_scrollbar_user_config
	(sheet_widget_slider_user_config) : new
	(sheet_widget_slider_class_init): hookup sheet_widget_scrollbar_user_config

2009-04-18  Morten Welinder  <terra@gnome.org>

	* */*.c: Use gnm_sheet_get_last_(col|row) where appropriate.

2009-04-17  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (setup_range): Parse in the context of the first
	sheet.

	* src/parse-util.c (cellref_as_string): Simplify and fix: let
	gnm_cellpos_init_cellref do the work.

	* src/position.c (gnm_cellref_make_abs): Simplify and fix: Let
	gnm_cellpos_init_cellref do the work.

	* src/position.c (gnm_cellpos_init_cellref): Take extra base_sheet
	argument.  All callers changed.

	* src/parse-util.c (cellref_abs_col, cellref_abs_row): Eliminate
	in favour of gnm_cellpos_init_cellref.

	* src/commands.c (cmd_so_set_frame_label_finalize,
	cmd_so_set_checkbox_finalize): Don't NULL-check before g_free.
	Test suite passes again.

	* src/print-info.c (load_range): Take Sheet argument too and
	supply it to the parser.  All callers changed.
	(print_info_new): Take Sheet argument too.  All callers changed.
	(print_info_dup): Constify.  Take extra Sheet argument; all
	callers changed.  Copy field-by-field.  Free clobbered page
	breaks.
	(gnm_page_breaks_free): Handle NULL.
	(gnm_page_breaks_new): Drop optional argument len.  All callers
	changed.

	* src/position.c (gnm_cellpos_hash, gnm_cellref_hash,
	gnm_rangeref_hash): Improve these in light on variable-size
	sheets.
	(gnm_rangeref_normalize): : Evaluate sheets early so we can ship them
	to gnm_cellpos_init_cellref.

2009-04-16  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (col_parse, row_parse): Handle MAGIC_MAX_SHEET.
	(std_sheet_name_quote): Use MAGIC_MAX_SHEET to query any possible
	sheet.
	(MAGIC_MAX_SHEET): Define locally.

	* src/sheet-view.c (sv_set_edit_pos): Don't do anything -- not
	even checks on position -- if the new position is the same as the
	old one.  If we do change, make sure we have a sheet.

	* src/sheet.c (gnm_sheet_get_max_rows, gnm_sheet_get_max_cols):
	Complain if sheet is NULL.

	* src/selection.c (sheet_selection_set_internal): If we don't have
	a sheet yet, don't enable insert/delete.

2009-04-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_so_set_checkbox): new
	* src/commands.c (cmd_so_set_checkbox): new
	(cmd_so_set_checkbox_redo): new
	(cmd_so_set_checkbox_undo): new
	(cmd_so_set_checkbox_finalize): new
	* src/sheet-object-widget.h (sheet_widget_checkbox_get_link): new
	* src/sheet-object-widget.c (sheet_widget_checkbox_get_link): new
	(cb_checkbox_config_ok_clicked): call cmd_so_set_checkbox

2009-04-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_so_set_frame_label_redo): new
	(cmd_so_set_frame_label_undo): new
	(cmd_so_set_frame_label_finalize): new
	(cmd_so_set_frame_label): new
	* src/commands.h (cmd_so_set_frame_label): new
	* src/sheet-object-widget.c (sheet_widget_frame_set_label): new
	(cb_frame_config_ok_clicked): call cmd_so_set_frame_label
	(cb_frame_config_cancel_clicked): use sheet_widget_frame_set_label
	(cb_frame_label_changed): ditto
	* src/sheet-object-widget.h (sheet_widget_frame_set_label): new

2009-04-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (gboolean cmd_so_set_links): new
	(CmdSOSetLink): new
	(cmd_so_set_links_redo): new
	(cmd_so_set_links_undo): new
	(cmd_so_set_links_finalize): new
	* src/commands.h (gboolean cmd_so_set_links): new
	* src/sheet-object-widget.c (list_content_eval): permit dep->texpr to
	  be NULL.
	(sheet_widget_list_base_set_links): empty the list as necessary

2009-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c: fixed after GogStyle -> GOStyle rename.
	* src/gnm-so-line.c: ditto.
	* src/gnm-so-polygon.c: ditto.

2009-04-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for:  John Rea

	* templates/english/calendar.gnumeric: new
	* templates/english/Makefile.am: added above file

2009-04-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Adapt to the naming consistency fix in goffice.

	/\bGO_([A-Z,_)*]_TYPE\b/GO_TYPE_$1/
	/\bGOG_([A-Z,_)*]_TYPE\b/GOG_TYPE_$1/
	/\bGo([A-Z])/GO$1/
	/\bIS_GO_/GO_IS_/
	/\bIS_GOG_/GOG_IS_/

2009-04-05  Jody Goldberg <jody@gnome.org>

	From: Vivien Malerba <vmalerba@gmail.com>
	* configure.in : bump to libgda4.

2009-04-04  Jody Goldberg <jody@gnome.org>

	* src/gnumeric.h : bump GNM_MAX_COLS to accomodate XL2007.
	* src/sheet-style.c (sheet_style_init) : Use TILE_SIZE_ to init.

2009-04-04  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (col_parse, row_parse, cellref_a1_get,
	r1c1_get_index, cellref_r1c1_get, cellref_parse, cellpos_parse):
	Take sheet argument.  All callers fixed.

	* src/libgnumeric.c (gnm_sheet_max_cols, gnm_sheet_max_rows):
	Remove.  All uses were wrong anyway.
	(libspreadsheet_options): Remove --columns and --rows.

2009-04-03  Morten Welinder  <terra@gnome.org>

	* src/stf.c (stf_read_workbook_auto_csvtab, stf_read_workbook):
	Create sheet as big as needed.

	* src/stf-parse.c (stf_parse_sheet): Handle failure without
	messing up the locale.

	* src/ranges.c (range_make_full, range_ensure_sanity,
	range_transpose, range_is_full, range_translate): Take sheet
	argument for size.  All callers changed.

	* src/xml-io.c (xml_node_get_range): Take sheet argument for size.
	All caller changeds.

2009-04-02  Morten Welinder  <terra@gnome.org>

	* src/ranges.c (range_clip_to_finite): Use the sheet.

	* src/format-template.c (format_template_new): Switch hash key to
	GnmCellPos so we can handle large sheets.

	* src/workbook.c (workbook_sheet_add): Require a size.  All
	callers changed.
	(workbook_sheet_add_size): Remove.  Map all callers to
	workbook_sheet_add.

	* src/sheet.c (sheet_new): Require a size.  All callers changed.
	Note: some callers need to be fixed to provide the right size.
	(sheet_new_with_size): Remove.  All callers mapped to sheet_new.

	* src/print-info.c (render_timestamp_with_format): Renamed form
	render_value_with_format.  Date convention issues fixed.

	* src/workbook.c (workbook_set_date_conv): New function.

	* src/xml-sax-read.c (xml_sax_calculation): Use
	workbook_set_date_conv.

	* src/ranges.c (range_init_full_sheet, range_init_cols,
	range_init_rows): Take a sheet argument.  All callers changed.
	Fixes #577675.

2009-04-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (wbcg_sheet_focus): scg might be NULL

2009-04-01  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_append_sheet, wbcg_insert_sheet): Use size
	of active sheet.

	* src/wbc-gtk.c (wbc_gtk_init): Disabled SheetSizedInsert as
	appropriately.

	* src/main-application.c (main): Complain if --rows or --columns
	are disabled.

	* src/sheet-style.c (cb_style_list_add_node): Fix type confusion
	for user pointer.  Fixes #577561.

	* src/expr-name.c (expr_name_name): New function.
	* */*.c: don't include str.h unless we have to.

2009-04-01  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_class_init): Install new workbook
	property.
	(gnm_sheet_get_max_rows, gnm_sheet_get_max_cols): Complain if
	called too early in sheet construction.
	(sheet_set_zoom_factor, sheet_set_display_formulas): Don't call
	sheet_scale_changed during sheet construction.
	(gnm_sheet_constructor): Call it here instead.

	* src/xml-sax-read.c (xml_sax_wb_sheetsize): Set the right
	attribute.

	* src/sheet.c (sheet_new_with_type): Move most of this into a
	constructor.
	(gnm_sheet_class_init): Install new property "sheet-type".

2009-03-29  Morten Welinder  <terra@gnome.org>

	* */*.[ch]: Install variable-sheet-size patch from 168875.  (Work
	of Jean with help from Andreas and me.)  Note: all gui parts of
	are turned off for now.  Search for GNUMERIC_VARIABLE_SHEET_SIZE.

2009-03-29  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (sheet_menu_label_run): Simplify and add sorted
	sheet menu too.

2009-03-28  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_row_set_default_size_pixels,
	sheet_row_set_default_size_pts): Add preconditions like in the
	_col_ counterparts.  Fixes #577145.

	* src/graph.c: Stop accessing private members of values.  Use
	value_peek_string instead.

2009-03-27  Morten Welinder  <terra@gnome.org>

	* src/graph.c: Improve handling of date conversions.

2009-03-26  Morten Welinder  <terra@gnome.org>

	* src/gnm-plugin.c (plugin_service_ui_activate): Free layout here.

	* src/application.c (gnm_app_add_extra_ui): constify layout and copy it.
	(gnm_app_remove_extra_ui): Destroy layout here.

2009-03-25  Morten Welinder  <terra@gnome.org>

	* src/gnm-format.c (gnm_format_is_time_for_value): Simplify.

	* src/stf-export.c (try_auto_date): Check validity of date.
	Handle elapsed times.  Sneakily also handle negative date serials
	if goffice does.

2008-12-10  Jody Goldberg <jody@gnome.org>

	* src/xml-io.c (xml_probe) : split out the content test into ...
	(gsf_xml_probe) : here.  Then generalize it a bit and use the SAX2
			  startElement routine to handle name spaces.
	(gnm_xml_probe_element) : handle the .gnumeric specific checks here.
	    1) root element == Workbook
	    2) Workbook is in a namespace that contains 'gnumeric'

2009-03-22  Morten Welinder  <terra@gnome.org>

	* configure.in: Post-release bump.

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.5

2009-03-20  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sheet_widget_radio_button_create_widget):
	Set label.
	(sheet_widget_adjustment_get_ref, sheet_widget_checkbox_get_ref,
	sheet_widget_list_base_get_ref): Remove.
	(so_get_ref): New generic function replacing the above.
	(sheet_widget_adjustment_clear_sheet, sheet_widget_checkbox_clear_sheet,
	sheet_widget_radio_button_clear_sheet, sheet_widget_list_base_clear_sheet):
	Remove.
	(so_clear_sheet): New generic function replacing the above.

2009-03-19  Morten Welinder  <terra@gnome.org>

	* configure.in (gnumeric_reqs): Require glib 2.12 for
	g_hash_table_remove_all.

2009-03-18  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (warn_about_ancient_gnumerics): Remove --
	it last served a useful purpose 6-8 years ago.

2009-03-17  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Reconnect the no-splash and
	no-warnings flags.

	* src/wbc-gtk.c (sheet_menu_label_run): Toss the sheets into a
	submenu and display it regardless of how many sheets we have.

2009-03-16  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (datetime_locale_setup): Handle the nb_NO
	case where abbreviated months end in a period by making that
	period optional on entry.

2009-03-15  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (format_match): Use
	go_format_default_accounting.

	* src/wbc-gtk-actions.c (cb_format_as_accounting): Ditto.

2009-03-14  Morten Welinder  <terra@gnome.org>

	* src/gnm-format.c (gnm_format_frob_slashes): Import from
	number-match and make public.  Rename from frob_slashes.  All
	callers changed.
	(gnm_format_for_date_editing): Change slashes to whatever the
	locale uses.

2009-03-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/ssgrep.c (string-table-count): correct option description
	  [#575360]

2009-03-14  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: check if goffice uses gconf and make gconf use
	independent from the with-gnome option. [#574813]
	* schemas/Makefile.am: ditto.

2009-03-13  Jody Goldberg <jody@gnome.org>

	* po/LINGUAS : rename sr@Latn -> sr@latin to maintain compatibility
	  with gtk and simplify win32 packaging.

2009-03-13  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (frob_slashes): New function to replace
	hardcoded slashes with whatever the locale uses for date
	separation.
	(format_match_datetime): Call frob_slashes as needed.  Free
	date_format as needed.

	* src/cell.c (gnm_cell_set_format): Improve precondition.

2009-03-12  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_drag_data_get): Handle
	GNUMERIC_SHEET target too.  Fixes #574763, caused by patch from
	#523033.

2009-03-13  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (gnm_pane_realize) : clear the 'im_block_edit_start' flag.
	(gnm_pane_unrealize) : set the flag.

	* src/application.c (gnm_app_add_extra_ui) : take a group name.
	(gnm_app_remove_extra_ui) : patch minor leak.
	* src/gnm-plugin.c (plugin_service_ui_activate) : use the supplied
	  group name rather than a static name that is shared between all
	  custom ui.

2009-03-11  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (cb_file_sendto): Import from
	wb_view_sendto and use go_gtk_url_show.  Plug leak.

	* src/workbook-view.c (wb_view_save_to_uri): Rename from
	wbv_save_to_uri and make public.
	(wb_view_sendto): Remove.

2009-03-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-cell.c (print_cell_gtk): shift rotated text into the
	  correct position! Fixes #574813

2009-03-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.h (cmd_so_set_value): add Sheet* argument.
	  Fixes #574734

	* src/commands.c (cmd_so_set_value): use new Sheet* argument
	  that gives the sheet of the widget rather than the sheet of the
	  associated cell

	* src/sheet-object-widget.c: adjust all callers of cmd_so_set_value

2009-03-10  Morten Welinder  <terra@gnome.org>

	* Makefile.am (gnumeric.desktop): Always use URIs.  Fixes #574816.

2009-03-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (function_def_get_arg_name): don't translate an
	  empty argument name since you wouldn't get what you expect.

2009-03-05  Morten Welinder  <terra@gnome.org>

	* src/item-cursor.c (struct _ItemCursor): Track last (x,y) for
	mouse.
	(item_cursor_event): Set (x,y).
	(item_cursor_tip_setlabel): Use (x,y) for position.

	* src/item-grid.c (struct _ItemGrid): Track last (x,y) for mouse.
	(cb_cursor_come_to_rest): Use last (x,y) to position the tip.

	* src/gui-util.c (gnumeric_create_tooltip): Take a reference
	widget instead of a GdkScreen.  All callers changed.
	(gnumeric_position_tooltip): Get position as argument instead of
	asking where the mouse cursor is by the time we get here.  All
	callers changed.

2009-03-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet.c (sheet_get_printarea): If the print area has been set
	  to something other than the full sheet, always use the whole
	  print area.

2009-02-28  Morten Welinder  <terra@gnome.org>

	* configure.in (gtk+): Require 2.12 for
	gtk_tree_view_convert_bin_window_to_widget_coords.

2009-02-25  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_drag_receive_same_process): Make it
	clear we are only getting the modifier mask.

	* src/gui-util.c (gnumeric_position_tooltip): Make this multihead
	safe too.

2009-02-24  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnumeric_create_tooltip): Add extra screen
	argument so we can pop up on the right screen.  All callers
	changed.

	* src/gnm-pane.c (gnm_pane_display_obj_size_tip): Make this
	multihead safe.

	* src/wbc-gtk.c (cb_sheet_label_drag_begin): Pop up the arrow on
	the right screen.

	* src/sheet-control-gui.c (scg_comment_display): Pop up the cell
	comment on the right screen and at coordinates relating to that
	screen.

2009-02-22  Morten Welinder <terra@gnome.org>

	* configure.in: Post release version bump

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.4

2009-02-21  Morten Welinder  <terra@gnome.org>

	* src/colrow.c (colrow_reset_defaults): Retry this mess.

2009-02-19  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (convert): Don't complain over multiple sheets
	when there is only one.  Fixes #572448.

	* src/wbc-gtk.c (set_toolbar_style_for_position): The GTK+
	busy-bodies have deprecated gtk_toolbar_set_orientation in favour
	of gtk_orientable_set_orientation.  Attempt (blindly!) to switch
	if we have gtk_orientable_set_orientation.

	* configure.in (with_corba): Disable.  Fixes #572356.

	* src/colrow.c (colrow_reset_defaults): Toughen this up a bit to
	avoid situations like 568010.

2009-02-13  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_general): Flag row overflow.

	* src/stf.c (stf_read_workbook_auto_csvtab): Check for row
	overflow too.  Fixes #517603.

2009-02-11  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (gnm_dep_container_dump): Take sheet too, so
	redundant sheet names in output can be suppressed.
	(dump_single_dep, dump_range_dep): Ditto.
	(dependent_debug_name_for_sheet): New function.

	* src/expr.c (gnm_expr_eval): Make sure parentheses do not take up
	stack space.

	* src/stf-parse.c (stf_cell_set_text): New function.
	(stf_parse_sheet): Use stf_cell_set_text, not gnm_cell_set_text.
	Fixes #571129.

	* src/gui-clipboard.c (table_content_received): Check both windows
	and unix versions of target atoms.  Fixes #564166.

2009-02-10  Morten Welinder  <terra@gnome.org>

	* gnumeric.desktop.in (MimeType): Do not advertise deprecated
	comma-separated-values mime type.  Fixes #571073.

	* src/stf.c (stf_init): Ditto.

2009-02-05  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c (x_targets_received): Activate debugging
	code, see http://bugzilla.gnome.org/show_bug.cgi?id=564166#c4

2009-02-04  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Set UTF-8 for gnumeric-functions
	too.

2009-02-02  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_regcomp_XL): Take new argument "full" for
	indicating that the match must be for the full string.  All
	callers changed.

2009-01-31  Morten Welinder  <terra@gnome.org>

	* src/parser.y (build_range_ctor): Use gnm_expr_new_range_ctor,
	not build_binop.

	* src/expr.c (gnm_expr_new_range_ctor): New function.

2009-01-30  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Change the help strings not to have curly braces in
	them ("--{with,without}-foo") as this caused newer versions of aclocal
	to fail.

2009-01-30  Diego E. Flameeyes Pettenò   <flameeyes@gentoo.org>

	* configure.in: Fix help strings.  (#569842)

2009-01-29  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_add_custom_ui): Handle merge failure.  Work
	around bug #569724.

	* src/parse-util.c (rangeref_parse): Fix parsing problem for
	"a12:indirect(...)".  Fixes #569730.

2009-01-29  Jean Brefort  <jean.brefort@normalesup.org>

	* src/selection.c: (sv_selection_to_plot): really share x values.

2009-01-28  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_regcomp_XL): Simplify and fixing quoting of ?.

2009-01-26  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (sheet_menu_label_run): If there are more sheets
	than we can show, put a list of sheets into the menu.

2009-01-25  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (link_range_dep, unlink_range_dep): Restrict the
	range that goes into the bucket to the intersection of the source
	range and the bucket area.  This improves dependency search
	efficiency markedly when a large number of large ranges are in
	play.  Fixes performance part of #567389.

2009-01-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (compute_group): use g_warning rather than
	g_return_val_if_fail. Fixes 568991.

2009-01-24  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (running_in_tree): Make this a separate function.
	Fix for ssconvert and friends.

2009-01-22  Morten Welinder  <terra@gnome.org>

	* src/commands.c (select_range): If the sheet and wbc are for
	different workbooks, do nothing.  Fixes #568634.

2009-01-20  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (dependent_eval): Clear GNM_CELL_HAS_NEW_EXPR
	here.  Otherwise expressions loaded from files will appear to have
	new expressions even after they were recalculated.

	* src/func.c (function_call_with_exprs): If we are not doing
	implicit iteration, use gnumeric_if instead of gnumeric_if2.
	Fixes #326595.

	* src/func-builtin.c (gnumeric_if): Import from fn-logical.
	Change help to new style.
	(gnumeric_if2): Variant that takes the argument un-eval'd.

2009-01-16  Morten Welinder  <terra@gnome.org>

	* configure.in (gnumeric_reqs): Require glib 2.10.

2009-01-16  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane.c: (cb_sheet_object_canvas_event): do not select an
	existing sheet object when creating a new graph. [#151789]

2009-01-12  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_eval): Set value format properly.

	* src/value.h (VALUE_FMT): Make result const and an r-value.  All
	users changed as needed.
	* src/number-match.h (format_match, format_match_number): Make the
	cur_fmt argument const.
	* src/mstyle.c (gnm_style_set_format): Make the format argument
	const.
	* src/parse-util.c (parse_text_value_or_expr): Make the cur_fmt
	argument const.
	* src/cell.c (gnm_cell_get_format): Make the result const.  All
	callers changed as needed.

2009-01-12  Morten Welinder  <terra@gnome.org>

	* src/cell.c (gnm_cell_get_entered_text): Apply cell format as
	well as value format.  Applying only value format is certainly
	wrong.

2009-01-11  Jody Goldberg <jody@gnome.org>

	* src/gui-util.c (gnumeric_create_popup_menu) : support sub-menus

2009-01-11  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gutils_init): Make detection of in-tree running
	work with newer libtools.

2009-01-11  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* src/xml-sax-read.c: (xml_sax_attr_range, xml_sax_style_region_start):
	Don't crash on old gnumeric files which have gnm:StyleRegion tags
	without attributes in them. (Debian #510929)

2009-01-09  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c: (gnm_go_data_vector_get_str): set -1 as format length.
	[#552721]

2008-12-31  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.h: add widgets to force using rows/columns as chart series,
	and to use first row/column as shared x values in scatter plots.
	* src/selection.c: (sv_selection_to_plot): ditto.
	* src/sheet-object-graph.c: (cb_graph_data_closure_done),
	(cb_selection_mode_changed), (cb_shared_mode_changed),
	(sheet_object_graph_guru): ditto.

2008-12-30  Morten Welinder  <terra@gnome.org>

	* configure.in (LIBS): Up pango requirement modestly.
	* src/main-application.c (main): Drop check for old pango bug.

	* src/main-application.c (main): Conditionalize closing of
	displays.  Set GNM_DEBUG=close-displays.

2008-12-28  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_pre_parse_init): Call g_type_init here
	too.  libgoffice_init currently assumes it indirectly.

2008-12-19  Morten Welinder  <terra@gnome.org>

	* src/search.c (gnm_search_replace_query_fail,
	gnm_search_replace_query_cell, gnm_search_replace_query_comment):
	New functions to hide the details of how to query.

	* src/commands.c (cmd_search_replace_do_cell): Simplify using
	gnm_search_replace_query_fail, gnm_search_replace_query_cell, and
	gnm_search_replace_query_comment.

2008-12-15  Morten Welinder  <terra@gnome.org>

	* src/gnm-datetime.c (gnm_datetime_allow_negative): New function.
	(datetime_value_to_serial_raw): Err on negative date numbers
	unless goffice supports them.

2008-12-14  Morten Welinder  <terra@gnome.org>

	* src/gnm-datetime.c (datetime_value_to_serial): Handle overflow.
	(datetime_value_to_g): Use G_MAXINT for errors.
	(datetime_value_to_serial_raw): Make static.  Return G_MAXINT for
	errors.
	Fixes #564502.

2008-12-13  Emmanuel Pacaud <emmanuel@gnome.org>

	Add a workaround for the murrine theme warnings.

	* src/item-bar.c (ib_draw_cell): here.
	* src/sheet-control-gui.c (cb_select_all_btn_expose): here.

2008-12-13  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_number_system): New function to
	dump information on the number system used.
	(xml_write_calculation): Call xml_write_number_system.
	(gnm_cellregion_to_xml): Call xml_write_number_system.
	(gnm_xml_file_save): Move call to xml_write_calculation before the
	sheets.

	* src/parse-util.c (gnm_conventions_new_full): Default value
	GNM_DIG for new field output.decimal_digits.

	* src/value.c (value_get_as_gstring): Use number of digits from
	output.decimal_digits.

	* src/xml-sax-write.c (gnm_xml_io_conventions): Increase the
	number of decimal digits used for output to avoid rounding errors
	and overflow.  Fixes #552464.

	* src/xml-sax-read.c (xml_sax_cell_content): Turn expressions that
	do not parse into strings.

2008-12-12  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_options_guess_csv): New function.

	* src/stf.c (stf_read_workbook_auto_csvtab): If the filename
	suggest a scv file, use stf_parse_options_guess_csv.

2008-12-11  Morten Welinder  <terra@gnome.org>

	* src/application.c (cb_flag_windows_changed): Don't send the
	signal if Elvis has left the building.

	* src/parser.y (unregister_allocation): Check the whole stack if
	we have to.  Fixes #564077.

2008-12-09  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_sheet_remove_all): Kill the current scg
	last.
	(wbc_gtk_setup_icons): Shut down the icon factory on exit.
	(add_icon): Plug leaks.

2008-12-08  Morten Welinder  <terra@gnome.org>

	* src/gnumeric-gconf.c (gnm_conf_shutdown): Plug leaks.

	* src/gnm-plugin.c (plugin_service_ui_activate): Plug leak.

	* src/ssgrep.c (main): Plug leak.
	* src/ssconvert.c (main): Plug leak.
	* src/ssindex.c (main): Plug leak.

2008-12-04  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (gnm_cellregion_to_xml): Set state.sheet so
	we can init parse positions later.

	* src/xml-io.c (xml_cellregion_read): Copy the string.  It need
	not be null terminated.  Assign ctxt->sheet.
	(xml_read_sheet_object): New argument, assign, to explicitly
	control whether to assign the object to the sheet.  Fixes #556561.

2008-12-02  Morten Welinder  <terra@gnome.org>

	* src/parser.y (is_signed): New function.
	(yylex/^): If left side is negated, add a parenthesis.
	Fixes last part of #115941.

2008-11-30  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_sheet_remove_all): Don't destroy the
	notebook -- we will need it later when we replace a pristine
	workbook with a new.  Fixes #562662.

2008-11-26  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (link_expr_dep): Treat GNM_EXPR_OP_RANGE_CTOR
	and GNM_EXPR_OP_INTERSECT as any other binary operator.  Fixes
	#562363.

	Enable drag of whole sheets to other apps.  #523033, initial patch
	by Lutz Mueller.

	* src/wbc-gtk.c (cb_sheet_label_drag_data_get): Use
	scg_drag_data_get.
	(wbcg_sheet_add): Add more drag types.

	* src/sheet-control-gui.c (scg_drag_send_text): New function.
	(scg_drag_data_get): Protect against null scg->selected_objects.
	(scg_drag_data_get): Handle UTF8_STRING.

2008-11-26  Jody Goldberg <jody@gnome.org>

	* configure.in : Define GNUMERIC_PLUGIN_LDFLAGS after
	  GNUMERIC_LIBS is defined.

2008-11-24  Morten Welinder  <terra@gnome.org>

	* src/application.c (gnm_app_detachable_toolbars): New function.

	* src/wbc-gtk.c (cb_add_menus_toolbars): Use
	gnm_app_detachable_toolbars.

	* src/gnumeric-gconf.c (gnm_conf_init_essential): Setup
	->detachable_toolbars.

2008-11-23  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_sheet_add): Add a SHEET_CONTROL_KEY for the
	labels too.
	(get_scg): New function to retrieve and scg for a tab label or
	sheet table widget.  Simplify drag handling code using this.
	(wbcg_sheet_remove_all): Make sure disconnection happens for sheet
	signals, even when we shut down the wbcg.
	(wbcg_set_direction): Split from cb_direction_change.  Change
	direct callers of cb_direction_change to use wbcg_set_direction.
	(wbcg_sheet_add): Don't init scg->label here.
	(wbcg_set_end_mode): Translate "END".
	(wbcg_get_n_scg): New function.

	* src/sheet-control-gui.c (sheet_control_gui_new): Keep a ref for
	->table and ->label.  Init ->label here.
	(scg_finalize): Unref here.

	* src/wbc-gtk-impl.h (struct _WBCGtk): Add a paned for sheet tabs
	and the progress bar.  Split notebook into ->snotebook (for the
	sheet tables) and ->bnotebook for the tabs.  Make the latter a
	GnmNotebook.  All users changed accordingly.

2008-11-22  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-priv.h (struct _SheetControl): Remove sheet
	member.  All users changed to use view.

2008-11-20  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_menu_state_sheet_count,
	sheet_menu_label_run): Count visible sheets only.
	(cb_sheet_visibility_change): Attach with wbcg as data and call
	wbcg_menu_state_sheet_count.

2008-11-05  Morten Welinder  <terra@gnome.org>

	* configure.in: Remove check for gcc 2.96.  Remove gb support.
	Clean up.  Make non-gnome the default.

2008-11-04  Morten Welinder  <terra@gnome.org>

	* */*.c: Fix problem with formats. Patch from Hib Eris, #559291.

	* src/wbc-gtk.c (toolbar_context_menu): Deal with the
	non-handle-bar case.  Patch from Hib Eris, #559249.

2008-11-02  Morten Welinder  <terra@gnome.org>

	* configure.in (gnumeric_gnome_reqs): libgnomeui is a gnome dep,
	not a gtk dep.

	* src/main-application.c (main): Add a signal handler on the
	application object to terminate the mainloop when the last
	workbook is removed.  Also, only warn about ancient non-stable
	Gnumeric binaries.

	* src/workbook.c (workbook_finalize): Don't try to terminate the
	mainloop here.

2008-11-01  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (call_gnome_authentication_manager_init):
	Call gnome_authentication_manager_init only if someone linked it
	in.

	* src/libgnumeric.c (call_gnome_vfs_init): Call gnome_vfs_init
	only if someone linked it in.

2008-10-31  Jean Brefort  <jean.brefort@normalesup.org>

	* src/selection.c: (sv_selection_to_plot): fix selection for contour
	 and surface plots.

2008-10-28  Morten Welinder  <terra@gnome.org>

	* src/style.c (gnm_font_shutdown): Workaround for 558100 and
	558254.  Thanks to Hib Eris and Behdad for debugging.

2008-10-26  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_hyperlink_finalize): Don't check for NULL
	before g_free.

2008-10-25  Morten Welinder  <terra@gnome.org>

	* src/gnumeric-gconf.c (gnm_conf_shutdown): Free even more.

	* src/main-application.c (main): Close all displays on exit.

	* src/gnumeric-gconf.c (gnm_conf_shutdown): Free more, zero whole
	prefs, NULL gnm_app_prefs.

2008-10-24  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbc_gtk_finalize): Massive leak fix.
	* configure.in (libspreadsheet_reqs): Bump goffice req to avoid
	criticals.

2008-10-23  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (schedule_reapply_filters): New function.
	(sheet_insert_cols, sheet_insert_rows, sheet_delete_cols,
	sheet_delete_rows): Make sure filters get reapplied on undo after
	we put the contents back in.

	* src/sheet-filter.c (gnm_filter_condition_free): Rename from
	gnm_filter_condition_unref.  Actually free the condition.  Make
	static.
	(gnm_filter_condition_dup): Make static.
	(gnm_filter_combo_index): New function.
	(gnm_filter_add_field): Hold onto a reference to the fcombo.
	(gnm_filter_free): Free the fcombo reference.
	(gnm_sheet_filter_insdel_colrow): Handle fcombo references.
	Reapply filter when fields are removed.,
	(gnm_filter_reapply, gnm_filter_update_active): Extract from
	gnm_filter_set_condition.

	* src/sheet.c (sheet_delete_cols, sheet_delete_rows): Make sure
	auto-filter objects do not get kept by sheet object undo.  This
	fixes the crash in #557591.

	* src/sheet-filter.c (gnm_sheet_filter_insdel_colrow): Insert new
	filters left-to-right so anchors get set right.  Fixes #557237.
	Avoid expensive updates if no filter changes.

2008-10-22  Morten Welinder  <terra@gnome.org>

	* src/xml-io.c (xml_cellregion_read): Copy the string.  It need
	not be null terminated.  Assign ctxt->sheet.
	(xml_read_sheet_object): New argument, assign, to explicitly
	control whether to assign the object to the sheet.  Fixes #556561.

2008-10-19  Jody Goldberg <jody@gnome.org>

	* configure.in : version bump.

2008-10-18  Jody Goldberg <jody@gnome.org>

	* Release 1.9.3

2008-10-18  Jody Goldberg <jody@gnome.org>

	* tools/win32/moduleset : use the latestest shiniest glib/gtk

	* configure.in : add a GOFFICE_API_VER for use in the .pc file.
	* libspreadsheet.pc.in : drop the old mising LIBGOFFICE variables, and
	  use the new tidy ones.

2008-10-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/item-cursor.c (item_cursor_target_region_ok): delete
	(item_cursor_do_action): don't bother to call
	  item_cursor_target_region_ok

2008-10-18  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c (set_clipman_targets): Plug leak.

2008-10-17  Morten Welinder  <terra@gnome.org>

	* src/parser.y (workbook names): Fix cut-and-paste problem in
	error reporting, see #552750, comments 8-9.

2008-10-15  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_style_region_end): Apply partial
	mstyles like in xml-io.c
	(xml_sax_style_region_start): Undo last change.

2008-10-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: added Kaplan-Meier tool menu item
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c: added ToolsKaplanMeier

2008-10-15  Jody Goldberg <jody@gnome.org>

	* src/xml-sax-read.c (xml_sax_style_region_start) : always init the
	  full style just in case some ancient file comes along. [#555933]
	Add a stub for PrintUnit while we are here.

2008-10-01  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_foreach_name): New function.

	* src/workbook.c (workbook_foreach_name): New function.

	* src/expr-name.c (gnm_named_expr_collection_foreach): New
	function.

2008-10-14  Jean Brefort  <jean.brefort@normalesup.org>

	* component/gnumeric.c: cleaned includes list and removed unused
	local variables.

2008-10-14  Jody Goldberg <jody@gnome.org>

	* src/main-application.c (main) : warning suppression on win32.

	* src/gutils.c (gutils_init) : replace deprecated function
	  g_win32_get_package_installation_directory with
	  g_win32_get_package_installation_directory_of_module

	* src/gnm-plugin.h (gnm_plugin_loader_module_get_type) : make public.

	* component/gnumeric.c : do not add magic 'extern' references.

2008-10-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: added frequency tool menu item
	* src/GNOME_Gnumeric-gtk.xml.in: ditto
	* src/HILDON_Gnumeric-gtk.xml.in: ditto
	* src/wbc-gtk-actions.c: added ToolsFrequency

2008-10-10  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (cb_gnm_pane_preedit_changed) :
	  s/reseting_im/im_block_edit_start/ to clarify the intent, and to
	  reuse it for the initial focus problem.
	(gnm_pane_key_press) : move the explainitory comment here, where we
	  toggle im_block_edit_start rather than below when it happens.
	(gnm_pane_focus_in) : use it here too with the new im_first_focus.

2008-10-08  Morten Welinder  <terra@gnome.org>

	* configure.in: Call IT_PO_SUBDIR for po-functions.
	* autogen.sh: Don't try to distribute po-functions/LINGUAS

2008-10-09  Jody Goldberg <jody@gnome.org>

	* src/mstyle.c (gnm_style_new_merged) : support merging incomplete
	  styles, and clean up the docs.
	(gnm_style_merge) : avoid problems if someone does something silly.

2008-10-07  Morten Welinder  <terra@gnome.org>

	* configure.in: switch to new LINGUAS scheme.  Fixes #554348.
	* autogen.sh: ditto.

2008-10-04  Jean Brefort  <jean.brefort@normalesup.org>

	* component/gnumeric.c: render sheet objects using
	gnm_print_sheet_objects, and fixed cap for cell borders.
	* src/print-cell.c: removed the unused GtkPrintContext* argument.
	* src/print-cell.h: ditto.
	* src/print.c: renamed print_sheet_objects to gnm_print_sheet_objects,
	made it public, removed the unused GtkPrintContext* argument, and
	fixed objects position in layout (#554993).
	* src/print.h: ditto.

2008-10-04  Jean Brefort  <jean.brefort@normalesup.org>

	* component/gnumeric.c: (go_gnm_component_render): also render sheet
	objects.

2008-10-03  Morten Welinder  <terra@gnome.org>

	* src/collect.c (float_range_function2d): New function.
	(float_range_function2): Implement in terms on
	float_range_function2d.

2008-10-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #553342
	* src/workbook-view.c (wb_view_selection_desc): add translator
	  comments

2008-10-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #554818
	* src/stf.c (stf_text_to_columns): don't use markup
	  in the error message

2008-10-03  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: reimplemented the gnumeric goffice component.
	* component/gnumeric.c: ditto.
	* configure.in: ditto.

2008-09-30  Morten Welinder  <terra@gnome.org>

	* src/colrow.c (colrow_make_state): Remove.

2008-09-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #55338
	* src/sheet.c (gnm_sheet_class_init): remove extra space

2008-09-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #535015
	* src/hlink.c (gnm_hlink_external_activate): complete code

2008-09-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (CmdAnalysis_Tool): add field
	(cmd_analysis_tool_undo): delete associated sheet objects
	(cmd_analysis_tool_draw_old_so): new
	(cmd_analysis_tool_redo): use the above
	(cmd_analysis_tool_finalize): handle new fields

2008-09-17  Jody Goldberg <jody@gnome.org>

	* src/mathfunc.c (random_landau) : Use 'I' not 'i' as per original
	  libgsl code. [Coverity 259].

2008-09-14  Jody Goldberg <jody@gnome.org>

	* src/selection.c (sv_selection_apply_in_order) : suppress warning.

2008-09-13  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	Fix for #152617
	* commands.h (cmd_selection_hyperlink): new
	* commands.c (cmd_selection_hyperlink): new
	(cmd_hyperlink_repeat): new
	(cmd_hyperlink_undo): new
	(cmd_hyperlink_redo): new
	(cmd_hyperlink_finalize): new
	(cb_cmd_hyperlink_find_cells): new

2008-09-11  Jody Goldberg <jody@gnome.org>

	* src/xml-sax-write.c (gnm_cellregion_to_xml) : add protection.
	  [Coverity 68]

2008-09-11  Morten Welinder  <terra@gnome.org>

	* src/func-builtin.c (gnumeric_table): Remove dead code.

	* src/print.c (gnm_print_sheet): Fix error check.

	* src/mathfunc.c (random_landau): Fix off-by-one.  I hope.

2008-09-07  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/expr.h (gnm_expr_new_funcall4): new
	* src/expr.c (gnm_expr_new_funcall4): new

2008-09-07  Jody Goldberg <jody@gnome.org>

	* src/sheet.c (sheet_scale_changed) : split from.
	(sheet_set_zoom_factor) : here.
	(sheet_set_display_formulas) : used here.

	* src/print-cell.c (gnm_gtk_print_cell_range) : handle the doubling of
	  column width during 'display forumla' mode.

	* src/expr.c (gnm_expr_top_is_array) : new.

	* src/rendered-value.c (gnm_rendered_value_new) : Use a simpler syntax
	  to denote arrays.  The full form used in the entry is too verboase.

2008-09-02  Andreas Guelzow  <aguelzow@pyrshep.ca>

	Fix of #516052
	* src/selection.c (sv_selection_apply_in_order): new
	(selection_to_string): call sv_selection_apply_in_order
	  rather than sv_selection_apply

2008-09-02  Andreas Guelzow  <aguelzow@pyrshep.ca>

	Fix of #539734 (slight adjustment to Jean's patch)
	* src/print-cell.c (print_cell_gtk): anchor the lines of
	  rotated text correctly.

2008-09-02  Andreas Guelzow  <aguelzow@pyrshep.ca>

	Fix of #153578
	* src/print-cell.c: remove pcontext in whole file
	(print_cell_gtk): do not use a new pango context, the old one will
	  work much better.

2008-09-01  Andreas Guelzow  <aguelzow@pyrshep.ca>

	Partial fix of #153578
	* src/print-cell.c (print_cell_gtk): adjust for differences between
	  pixels and points.

2008-09-02  Jody Goldberg <jody@gnome.org>

	* src/search.c (gnm_search_replace_class_init) : add a property to be
	  used to search scripts.  NOT ENABLED yet.

	* src/ssgrep.c (search_string_table) : restore the old logic, and
	  extend it to agregate multiple matches and to search in VBA code if
	  available.
	(ssgrep) : enable search_string_table if -C/--string-table-count is
	  enabled.

2008-09-01  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* src/stf.c (csv_tsv_probe), src/stf-parse.c (stf_parse_general):
	Ignore / skip over byte-order mark. Fixes #549743.
	* src/stf-parse.c (stf_parse_general): data is arbitrary binary data
	(may contain nul bytes and need not be nul-terminated); call
	g_utf8_validate with appropriate parameters to handle arbitrary binary
	data.

2008-08-30  Andreas Guelzow  <aguelzow@pyrshep.ca>

	Implementation of #525368
	* src/print.c (PrintingInstance): add button_print_hidden_sheets
	(compute_pages): Include PRINT_ALL_SHEETS_INCLUDING_HIDDEN and exclude
	  hidden sheets from  PRINT_ALL_SHEETS. Rewrite  PRINT_SHEET_RANGE
	(workbook_visible_sheet_count): new
	(gnm_create_widget_cb): add checkbox
	(gnm_custom_widget_apply_cb): handle new checkbox
	* src/print.h (PrintRange): add PRINT_ALL_SHEETS_INCLUDING_HIDDEN

2008-08-30  Jody Goldberg <jody@gnome.org>

	* configure.in : Post release version bump

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.9.2

2008-08-29  Morten Welinder  <terra@gnome.org>

	* src/gnm-format.c (gnm_format_import): Support-function to handle
	broken 1.6 formats.  Fixes #548414.

	* src/xml-sax-read.c (make_format): Handle broken 1.6 formats.

2008-08-29  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* gnumeric.desktop.in: Add a Version field; drop obsoleted
	"Application" from Categories field; changed DocPath field to
	X-GNOME-DocPath. The resulting gnumeric.desktop now validates without
	warnings using desktop-file-utils 0.15's desktop-file-validate.
	Fixes #512011.

2008-08-26  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (value_is_error): Check for '#' here.
	(format_match_simple): Not here.
	(format_match): If matching fails in the existing-format case, try
	errors too.  Fixes #546759.

2008-08-25  Andreas Guelzow  <aguelzow@pyrshep.ca>

	Fix for #549247
	* src/print.c (print_page): fix caclulation of footer location

2008-08-25  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (insert_date_time_common): Make sure cell
	exists so gnm_format_for_date_editing can get the format.  Fixes
	#540198.

2008-08-25  Jody Goldberg <jody@gnome.org>

	* src/ssgrep.c (main) : move the gnm_init up to init goffice and gsf
	  before opening a file.
	    *
2008-08-24  Jody Goldberg <jody@gnome.org>

	* configure.in : Add check for gsf_infile_msvba_steal_modules.

2008-08-23  Jody Goldberg <jody@gnome.org>

	* src/style.c (gnm_pango_context_get) : handle recent pango
	  deprecation.

2008-08-21  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c: (gnm_so_filled_read_xml_dom),
	(gnm_so_filled_write_xml_sax), (sof_sax_style): use GOPersist.
	* src/gnm-so-line.c: (gnm_so_line_read_xml_dom),
	(gnm_so_line_write_xml_sax), (sol_sax_style): ditto.

2008-08-20  Jody Goldberg <jody@gnome.org>

	* gnumeric.desktop.in : We should really auto generate this.  For now,
	  add some dbf mime types to see if that helps the ubuntu folk. #542780

2008-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* src/xml-sax-read.c: (xml_sax_colrow): accept any order for attributes
	for ColRowInfo. [#547183]

2008-08-03  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Bumped goffice dependency as the sax export now uses
	the two-argument form of go_doc_init_write which is new.

2008-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* src/xml-sax-read.c: (xml_sax_go_doc), (gnm_xml_file_open):
	save images used as background in charts. [#348780]
	* src/xml-sax-write.c: (gnm_xml_file_save),
	(gnm_cellregion_to_xml): load images used as background in charts.

2008-07-25  Morten Welinder  <terra@gnome.org>

	[Initial patch from Nick Lamb, see bug 69813.]

	* src/expr.h (enum GnmExprOp): Add new GNM_EXPR_OP_PAREN for
	parentheses.

	* src/parser.y: Create GNM_EXPR_OP_PAREN node.

	* src/auto-format.c (do_af_suggest): Handle GNM_EXPR_OP_PAREN.
	* src/expr.c (gnm_expr_eval): Ditto.

2008-07-23  Morten Welinder  <terra@gnome.org>

	* src/collect.c (collect_floats): When requested, sort.

2008-07-19  Jody Goldberg <jody@gnome.org>

	* tools/win32/gnumeric.nsi.in : enclose the gnumeric path in
	  quotes too. [#542872]

2008-07-10  Morten Welinder  <terra@gnome.org>

	* src/ssgrep.c (main): Support -v and --print-type.

	* src/search.c (gnm_search_filter_matching): Handle new invert
	flag.

2008-07-09  Morten Welinder  <terra@gnome.org>

	* src/ssgrep.c (main): Support -q -c -i -w -h -H -n -l -L -F.

2008-07-08  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-widget.c: (sheet_widget_button_prep_sax_parser):
	use the correct property name, i.e. "text" instead of "label".

2008-07-02  Jody Goldberg <jody@gnome.org>

	* configure.in : add a test for gsf_open_pkg_foreach_rel to avoid
	  bumping libgsf version req yet.  It will be updated for the next
	  STABLE release, but this will give the update time to percolate
	  through the distros.

2008-06-29  Morten Welinder  <terra@gnome.org>

	* src/gnm-datetime.c (yearfrac): Guard against invalid dates.

2008-06-27  Morten Welinder  <terra@gnome.org>

	* src/gnm-datetime.c (gnm_date_add_days, gnm_date_add_months): New
	functions.

	* src/sheet-autofill.c (afm_compute): Simplify using
	gnm_date_add_months.

2008-06-25  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (phyper): Short-circuit x>=NR case.  Fixes
	#540211.

2008-06-25  Jody Goldberg <jody@gnome.org>

	* doc/C/Makefile.am : ship ssgrep.1 and gnumeric-C.omf

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 1.9.1

2008-06-23  Morten Welinder  <terra@gnome.org>

	* src/gnm-datetime.c (datetime_value_to_g): Clear date in case of
	failure.  Fixes #539808.

2008-06-22  Jody Goldberg <jody@gnome.org>

	* src/wbc-gtk.c (cb_direction_change) : Only change the direction for
	  the current scg. [#499910]

2008-06-22  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (gnm_pane_expr_cursor_bound_set) : use blue instead
	  of red for default range selector cursor.
	* src/item-cursor.c (item_cursor_expr_range_event) : new.

2008-06-22  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c: (sog_datas_set_sheet): set the workbook
	as the graph document to support the new image framework.
	* src/workbook-control.c: (wb_control_set_view): set the document for
	the underlying GOControlDoc.

2008-06-21  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (gnm_pane_header_init) : Add a GtkAlignment wrapper
	  to the col/row headers to avoid problems when scaling to very small
	  sizes with group buttons. [#154687]

2008-06-21  Jody Goldberg <jody@gnome.org>

	* src/sheet-control-gui.c (scg_mode_edit) : unselect objects even
	  during destruction.

2008-06-19  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_error_error_info): Quote markup.  Fixes
	#386412.

2008-06-19  Jody Goldberg <jody@gnome.org>

	* src/wbc-gtk.c (scg_get_nth_scg) : new convenience routine to
	  localize use of SHEET_CONTROL_KEY, and add some safety checks.
	(wbcg_get_scg) : Use it.
	(cb_sheet_label_drag_data_get) : ditto.
	(cb_notebook_switch_page) : ditto.
	(wbcg_sheet_order_changed) : ditto.
	(wbcg_focus_cur_scg) : ditto.
	(wbc_gtk_init) : Move new_object from scg -> wbcg.
	(wbcg_update_action_sensitivity) : ditto.
	(wbcg_menu_state_update) : ditto.

	* src/wbc-gtk-edit.c (wbcg_insert_object) : moved from
	  wbcg_insert_object and made smarter to walk through all scgs and
	  setting cursor visibilty, and unanting.
	(wbcg_insert_object_clear) : reworked from scg_mode_clear and made
	  smarter.

	* src/wbc-gtk-actions.c (cb_insert_image) : Use wbcg_insert_object.
	(cb_add_graph) : ditto.
	(create_object) : ditto, and remove the sheet_update/recalc.  It does
	  not belong here.

	* src/sheet-control-gui.c (scg_cursor_visible) : make public.
	(scg_mode_clear) : moved into wbcg_insert_object_clear, and
	  simplified.
	(scg_mode_create_object) : reworked as wbcg_insert_object.
	(scg_mode_edit) : Use the new wbcg_insert_object_clear and simplify.
	(scg_object_select) : Adapt to moving new_object from SCG -> WBCG
	(scg_objects_nudge) : ditto.
	(scg_set_display_cursor) :  ditto.
	* src/gnm-pane.c (gnm_pane_key_press) : ditto.
	* src/item-bar.c (item_bar_draw) : ditto.
	* src/item-grid.c (item_grid_draw) : ditto.
	(ig_obj_create_begin) : ditto.
	(item_grid_button_press) : ditto.

2008-06-18  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (MATHLIB_ERROR): Return a NaN instead of
	aborting.  Fixes #534475.

2008-06-17  Morten Welinder  <terra@gnome.org>

	* src/application.c (gnm_app_create_opener_filter): Suffix
	patterns should match upper and lower case file names.  Fixes
	#510036.

2008-06-17  Jody Goldberg <jody@gnome.org>

	* src/print-info.c (print_info_set_page_setup) : fix a life cycle
	  error and document.  Fixes page setup on win32.

2008-06-16  Jody Goldberg <jody@gnome.org>

	* src/item-edit.c (item_edit_dispose) : delete the feedback ranges.
	  Don't disable their creation into the future.

2008-06-16  Jody Goldberg <jody@gnome.org>

	* tools/win32/gnumeric.nsi.in : Make the default install set
	  'Standard' and do not overwrite the common type (Excel/OOo).  [#534231]

2008-06-13  Jody Goldberg <jody@gnome.org>

	* src/wbc-gtk.c (cb_regenerate_window_menu) : we need to remove the
	  action group from the UI, not just unref it.
	(wbc_gtk_reload_recent_file_menu) : ditto.

2008-05-27  Morten Welinder  <terra@gnome.org>

	* src/stf-export.c (try_auto_date): Don't generate an invalid time
	format.  Fixes #534514.  Fix detection of fractional seconds.

2008-05-21  Morten Welinder  <terra@gnome.org>

	* src/value-sheet.c (value_area_foreach): Always NULL ->cell_iter.

	* src/parser.y: Further parser fixes.  Clarify the error handling
	rules.  Fixes #534131.

2008-05-20  Morten Welinder  <terra@gnome.org>

	* src/value-sheet.c (value_area_get_x_y): Make sure to return an
	empty value, not NULL, when a cell in a range isn't there.  Fixes
	#533953.

	* src/mathfunc.c (random_exppow): Add domain check.  Fixes
	#533965.

2008-05-19  Morten Welinder  <terra@gnome.org>

	* src/parser.y (fold_positive_constant, fold_negative_constant,
	build_unary_op, build_binop, build_logical, build_not,
	build_intersect, build_set): Propagate errors.  Fixes #533951.

	* src/stf.c (stf_read_workbook_auto_csvtab): Don't assume that the
	command context is a gui.  Fixes #533511.

	* src/expr.c (value_intersection): Handle empty array.  [#533516]
	Fix from Jean.

2008-05-19  Jody Goldberg <jody@gnome.org>

	* src/parse-util.c (r1c1_get_index) : handle =RC-10 as
	      <ref "RC"><unary-><10> #533943

2008-05-17  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (qpois): Return nan on invalid lambda.  Fixes
	#533515.
	(discpfuncinverter): Handle overflow when searching for missing
	side better.  Also fixes #533515.

2008-05-16  Morten Welinder  <terra@gnome.org>

	* src/func.c (tokenized_help_new): Translate old-style help texts.
	fixes part of #533193.

2008-05-15  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (random_gamma): Handle overflow and bogus
	arguments.  Fixes #533288.

2008-05-12  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: request libgoffice-0.8 >= 0.7.0.
	* src/Makefile.am: removed obsolete (moved to goffice) files.
	* src/gnm-conf-gconf.c: ditto.
	* src/gnm-conf-keyfile.c: ditto.
	* src/gnm-conf-win32.c: ditto.
	* src/gnumeric-gconf.c: ditto.
	* src/gnumeric-gconf.h: ditto.

2008-05-07  Jody Goldberg <jody@gnome.org>

	Merge patch from Seán de Búrca [#450444]
	* configure.in : add the new icon dirs.
	* gnumeric.desktop.in : remove icon suffix.
	* icons/Makefile.am : deploy the icons, and do some cleanup.
	* src/wbc-gtk.c (wbc_gtk_class_init) : Now we can use the nice simple
	  gtk_window_set_default_icon_name.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 1.9.0

2008-05-04  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_notebook_switch_page): When selecting a range
	for a dialog, do sheet changes fully.  Fixes #529309.

2008-05-02  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c (wbv_save_to_uri): Zap this meesage too.

2008-05-02  Jody Goldberg <jody@gnome.org>

	* configure.in : add ssgrep.
	* src/Makefile.am : ditto.
	* src/.gitignore : ditto.

	* src/str.c (gnm_string_foreach) : new wrapper to make it easier to
	  walk all available strings.

	* src/workbook-view.c (wb_view_new_from_uri) : turn off the info spew.

2008-04-29  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_sheet_names): Write sheet sizes.

	* src/ranges.c (range_is_sane): Fix escaped G_MAXINT/2.  We're not
	ready for that just yet.
	(range_init_full_sheet): Ditto.

2008-04-28  Morten Welinder  <terra@gnome.org>

	* src/colrow.h (colrow_max): Take a sheet argument too.  All
	callers changed.

	* */*.c: Use gnm_sheet_get_max_cols for SHEET_MAX_COLS and
	gnm_sheet_get_max_rows for SHEET_MAX_ROWS in most cases.  (Adapted
	from Jean's patch in #168875.)

	* src/wbc-gtk-actions.c (cb_calc_decs): Use rendered value, if
	available.

2008-04-24  Jean Brefort  <jean.brefort@normalesup.org>

	* libspreadsheet.pc.in: fixed the plugins dir definition so tht it can
	be used.

2008-04-22  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (handle_float): Don't initialize
	twice.  [#529297, Hiroyuki Ikezoe]

2008-04-16  Jody Goldberg <jody@gnome.org>

	* configure.in : Use dolt when possible.
	* acinclude.m4 : create, and add dolt.m4

2008-04-14  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-image.c (gnm_soi_default_size,
	gnm_soi_draw_cairo): Protect against a NULL pixbuf.

2008-04-11  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-edit.c (close_to_int): Add missing abs case causing
	lots of trouble.
	(guess_time_format): Return the format, not a string.  Deduce
	GOFormat's limit of decimals.
	(guess_time_format): Improve handling of elapsed time format.

2008-04-10  Morten Welinder  <terra@gnome.org>

	* src/clipboard.c (paste_cell): Translate dates if required.
	Fixes #490419.
	(cellregion_new): Setup new date_conv field from sheet.

	* src/xml-io.c (xml_cellregion_read): Set of date_conv field from
	xml.
	(xml_read_clipboard_cell): Use date_conv from cell region, not
	workbook.

	* src/commands.c (warn_if_date_trouble): New function.
	(cmd_paste_copy): Call warn_if_date_trouble.

2008-04-08  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_float_hash, gnm_float_equal): Moved from
	rangefunc.c.  Made public.

	* src/dependent.c (workbook_recalc): If we recalculated anything,
	emit recalc-finished on the application.

	* src/application.c (gnm_app_class_init): Install new
	"recalc-finished" signal.

	* src/ranges.c (gnm_sheet_range_dup, gnm_sheet_range_equal,
	gnm_sheet_range_hash, gnm_range_hash, gnm_range_equal): New
	functions.

	* src/collect.c (gnm_strip_missing): Don't return a value; take
	list directly, not as reference; make O(n) instead of O(n^2).  All
	callers changed.

2008-04-06  Morten Welinder  <terra@gnome.org>

	* src/collect.c (collect_strings): Change return type to GPtrArray
	so we can actually tell if there was an error.  All callers
	changed.  Fixes CONCATENATE.
	(string_range_function): Make the subject function take a
	GPtrArray for simplicity.  All callers changed.

2008-03-30  Jon K Hellan  <hellan@acm.org>

	* src/gui-clipboard.c (x_targets_received): Request text if holder
	of clipboard doesn't offer any target we understand. Broken apps,
	including jedit, have been seen to return a bogus list of targets,
	but nonetheless return text when asked.
	(utf8_content_received): New function. Passes text received from
	clipboard to text_to_cell_Region.

2008-03-30  Jean Brefort  <jean.brefort@normalesup.org>

	* src/stf.c: (stf_read_workbook), (stf_read_workbook_auto_csvtab):
	call workbook_recalc_all instead or workbook_recalc to ensure
	formula evaluation. [#525107]

2008-03-28  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_top_is_array_elem): Take extra arguments
	for storing coordinates.  All callers changed.

2008-03-27  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c (wb_view_edit_line_set): Use more API
	instead of peeking inside expression implementation details so
	much.

	* src/expr.c (gnm_expr_top_is_array_corner): New function.  (I
	have plans for gnm_expr_top_get_array_corner.)

2008-03-26  Morten Welinder  <terra@gnome.org>

	* src/gui-file.c (gui_file_open): Allow selection of multiple
	files.  [#524479]

2008-03-20  Morten Welinder  <terra@gnome.org>

	* src/value.c (criteria_test_equal, criteria_test_unequal,
	criteria_test_less, criteria_test_less_or_equal,
	criteria_test_greater, criteria_test_greater_or_equal): Handle
	string values that can be interpreted as numbers.  Take extra
	date_conv argument.  All callers changed.

2008-03-12  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (make_format): New function to handle invalid
	formats.
	(xml_sax_style_start, xml_sax_cell): Use make_format.

	* src/value.c (value_new_bool): Don't allocate memory for bools.
	There are only two different ones.
	(value_release): Consequently don't release memory.
	(value_set_fmt): Don't allow setting formats for empty and bool.

2008-03-10  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (inc_dec): New function to do something
	vaugely sensible when inc/dec decimals is requested for General.
	Fixes #510252.

	* configure.in (ALL_LINGUAS): Undo last change.  It breaks the
	build.

	* src/wbc-gtk.c (cb_add_menus_toolbars): Honour
	/desktop/gnome/interface/toolbar_detachable.  Patch from Nick
	Lamb.  Fixes #321867.

2008-03-10 Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

        * configure.in: Added "zh_HK" to ALL_LINGUAS.

2008-03-06  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (insert_date_time_common): Fix the time
	cases.

2008-03-02  Jody Goldberg <jody@gnome.org>

	Patches for cygwin build [#506366]
	* configure.in : differentiate between cygwin, and native win32.
	* tools/Makefile.am : Registry mapper is not needed under cygwin.
	* schemas/Makefile.am : ditto.
	* src/Makefile.am : -mwindows and -mconsole are only required for
	  native windows.

2008-03-01  Jody Goldberg <jody@gnome.org>

	* src/Makefile.am : build ssconvert & ssindex with -mconsole and
	  without -mwindows

	* src/workbook-view.c (gnm_mailto_url_show) : Add a win32 version of
	  mailto support.

	* schemas/Makefile.am : Don't create a dir if built without gconf
	  autoconf macros.

2008-03-01  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell_content): Ref shared
	expressions before inserting them into the hash.
	(gnm_xml_file_open): Register a value-free function for the shared
	expression hash.  Fixes #519761.

	* src/sheet-autofill.c (afm_teach_cell): Fix end-of-month problem.
	Fixes #519680.
	(auto_filler_month): Initialize ->end_of_month.

2008-03-01  Jody Goldberg <jody@gnome.org>

	* src/style.c : drop use of pangoft2 as a hard coded fallback use
	  pangocairo instead.

	* src/wbc-gtk-actions.c (cb_help_docs) : add a warning if help viewer
	  fails.

2008-02-29  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (link_border_colors): Handle NULL border which is
	advertised as being ok.  Fixes #519451.

2008-02-28  Morten Welinder  <terra@gnome.org>

	* src/xml-io.c (maybe_convert): Handle memory allocation failure
	nicely.  Fixes #519319.

	* src/xml-sax-read.c (maybe_convert): Handle memory allocation
	failure nicely.

2008-02-21  Morten Welinder  <terra@gnome.org>

	* src/sheet-autofill.c (sheet_autofill_dir): Handle merged cells
	better.  Fixes #504191.

2008-02-19  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c: Handle <control>KP_Subtract as
	<control>minus.  Fixes #516358.  Ditto KP_Add.

2008-02-05  Morten Welinder  <terra@gnome.org>

	* src/clipboard.c (cellregion_to_string): Fix col/row confusion.
	Fixes #514438.

2008-02-04  Morten Welinder  <terra@gnome.org>

	* src/func.c (functions_shutdown): Handle leftover place holders
	better.  Fixes #514295.  (Also fixed in importer.)

2008-02-02  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Call pathetic_qt_workaround early
	to handle the theme corruption at the time the splash screen is
	constructed.

2008-02-01  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (pathetic_qt_workaround): Work around
	Qt-theme (or Qt-library) bug.
	(main): Install pathetic_qt_workaround.  Fixes #512752.

	* src/expr.c (gnm_expr_eval): Fix FMRs for circular array
	formulas.

	* src/sheet-autofill.c (add_item): Plug leak.

2008-01-31  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_eval): Handle the case of no value
	calculated for the array.  [#513559]

2008-01-28  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_solver_start): New function.
	(gnm_xml_attr_bool): Renamed from xml_sax_attr_bool and made
	public.

2008-01-26  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gutils_init): If we appear to be running out of
	the source tree, then adjust libdir (for plugins) accordingly.

2008-01-24  Jean Brefort  <jean.brefort@normalesup.org>

	* src/clipboard.c (paste_object): Fix paste-graph
	problem.  [#507342]

2008-01-24  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_move_range): Fix sanity check.  [#511706]

2008-01-16  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_csv_line): Allocate from the string
	chunk so we don't leak items.  Reduce the number of GString
	allocations while we're at it.

2008-01-10  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-edit.c (wbcg_edit_start): Use
	gnm_format_for_date_editing.

	* src/wbc-gtk-actions.c (insert_date_time_common): New function to
	format numbers according to cell's format when appropriate.
	Fixes 508237.

	* src/gnm-format.c (gnm_format_for_date_editing): New function.

2008-01-15  Morten Welinder  <terra@gnome.org>

	* src/value.c (parse_database_criteria): Verify that we have a
	cellrange which is the only cases handled.  Part of fix for
	509427.

2008-01-14  Morten Welinder  <terra@gnome.org>

	* Makefile.am (DISTCLEANFILES): Get rid of the versioned .pc file
	too.

2008-01-14  Morten Welinder  <terra@gnome.org>

	* configure.in (GNM_PY_LDFLAGS): Fix assumptions about directory
	layout.  [#509023]  [508988]

2007-12-29  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2007-12-21  Jody Goldberg <jody@gnome.org>

	* Release 1.8.0

2007-12-17  Morten Welinder  <terra@gnome.org>

	* src/gnumeric-gconf.c: Quiet the debug code.

2007-12-15  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c: (sof_default_style),
	(cb_gnm_so_filled_style_changed): replace 0 and 1 for line styles
	by GO_LINE_NONE and GO_LINE_SOLID.
	* src/gnm-so-line.c: (so_line_view_set_bounds),
	(sol_default_style), (cb_gnm_so_line_changed),
	(gnm_so_line_draw_cairo): ditto.
	* src/gnm-so-polygon.c: (sop_default_style),
	(cb_gnm_so_polygon_style_changed): ditto.

2007-12-15  Jody Goldberg <jody@gnome.org>

	* src/clipboard.c (clipboard_paste_region) : A region is not empty if
	  there are merges or styles. [#503634]

2007-12-13  Jody Goldberg <jody@gnome.org>

	* src/xml-io.c (xml_sheet_read) : support grid colour.
	* src/xml-sax-read.c (xml_sax_sheet_start) : ditto.
	(xml_sax_sheet_name) : ditto.
	* src/xml-sax-write.c (xml_write_sheet) : ditto.
	* gnumeric.xsd : ditto.

2007-12-13  Jody Goldberg <jody@gnome.org>

	* src/sheet-object-cell-comment.c (comment_view_set_bounds) : remove
	  kludge that altered the anchor.  That makes it impossible to look
	  the comment up.
	* src/colrow.c (colrow_set_sizes) : instead, just reposition all
	  objects when cols resize.

	* src/clipboard.c (paste_object) : Add support for a magic new flag
	  PASTE_IGNORE_COMMENTS_AT_ORIGIN for use by.

	* src/commands.c (cmd_merge_cells_undo) : Used here so that when we
	  paste the old content back into the merged region we do not
	  duplicate a comment that existed in the cell.  [#503392]

2007-12-10  Andreas Guelzow  <aguelzow@pyrshep.ca>

	Fix for #502206
	* src/sheet.c (sheet_get_nominal_printarea): fix invalid printarea

2007-12-10  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_relocate): Access the right union member.
	Fixes #502781.

2007-12-01  Morten Welinder  <terra@gnome.org>

	Fixes for #470089.
	* src/sheet.c (sheet_cell_set_text): Adjust markup if text was
	quoted.

	* src/commands.c (cmd_set_text): Don't compare markups if we don't
	extract them.  Map empty markup to no markup.
	(gnm_pango_attr_list_equal): Take into account that
	pango_attribute_equal does not compare indices.

	* src/wbc-gtk-edit.c (gnm_pango_attr_list_splice): Export to
	Goffice.  .  Let caller do the splice.
	(wbcg_edit_start): Adjust markup if we quoted the string.
	(wbcg_edit_finish): Free cell_attrs if needed.
	(wbcg_edit_add_markup): Unset attributes if the desired result
	matches cell_attrs.
	(wbcg_edit_init_markup): Initialize cell_attrs.

2007-11-30  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (gnm_pane_key_mode_sheet) : enter_moves_dir == NONE
	  should not move anywhere.

2007-12-03  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump.  Hopefully last before 1.8

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 1.7.91

2007-11-28  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c (wb_view_dispose): New function extracted
	from wb_view_finalize to handle viewe-control disentanglement.
	* src/workbook-control.c (wbc_dispose): Renamed from wbc_finalize
	and hooked up accordingly.  Fixes #499680.

2007-11-28  Jon K Hellan  <hellan@acm.org>

	* src/print.c (gnm_begin_print_cb, gnm_request_page_setup_cb):
	Silence warnings about gtk+ workarounds.

2007-11-27  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (print_sheet_objects): print the sheet objects in
	  reverse order

2007-11-27  Morten Welinder  <terra@gnome.org>

	* src/gnm-pane.c (gnm_pane_unrealize): Fix critical.  [#499905]

2007-11-26  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (common_cell_goto): Don't try to go to an
	invisible sheet.  Fixes the part of 499723 that Sum1 hasn't even
	found yet.

	* src/workbook.c (workbook_cells): Considers cells in sheets only
	if they are sufficiently visible.
	* src/search.c (gnm_search_collect_cells): Don't collect cells in
	deeply hidden sheets.

2007-11-26  Morten Welinder  <terra@gnome.org>

	* src/workbook-control.c (wb_control_parse_and_jump): Make target
	absolute.  Fixes #499722.

2007-11-25  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* print-info.c (print_hf_new): use empty strings rather than NULL

2007-11-25  Jody Goldberg <jody@gnome.org>

	* src/style-conditions.c (gnm_style_cond_is_valid) : make public.

2007-11-24  Jody Goldberg <jody@gnome.org>

	* src/xml-sax-write.c (xml_write_breaks) : new.  Manual enum handling
	  for performance.
	(xml_write_print_info) : use it here.

	* src/xml-sax-read.c (xml_sax_attr_enum) : Use class_ref/class_unref
	  to force the enum to complete.
	(xml_sax_page_break) : new with manual enum handling for performance.
	(xml_sax_page_breaks_begin) : new.
	(xml_sax_page_breaks_end) : new.

2007-11-20  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_insert_cols, sheet_insert_rows,
	sheet_delete_cols, sheet_delete_rows): Initialize reloc_info.pos.
	* src/dependent.c (dependents_relocate): When handling names, get
	a list of the names as the hash will change during the process.
	Fixes #498347.

2007-11-19  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump to 1.7.91-rc2

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 1.7.90

2007-11-18  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (gnm_draw_page_cb): set up HFRenderInfo
	* src/print-info.c (render_cell): handle relative addresses

2007-11-17  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print-info.c (render_cell): use rangeref_parse to also handle
	  other sheets.

2007-11-17  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print-info.h (HFRenderInfo): add page area info
	* src/print-info.c (render_cell): new
	(render_ops): add cell record
	(hf_render_info_new): initialize page area info

2007-11-16  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print-cell.c (print_merged_range_gtk): print the
	  background behind the cell.

2007-11-16  Morten Welinder  <terra@gnome.org>

	* src/application.c: use the recent manager to received
	notifications of changes and tell GnmApp watchers.

	* src/gnumeric-gconf.c: Check the right symbol for backend.

	* src/clipboard.c (cellregion_to_string): Fix cut-and-paste-code
	bug.

	* src/wbc-gtk-edit.c (wbcg_edit_start): Explicitly clear force
	rel/abs flags.

2007-11-15  Morten Welinder  <terra@gnome.org>

	* src/application.c (gnm_app_release_pref_dialog,
	gnm_app_get_pref_dialog, gnm_app_set_pref_dialog): Remove.

2007-11-15  Jon K Hellan  <hellan@acm.org>

	* src/gui-clipboard.c (set_clipman_targets): New. Restrict the
	set of formats offered to clipboard manager.
	(x_claim_clipboard): Use it.

2007-11-15  Jody Goldberg <jody@gnome.org>

	* src/clipboard.c (cb_cellregion_extent) : new.
	(cellregion_extent) : new.  currently internal.  Might be useful
	 externally.
	(cellregion_to_string) : check the extent of the content.

2007-11-14  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/pixmaps/hf_date.png: new (temporary) icon
	* src/pixmaps/hf_page.png: ditto
	* src/pixmaps/hf_pages.png: ditto
	* src/pixmaps/hf_cell.png: ditto
	* src/pixmaps/hf_time.png: ditto
	* src/pixmaps/hf_sheet.png: ditto
	* src/pixmaps/Makefile.am: adjust for new icon files
	* src/wbc-gtk.c (wbc_gtk_setup_icons): add new icons

2007-11-14  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c (debug_clipboard): New function.
	(x_clipboard_get_cb): Add conditional debug statements.

	* src/wbc-gtk.c (wbcg_sheet_focus): Make sure direction is right,
	see #496304, comment 3 onwards.

2007-11-13  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnumeric_keyed_dialog): Tentatively persist zoom
	dialog window size within session.

2007-11-13  Jon K Hellan  <hellan@acm.org>

	* src/commands.c (cmd_define_name): Fix typo. Fixes #496334.

2007-11-12  Morten Welinder  <terra@gnome.org>

	* src/workbook-control.c (wb_control_jump): Simplify.  Return
	error indicator and take simpler arguments.  Caller fixed.  Refuse
	to jump to invisible sheet.  Fixes #496304.

	* src/sheet.c (sheet_cell_set_text): Fix interaction between
	spanning and manual recalc.  Fixes #495879.

	* src/parse-util.c (rangeref_parse): Don't allow workbook without
	sheet.

	* src/rendered-value.c (gnm_rendered_value_new): Don't test
	cell->value too soon.

2007-11-12  Jon K Hellan  <hellan@acm.org>

	* src/gui-clipboard.c (table_cellregion_write): Paste as values so
	that we don't care about array boundaries. Fixes #496187.

2007-11-12  Morten Welinder  <terra@gnome.org>

	* src/print.c (gnm_print_sheet): Handle more
	gtk_print_operation_run result codes.  Fix leak.

	* src/workbook-control.c (wb_control_jump): Add missing
	inititialization of r.  Fixes #496071.

2007-11-09  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_define_name): Validate name.

	* src/workbook-control.c (wb_control_parse_and_jump): Parse with
	respect to edit position.

	* src/value.c (value_new_cellrange_parsepos_str): New function
	split form value_new_cellrange_str.
	(value_new_cellrange_str): Simplify using
	value_new_cellrange_parsepos_str.

	* src/workbook-control.c (wb_control_jump): Split from
	wb_control_parse_and_jump.
	* src/position.c (eval_pos_init_editpos): New function.
	See #494318.

2007-11-08  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* gnumeric.xsd: add do_not_print field

2007-11-08  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/xml-sax-read.c (xml_sax_print_do_not_print): new
	* src/xml-sax-write.c (xml_write_print_info): write do_not_print
	  field
	* src/xml-io.c (xml_read_print_info): read do_not_print field
	* src/print-info.c (print_info_new): initialize do_not_print

2007-11-08  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_move_range): Initialize reloc_info.pos.
	Otherwise we get UMRs in gnm_expr_top_relocate.

2007-11-07  Morten Welinder  <terra@gnome.org>

	* src/gnm-pane.c (gnm_pane_dispose): Get rid of ->im_context here,
	not in gnm_pane_finalize.  First disconnect signals and window.
	This fixes FMR during workbook destruction.
	(gnm_pane_finalize): Delete.

2007-11-06  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-edit.c (wbcg_edit_start): Use yyyy-m-d format for
	date entry when appropriate.

	* src/gnm-format.c (gnm_format_month_before_day): Update return
	value like for go_format_month_before_day.

2007-11-06  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (PrintingInstance): add HFRenderInfo
	(printing_instance_new): handle HFRenderInfo field
	(printing_instance_destroy): ditto
	(ensure_decoration_layout): rewrite for gtkprint
	(print_hf_element): ditto
	(print_hf_line): ditto
	(print_headers): delete
	(print_footers): delete
	(print_page): also print headers and footers

2007-11-06  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/xml-sax-read.c (xml_sax_print_hf): new
	(PRINT_HEADER): hook up xml_sax_print_hf
	(PRINT_FOOTER): ditto

2007-11-06  Morten Welinder  <terra@gnome.org>

	* src/print-info.c (pdf_write_workbook): Set do_not_print flags to
	relects sheet selection.

	* src/print.c (compute_pages): Do not print sheets marked
	do_not_print.

2007-11-06  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c: (gnm_so_filled_draw_cairo): use cairo_t*
	as arg for draw_cairo instead of gpointer.
	* src/gnm-so-line.c: (gnm_so_line_draw_cairo): ditto.
	* src/gnm-so-polygon.c: (gnm_so_polygon_draw_cairo): ditto.
	* src/sheet-object-graph.c: (gnm_sog_draw_cairo): ditto.
	* src/sheet-object-impl.h: ditto.
	* src/sheet-object.c: (sheet_object_draw_cairo): ditto.
	* src/sheet-object.h: ditto.
	* src/sheet-object-image.c: (gnm_soi_draw_cairo),
	(gnm_soi_class_init): implement draw_cairo (for printing).

2007-11-05  Morten Welinder  <terra@gnome.org>

	* src/print-info.c (pdf_write_workbook): Prepare for printing
	selected sheets.  Note: doesn't actually work yet.
	(cb_set_pdf_option): Parse sheets to be printing.

2007-11-05  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (compute_scale_fit_to): new arguments to pass
	  through to paginate. Also calculate extent internally.
	(compute_sheet_pages): pass more info to compute_scale_fit_to

2007-11-05  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (compute_n_pages): deleted
	(compute_scale_fit_to): use paginate rather than compute_n_pages
	(compute_sheet_pages_add_range): change expected argument order to
	  match how you are called.
	(paginate): drop unneeded arguments

2007-11-05  Morten Welinder  <terra@gnome.org>

	* src/print-info.c (print_init): Hook up options parsing for pdf
	export.
	(page_setup_set_paper): Return an error code.
	(print_info_set_paper): Ditto.

	* src/stf-export.c (gnm_stf_export_options_sheet_list_clear): Hold
	a weak sheet reference only.

2007-11-04  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (print_range_used_units): deleted
	(print_job_info_init_sheet): deleted
	(paginate): simplify arguments
	(compute_sheet_pages): use simplified arguments for paginate

2007-11-04  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (compute_sheet_pages_down_then_across): use
	  new pagination info
	(compute_sheet_pages_across_then_down): ditto
	(paginate): new
	(compute_sheet_pages): first paginate and only then create page list.

2007-11-04  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.14

2007-11-04  Morten Welinder  <terra@gnome.org>

	* src/stf-export.c (gnm_stf_fs_set_export_options): Adapt to
	goffice changes.

2007-11-03  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_options_guess): Guess using 1000
	first lines.

	* src/stf-export.c (gnm_stf_export_options_sheet_list_get): New
	function.
	(try_auto_date): Use gnm_format_is_time_for_value.
	(gnm_stf_file_saver_new): Don't create exporter here.
	(gnm_stf_file_saver_save): Create exporter here and hang it unto
	the workbook.

	* src/gnm-format.c (gnm_format_is_time_for_value): New function.

	* src/stf-export.c (gnm_stf_file_saver_new): Set the right scope.
	(cb_set_export_option): Use go_object_set_property and allow
	setting of quoting-on-whitespace.
	(gnm_stf_file_saver_save): Steamline.  Make sure to disconnect
	from sink.  Send our own GnmStfExport to stf_export_dialog.

	* src/ssconvert.c (convert): Plug leak.

2007-11-02  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (adjust_repetition): new
	(compute_sheet_pages_down_then_across): new
	(compute_sheet_pages_across_then_down): move code from here to
	  compute_sheet_pages
	(compute_sheet_pages): receive code from ...across_then_down

2007-11-02  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Bumped goffice dependency as the STF export now uses
	go_file_saver_parse_options which is new.

2007-11-02  Morten Welinder  <terra@gnome.org>

	* src/print-info.c (print_init): Plug leak.
	(print_shutdown): Unregister the PDF saver.

	* src/ssconvert.c (handle_export_options): New function to handle
	new option --export-options.
	(convert): Call handle_export_options.

2007-11-01  Morten Welinder  <terra@gnome.org>

	* src/stf-export.c (gnm_stf_file_saver_new): New function based on
	code from Hib Eris, see #170767.

2007-11-01  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (gnm_paginate_cb): handle sheets without printable
	  pages correctly and cancel printing if there are no pages at all.
	(gnm_request_page_setup_cb): gtk may call this function even for
	  non-existing pages. Be graceful. Fixes #491775

2007-11-01  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (print_page): print the row and column headers also
	  for the repeated rows and columns.

2007-11-01  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-line.c (gnm_so_line_prep_sax_parser): Survive missing
	"type" attribute.  Fixes #492391.

	* src/print-info.c (page_setup_set_paper): Handle "US-Letter" too.

2007-10-31  Morten Welinder  <terra@gnome.org>

	* src/stf.c (stf_init): Plug leaks.
	(stf_shutdown): New function.

	* src/libgnumeric.c (gnm_shutdown): Hook up stf_shutdown.

2007-10-31  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (compute_sheet_pages_across_then_down): consider
	the repeated rows and columns when doing pagination

2007-10-30  Jody Goldberg <jody@gnome.org>

	* src/func-builtin.c (gnumeric_table) : Fix.  It is apparently a bad
	  idea to free something then use it a couple of lines later.

2007-10-30  Andreas Guelzow  <aguelzow@pyrshep.ca>

	* src/print.c (print_page_repeated_rows): deleted
	(print_page_repeated_cols): deleted
	(print_page_repeated_intersect): deleted
	(print_page): handle repeated rows and columns
	(compute_sheet_pages_add_range): add repeated rows and cols
	  info
	(compute_sheet_pages_across_then_down): pass repeated rows
	  and cols info to compute_sheet_pages_add_range
	(gnm_draw_page_cb): adjust for change in data type
	(gnm_request_page_setup_cb): ditto

2007-10-28  Morten Welinder  <terra@gnome.org>

	* src/print-cell.c (print_cell_gtk): Handle cell->rendered_value
	changing underneath us.  Fixes #478552.

2007-10-27  Jody Goldberg <jody@gnome.org>

	* src/commands.c (cmd_create_data_table) : New.  Wrapper to set_area
	  that creates a data table with undo capabilities.

	* src/func-builtin.c (gnumeric_table) : clear the val point in a cell
	  before destroying it because the value was a temporary and has
	  already been released.  Cache and restore the x_iter value to avoid
	  leaving the last calculated value in the cell after evaluating for
	  TABLE(,ADDR)

	* src/parser.y : convert from distinct gboolean flags to using a
	  simple bit mask.  Switch from distinct ABS_COL/ABS_ROW to ABS and
	  REL.  There was no need to split COL vs ROW, but there was a need
	  [Data->Table] to force relative (XL requires rel refs).

2007-10-27  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_read_obj): Survive a missing
	ObjectBound attribute.  Fixes #490859.

	* src/mstyle.c: Add a pile of preconditions.

2007-10-26  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_date_conventions_as_attr): New
	function...
	(xml_write_calculation): ...extracted from here.
	(gnm_cellregion_to_xml): Call xml_write_date_conventions_as_attr
	if we have a sheet.

	* src/clipboard.c (cellregion_to_string): Use the value format
	  when appropriate.

2007-10-25  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (cb_bounds_changed) : update the ctrl pt positions if
	  the objects position changes.

	* src/sheet-object.c (sheet_object_anchor_assign) : renamed from
	  sheet_object_anchor_cpy to clarify the purpose and follow naming
	  conventions.
	(sheet_object_anchor_dup) : new.
	(cb_so_snap_to_grid) : new callback to snap an object to the
	  containing grid.
	(sheet_object_populate_menu_real) : use it here.

2007-10-25  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (cb_style_list_add_node): Handle the case
	where the last tile is partial in either dimension.

2007-10-22  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_repeat_left, xml_sax_repeat_top):
	Kill warnings.

2007-10-21  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_group_fetch_with_translation): Fix warning.

2007-10-21  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.13

2007-10-20  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* src/gnm-so-filled.c (gnm_so_filled_draw_cairo): adapt to new
	gog_style_create_cairo_pattern signature.

2007-10-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove no from ALL_LINGUAS.

2007-10-14  Yannig Marchegay <yannig@marchegay.org>

	* configure.in: Redo last change with both po/oc.po and properties-po/oc.po.

2007-10-13  Morten Welinder  <terra@gnome.org>

	* configure.in: Undo last change.

2007-10-13  Yannig Marchegay <yannig@marchegay.org>

	* configure.in: +Occitan.

2007-10-10  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-image.c (so_image_view_set_bounds): Use
	go_pixbuf_tile.

2007-10-12  Jody Goldberg <jody@gnome.org>

	* libspreadsheet-1.7.pc.in : Set the cflags to include the target, and
	  subdir until we fix the header includes and rename /src.
	  Add LIBDIR/include to cflags
	  Add PluginDir.

2007-09-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* samples/chart-stripe-tests.gnumeric: add reference images.

2007-09-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* samples/chart-smooth-fit-tests.gnumeric: add reference images.

2007-09-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* samples/chart-smooth-fit-tests.gnumeric: new test file.

2007-09-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Duplicate the GogGraph object used by the graph dialog. That's needed
	because GOGraphWidget change the width and height property of it's
	graph model on every resize, which breaks the SheetObjectGraph.

	* src/gnm-graph-window.c (gnm_graph_window_set_graph): duplicate
	graph.
	(gnm_graph_window_new): add a safety check on graph parameter.

2007-09-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Remove GOFFICE_WITH_CAIRO ifdefs.

	* component/gnumeric.c: here.
	* src/gnm-so-filled.c: here.
	* src/gnm-so-line.c: here.
	* src/gnm-so-polygon.c: here.
	* src/sheet-object-graph.c: here.
	* src/sheet-object.c: here.

2007-09-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* src/sheet-object-graph.c (gnm_sog_draw_cairo): use
	gog_graph_render_to_cairo instead of removed
	gog_graph_render_to_cairo_vector.

2007-09-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* src/shhet-object-graph.c (sheet_object_graph_set_gog): use
	gog_renderer_new instead of obsolete gog_renderer_new_for_pixbuf.

2007-09-28  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: remove WITH_GOFFICE_O_4.
	* src/graph.c: use new goffice math location.
	* src/mathfunc.c: ditto.
	* src/numbers.h: ditto.
	* src/rangefunc.h: ditto.
	* src/regression.h: ditto.

2007-09-25  Morten Welinder  <terra@gnome.org>

	* src/format-template.c (format_template_member_get_rect): Don't
	check sanity (which barfs).  Let caller check with range_valid.

	* configure.in (*_DISABLE_DEPRECATED): Turn off for stable
	releases.

2007-09-24  Jody Goldberg <jody@gnome.org>

	* src/io-context-gtk.c (icg_set_transient_for) : Use
	  go_gtk_window_set_transient instead of gtk_window_set_transient_for.
	  The former causes problems on win32, and breaks window stacking.
	(icg_show_gui) : ditto.

2007-09-24  Jody Goldberg <jody@gnome.org>

	* src/Makefile.am : install wbc-gtk-impl.h for now.  It has the
	  definition of wbc_gtk_close.

2007-09-24  Jody Goldberg <jody@gnome.org>

	* src/style.c : s/StyleFont/GnmFont/ and clean up the associated
	  method names.  Then move things into style-font.h for now.
	  This clarifies how much we'll need to move to GOFont.

	* src/print-cell.h : just include the necessary gtk headers.  Even
	  this breaks WITH_GTK work.  Why isn't this ins glib ?
	* src/print.h : Move the renamed internal (not dllexported)
	  gnm_print_debug flag here

	Merge in the win32 cleanup work
	* src/Makefile.am : Add a libspreadsheet CFLAG -DGNUMERIC_INTERNAL to
	  control dllimport/dllexport for win32.  Required some adjustment of
	  built-sources.

	* src/libgnumeric.h : Add 'GNM_VAR_DECL' and use it for extern data
	  that will be publicly visible.

	* src/libgnumeric.c : re-order and handle some of the renaming
	  style_init -> gnm_font_init, and gnumeric_color -> gnm_color.
	(gnm_get_option_group) : move the shared cmd line arg parsing in here
	  rather than duplicating the handlers in all the client apps.
	* src/main-application.c (gnumeric_arg_parse) : eg from here.
	  Rather than using global variables, pass the arguments as
	  parameters to clean things up.
	* src/ssconvert.c (main) : Use it here.
	* src/ssindex.c (main) : and here.

	* src/print-cell.h : just include the necessary gtk headers.  Even
	  this breaks WITH_GTK work.  Why isn't this ins glib ?
	* src/print.h : Move the renamed internal (not dllexported)
	  gnm_print_debug flag here

2007-09-22  Jody Goldberg <jody@gnome.org>

	* src/item-bar.c (ib_draw_cell) : don't draw the text when we're
	  really small.

2007-09-20  Morten Welinder  <terra@gnome.org>

	* src/print.c (compute_sheet_pages): Return error indicator,
	notably for the multiple-selection-areas case.
	(gnm_paginate_cb): Cancel print on error.  Fixes #478475.

2007-09-18  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_filter_condition): Read
	single-clause conditions right.  Fixes #477417.

2007-09-17  Morten Welinder  <terra@gnome.org>

	* src/sheet-filter.c (gnm_filter_condition_new_bucket): Make sure
	->op[1] is UNUSED.
	(filter_expr_init): Survive NULL value.

2007-09-16  Jody Goldberg <jody@gnome.org>

	* src/print-info.h : Do not include gtk/gtk.h it is too general.
	  Use gtkpagesetup.h instead.
	* src/gnumeric-gconf.h : and this requires gtkprintsettings.h

2007-09-16  Morten Welinder  <terra@gnome.org>

	* src/sheet-filter.c (gnm_filter_combo_apply): Add precondition in
	hunt for #477417.  Actually use iter_flags.

2007-09-14  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_cell_and_position): Re-use string
	across calls.

2007-09-13  Jon K Hellan  <hellan@acm.org>

	* src/sheet-control-gui.c (scg_drag_receive_uri_list): Enable odf
	spreadsheet format.

2007-09-12  Morten Welinder  <terra@gnome.org>

	* src/GNOME_Gnumeric-gtk.xml.in: Move things around abit.

2007-09-09  Jody Goldberg <jody@gnome.org>

	* Makefile.am : always build tools before schemas
	* tools/Makefile.am : build the registry converter
	* schemas/Makefile.am : fall back on wine to do the gconf -> registry
	  conversion when cross compiling.

2007-09-08  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Added support for rendering documentation as PDF
	  through dblatex.

2007-09-08  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (gnm_pane_init) : init the expr cursor. (previously
	  the 'feedback' cursor within item-edit).
	(gnm_pane_reposition_cursors) : reposition it.
	(gnm_pane_rangesel_start) : 'disable highlight' on the expr-entry
	  rather than the item-editor.
	(gnm_pane_rangesel_stop) : ditto.
	(gnm_pane_expr_cursor_bound_set) : new.
	(gnm_pane_expr_cursor_stop) : new.

	* src/item-edit.c (ie_destroy_feedback_range) : delete.
	(ie_scan_for_range) : move to gnm-expr-entry.
	(item_edit_init) : clear the old code.
	(entry_changed) : ditto.
	(item_edit_dispose) : Use the new
	  gnm_expr_entry_disable_highlight to destroy the feedback (aka
	  'expr') cursor.
	(item_edit_enable_highlight) : move to gnm-expr-entry.
	(item_edit_disable_highlight : ditto.

2007-09-05  Morten Welinder  <terra@gnome.org>
	* src/gnm-format.c (gnm_format_has_hour,
	gnm_format_month_before_day): New functions.

	* src/wbc-gtk-edit.c (wbcg_edit_start): Use
	  gnm_format_month_before_day.

	* src/number-match.c (format_match): Use gnm_format_has_hour and
	  gnm_format_month_before_day.  No more hackery.

2007-09-04  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (get_month_before_day): Rename from
	hack_month_before_day.  Make non-hackish.

2007-09-05  Jody Goldberg <jody@gnome.org>

	* src/gui-file.c (gui_file_open) : add a mnemonic to toggle
	  simple/advanced.

2007-09-04  Jody Goldberg <jody@gnome.org>

	* configure.in : Post release bump

2007-09-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.12

2007-09-02  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-edit.c (wbcg_edit_start): Query format before locale
	in determining month/day order.

2007-08-31  Morten Welinder  <terra@gnome.org>

	* src/stf.c (stf_write_csv): Add hack to allow ssconvert to dump
	from specified sheet.

2007-08-30  Jody Goldberg <jody@gnome.org>

	* configure.in : bump gsf req to get the open-pkg fixes.

2007-08-30  Morten Welinder  <terra@gnome.org>

	* configure.in (GNM_PY_LIBADD): Don't use test==.  [#471726]

2007-08-27  Jody Goldberg <jody@gnome.org>

	* src/clipboard.c (paste_object) : transpose objects too.

2007-08-25  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: define WITH_GOFFICE_0_4 if needed.

2007-08-24  Jody Goldberg <jody@gnome.org>

	* src/sheet-object-image.c (gnm_soi_default_size) : handle failures a
	  bit better [#462787]

2007-08-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Update of graph data allocator editor on dataset changes.

	* src/wbc-gtk.c (cb_dataset_changed): new.
	(graph_dim_editor_free): disconnect dataset changed signal.
	(wbcg_data_allocator_editor): register editor entry update signal.
	Connect to dataset changed signal.

2007-08-13  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_init): Initialize gnome_vfs here so
	ssconvert will see it too.
	* src/main-application.c (gnumeric_arg_parse): Not here.

	* src/gnm-conf-keyfile.c (go_conf_get_str_list): Fix 64-bit issue.
	(go_conf_get_type): Ditto.  Fixes #465545.

2007-08-12  Morten Welinder  <terra@gnome.org>

	* src/expr-name.c (expr_name_validate): New function.

2007-08-11  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (cb_relocate_name): New function.
	(dependents_relocate): When needed, relocate named expressions.
	Fixes #123649, I hope.

	* src/expr.c (gnm_expr_relocate): For names, don't change when
	inserting/deleting columns/rows.

2007-08-10  Morten Welinder  <terra@gnome.org>

	* configure.in (libgoffice): Make this work with libgoffice-0.5
	* libspreadsheet-1.7.pc.in (Requires): Fix libgoffice req.

2007-08-09  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Make Graph entry emit an update signal on focus out event, instead on
	monitoring unmap and unrealize signals. Fix a bug where the update
	signal was not emited when leaving the entry.

	* src/wbcg-gtk.c (cb_graph_dim_entry_unmap),
	(cb_graph_dim_entry_unrealize): removed.
	(cb_graph_dim_entry_focus_out_event): new.
	(wbcg_data_allocator_editor): connect to gee->entry focus-out-event.
	Remove unmap and unrealize connections.

2007-08-10  Jody Goldberg <jody@gnome.org>

	* src/libgnumeric.c (gnm_pre_parse_init) : move the thread and stack
	  init here, along with the call to go_shell_argv_to_glib_encoding.
	(gnm_pre_parse_shutdown) : new.

	* configure.in : More cleanup on the python code in preparation for
	  win32.

2007-08-08  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_ins_del_colrow_repeat): Simplify.
	(cmd_ins_del_colrow_undo): Move undo stuff into GOUndo closure
	returned by sheet_insert_rows and friends.

	* src/sheet.c (sheet_delete_cols, sheet_delete_rows,
	sheet_insert_cols, sheet_insert_rows, sheet_colrow_insert_finish,
	sheet_colrow_delete_finish, sheet_colrow_insdel_finish): Remove
	"states" argument.
	(sheet_colrow_insdel_finish): Don't set states here.
	(sheet_delete_cols, sheet_delete_rows, sheet_insert_cols,
	sheet_insert_rows): If we collect undo info, append closure to
	reset col/row states.

	* src/sheet-object.c (sheet_objects_relocate): Don't update the
	cell_bound for objects that get translated out of the sheet.

2007-08-07  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_insert_rows): Plug leak.

	* src/gnumeric.h (GnmRelocUndo): Replace by GOUndo.

	* src/sheet-object.c (sheet_objects_clear): Add undo parameter.
	All callers changed.  (This fixes sheet object undo when columns
	containing objects are deleted.)

	* src/dependent.c (dependents_unrelocate): Make static and no
	longer free the info.
	(dependents_unrelocate_free): Make static.
	(dependents_relocate): Return a GOUndo.  All callers changed.

	* src/sheet.c (sheet_delete_cols, sheet_delete_rows,
	sheet_move_range): Use go_undo_combine to combine undo items.

2007-08-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* src/sheet-object-graph.c (gnm_sog_draw_cairo): use
	gog_graph_render_to_cairo_vector, a variant of
	gog_graph_render_to_cairo for full vector output (no metric rounding).
	Fixes #381682.

2007-08-07  Jody Goldberg <jody@gnome.org>

	* src/wbc-gtk.c : merge with workbook-control-gui, and rename
	  workbook-edit, and wbcg-actions to reflect a more rational naming
	  scheme.

	* src/wbc-gtk.c (wbc_gtk_style_feedback) : 400 -> 200 to make things a
	  bit zippier.

2007-08-06  Morten Welinder  <terra@gnome.org>

	* *.c: Use go_slist_free_custom and go_list_free_custom as
	appropriate.

	* src/dependent.c (dependents_unrelocate): Handle arrays properly.
	Fixes #463834.

2007-08-06  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Added support for rendering documentation as PDF.

2007-08-05  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_ins_del_colrow_redo): Always delete the
	local colrow state here.  Move storing of undo information to
	constructor.  Move checking for arrays too.
	(cmd_ins_del_colrow): Store undo information and check for arrays
	here.  Check for arrays/locks in the case of insert too.
	(cmd_ins_del_colrow_undo): Undo contents using go_undo.  Don't
	delete colrow state.

	* src/sheet.c (sheet_colrow_insdel_finish): Don't delete state.

2007-08-04  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: requires goffice-0.4.3.

2007-08-01  Jody Goldberg <jody@gnome.org>

	[#395926]
	* src/func.c (function_iterate_argument_values) : Allow non-scalar
	  results for var-arg arguments use intersect or union too.

2007-07-29  Jody Goldberg <jody@gnome.org>

	[#461284]
	* src/wbcg-actions.c : Move 'Repeat' back into the standard actions so
	  that it will be disabled while editing just like the other actions.
	* src/workbook-control-gui.c : handle the sensitivity of repeat here,
	  manually.
	* src/wbc-gtk.c (wbc_gtk_init_undo_redo) : rather than initializing
	  cb_chain_sensitivity down here to handle it.
	(cb_chain_sensitivity ) : use gtk_action_GET_sensitive rather than
	_IS_sensistive to avoid group effects.

2007-07-29  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Resync ALL_LINGUAS with po files.

2007-07-29  Jody Goldberg <jody@gnome.org>

	[#438933]
	* src/sheet-object.c (sheet_object_get_stacking) : simplify and just
	  find the object in the ordered list of objects rather than
	  searching in the realized lists.
	(sheet_object_adjust_stacking) : maintain the order of the object list
	  and have the views reflect that, rather than manipulating the views
	  individually.

	* src/gnm-pane.c (cb_pane_init_objs) : create the objects in the
	  reverse order to match the stacking order.

	* src/workbook-control-gui.c (wbcg_sheet_add) : no need to create the
	  object views here.  The panes will do that for us when they are
	  realized.

2007-07-26  Jody Goldberg <jody@gnome.org>

	* src/sheet-object-widget.c (cb_combo_model_changed) : we can not set
	  the column until we have a model, but we can only set it the first
	  time.

2007-07-26  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* README: Update Debian package names.

2007-07-26  Jody Goldberg <jody@gnome.org>

	* src/io-context-gtk.c : Make show_splash and show_warnings
	  properties, not global variables.
	* src/libgnumeric.c : remove the globals from here.
	* src/main-application.c : and move them locally here for the
	  GOptions.

2007-07-26  Jody Goldberg <jody@gnome.org>

	* src/xml-sax-write.c (xml_write_objects) : store the object in
	  reverse stacking order to match the sheet_object_set_sheet's api
	  that prepends new objects.

2007-07-24  Jody Goldberg <jody@gnome.org>

	* configure.in : Post release bump

2007-07-24  Jody Goldberg <jody@gnome.org>

	* Release 1.7.11

2007-07-23  Jody Goldberg <jody@gnome.org>

	* src/workbook-control-gui.c (wbcg_set_transient) : renamed from
	  wbcg_set_transient_for and remove the old virtual wrapper.

	* icons/win32-gnumeric.ico : regenerate using icotool and the new
	  tango icons.  Fixes the background. [#305311]

2007-07-23  Morten Welinder  <terra@gnome.org>

	* configure.in (python): survive missing python stuff.

2007-07-22  Jody Goldberg <jody@gnome.org>

	* configure.in : Beef up the python test logic from the gimp and try
	  to make win32 work with it.

2007-07-18  Jody Goldberg <jody@gnome.org>

	* configure.in : bump the goffice req to svn trunk to get the new
	  function.
	* src/sheet-object-graph.c (sheet_object_graph_guru) : Use the new
	  gog_guru_get_help_button to solve [#394181] until we split the docs
	  between gnumeric and goffice.

2007-07-22  Jody Goldberg <jody@gnome.org>

	* src/sheet.c (sheet_move_range) : be more adaptive about how we
	  invalidate the region.  If things are just being shifted we can
	  pretend that we're moving whole cols/rows so that the relocation
	  code can use the magic heuristics to extend/shorten partial regions.
	[#439347]

2007-07-22  Morten Welinder  <terra@gnome.org>

	* src/wbcg-actions.c: Move sheet direction from main toolbar to
	Format->Sheet menu.

2007-07-22  Jody Goldberg <jody@gnome.org>

	* src/xml-sax-read.c (handle_delayed_names) : don't dup ids.

2007-07-22  Jody Goldberg <jody@gnome.org>

	Coverity
	* src/tools/goal-seek.c (goal_seek_bisection) : fix typo.

2007-07-22  Jody Goldberg  <jody@gnome.org>

	* src/sheet.c (PROP_CONVENTIONS) : new property.
	(PROP_USE_R1C1) : made this a convenience wrapper for
	(sheet_set_conventions) : rename.
	(sheet_get_conventions) : renamed from sheet_conventions.

	* src/workbook.c (RECALC_MODE) : new property.

	* src/xml-sax-read.c (gnm_xml_attr_int) : make more rigorous.
	(xml_sax_calculation) : add DateConvention.
	(xml_sax_old_dateconvention) : new.
	(xml_sax_sheet_start) : store the name of the expr conv.
	(xml_sax_sheet_name) : assigned the named expr conv.

	* src/xml-sax-write.c (xml_write_sheet) : Use an enum in place of a
	  bool to store R1C1, for future expandability
	(xml_write_calculation) : Store the DateConvention here, rather than
	  in a magic element missing from the schema.
	* src/xml-io.c (xml_sheet_read) : support new ExprConvention hook.
	(xml_workbook_read) : support DateConvention in Calculation.

2007-07-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/xml-sax-read.c (xml_sax_repeat_top): new
	(xml_sax_repeat_left): new
	(gnumeric_1_0_dtd): hook up xml_sax_repeat_top and xml_sax_repeat_left

2007-07-21  Jody Goldberg <jody@gnome.org>

	* src/selection.c (sv_selection_walk_step) : Be smarter about choosing
	  a first col for tabs.  Going backwards can adjust the bounds.

	* src/gnm-pane.c (gnm_pane_key_mode_sheet) : invalidate the
	  'first_tab_col' so that that when Enter is switched from moving to
	  the right, to going up and down we do not jump back to the left as
	  if the previous movement had been a tab.

2007-07-19  Morten Welinder  <terra@gnome.org>

	* src/parser.y (yylex): Fix long/int mixup causing #458158 on x64.

2007-07-18  Jon K Hellan  <hellan@acm.org>

	* configure.in: Fix build

2007-07-17  Jody Goldberg <jody@gnome.org>

	* configure.in : Add an icons subdir to figures to facilitate the
	  creation chm files.  The stylesheets map 'warning' and the like to
	  figures/icons/warning.png, I do not see where.  The simple solution
	  is to dup the icons out of yelp, and into our tree with the correct
	  names and location.

2007-07-16  Jody Goldberg <jody@gnome.org>

	From Coverity.
	* src/xml-sax-read.c (xml_sax_hlink) : typo that would store the tip
	  as the target.
	* src/sheet.c (sheet_set_name) : Be extra anal about wb=NULL case.

2007-07-15  Jody Goldberg <jody@gnome.org>

	* configure.in : bump to libgda-3.1.x, and libgnomedb-3.0.x

2007-07-15  Jody Goldberg <jody@gnome.org>

	* src/workbook-view.c (wb_view_style_feedback) : We need to update the
	  validation combo even if the style is the same. [#453525]

2007-07-12  Jody Goldberg <jody@gnome.org>

	* src/gnumeric-gconf.c : split out each of the implementations into.
	* src/gnm-conf-gconf.c : here.
	* src/gnm-conf-win32.c : here.
	* src/gnm-conf-keyfile.c : and here.

	* schemas/gnumeric-general.schemas.in : Add enter_moves_dir
	* src/gnm-pane.c (gnm_pane_key_mode_sheet) : use it here.

2007-07-13  Jody Goldberg <jody@gnome.org>

	* gnumeric.xsd : update the schema with the ExprConventions and add
	  some defaults.

	* src/xml-sax-read.c (xml_sax_sheet_name) : handle the new
	  ExprConvention flags, just A1/R1C1 for now, but future proof it.
	* src/xml-sax-write.c (xml_write_sheet) : ditto.

	* src/sheet.c (sheet_set_conventions) : replaces sheet_set_use_r1c1.
	(gnm_sheet_set_property) : added 'conventions' and made use-r1c1 a
	  convenience flag.
	(gnm_sheet_get_property) : ditto.
	(gnm_sheet_class_init) : ditto.
	(sheet_dup) : use conventions rather than r1c1 flag.
	(gnm_sheet_init) : init the convs directly.
	(sheet_get_conventions) : renamed from sheet_conventions.

2007-07-13  Jody Goldberg <jody@gnome.org>

	* configure.in : remove GTK_DISABLE_DEPRECATED for now.  Gtk trunk has
	  deprecated GtkTooltips.

2007-07-12  Jody Goldberg <jody@gnome.org>

	* src/sheet-control-gui.c (scg_redraw_headers) : fix logic reversal
	  from the gnm-canvas/gnm-pane merging.

2007-07-12  Jody Goldberg <jody@gnome.org>

	* src/parse-util.c (gnm_conventions_new_full) : init input.range_ref
	  here so that all implemenations have something.  Fixes crash on oleo
	  import.
	(parse_util_init) : not here.

2007-07-09  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: don't compile the component for now as it is
	unusable after gnome-print support removal.
	* configure.in: ditto.

2007-07-06  Jody Goldberg <jody@gnome.org>

	* configure.in : Provide a way to redirect the python headers for
	  cross compilation.

2007-07-02  Jody Goldberg <jody@gnome.org>

	* src/parse-util.c (std_output_string) : virtualize string escaping.
	* src/expr.c (do_expr_as_string) : use it here.

2007-07-02  Jody Goldberg <jody@gnome.org>

	* configure.in : avoid putting newlines at the end of python output.

2007-07-02  Jody Goldberg <jody@gnome.org>

	* configure.in : handle missing gconf m4 macros

2007-07-01  Jody Goldberg <jody@gnome.org>

	* src/workbook-view.c (wb_view_edit_line_set) : doh! order things
	  consistently.

2007-06-27  Jody Goldberg <jody@gnome.org>

	* src/gnm-pane.c (gnm_pane_dispose) : chain up properly to avoid
	  crashing on exit with canvas widgets.

2007-06-27  Jody Goldberg <jody@gnome.org>

	* src/print-info.c (print_info_load_defaults) : Do _not_ clear the
	  page breaks here, that wipes out any that already existed.
	(print_info_new) : do it here instead.

	* src/print-info.h : rename from v_pagebreak/h_pagebreak ->
	  pagebreak.{v,h}.  Remove first/last until we know what they do.

2007-06-27  Jody Goldberg <jody@gnome.org>

	* src/colrow.c (colrow_reset_defaults) : new utility routine for the
	  ODF importer to search for cols/rows that are effectively the same
	  as the defaults and to reset their default status.

	* src/colrow.h (colrow_free) : new, to help clarify the code.

	* src/sheet.c (sheet_col_destroy) : use colrow_free instead of a
	  direct call to g_free.
	(sheet_row_destroy) : ditto.

2007-06-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/xml-sax-read.c (xml_sax_print_order): new
	(GsfXMLInNode): hook up xml_sax_print_order
	* src/print.c (compute_sheet_pages): add warning

2007-06-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnumeric-gconf.c (gnm_gconf_set_printer_header): do not call
	  go_conf_set_str_list with null arguments

2007-06-19  Jody Goldberg <jody@gnome.org>

	* src/sheet.c (sheet_set_direction) : queue the respan _after_ we
	  toggle the direction otherwise the redraw might do a span calc based
	  on the old value.

	* src/print-info.c (gnm_page_breaks_dup) : handle NULL for the
	  sheet_dup case.

2007-06-18  Jody Goldberg <jody@gnome.org>

	* src/gnumeric-pane.c : Merge with
	* src/gnumeric-canvas.c : into
	* src/gnm-pane.c : this new amalgamated file.  The difference between
	  the old GnmCanvas and GnumericPane was arbitrary and more of a
	  result of history than design.  Their state was co-mingled and it
	  was long past time to cleanup the mess and merge them.

2007-06-18  Morten Welinder  <terra@gnome.org>

	* src/print-cell.c (print_cell_gtk): Tentatively fix crash.
	[#448864]

	* src/xml-sax-read.c (xml_sax_cell_content): Use gnm_cell_set_text
	only as a last resort.
	(struct XMLSaxParseState): Add convs member.
	(xml_sax_validation_expr_end, xml_sax_condition_expr_end,
	xml_cell_set_array_expr, xml_sax_cell_content,
	handle_delayed_names): Use conventions.
	(xml_sax_sheet_name): Handle forgotten "protected" attribute.
	(xml_sax_sheet_start, xml_sax_sheet_start, xml_sax_sheet_name):
	Handle R1C1.  Fixes #448714.

	* src/xml-sax-write.c (xml_write_sheet): Save R1C1 flag when set.
	(gnm_xml_io_conventions): Globalize and rename from
	xml_io_conventions.

2007-06-17  Jody Goldberg <jody@gnome.org>

	* src/xml-sax-read.c (gnm_xml_file_open): Init progress counter to
	  avoid use of uninitialized memory.

2007-06-17  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_redraw_range): Restrict to visible
	pane area here.
	* src/sheet-view.c (sv_redraw_range): Not here.

2007-06-15  Jody Goldberg <jody@gnome.org>

	* src/print-info.c (print_info_free) : release the page breaks.
	(print_info_load_defaults) : init them.
	(print_info_dup) : dup them.
	(print_info_set_breaks) : new.
	(gnm_page_breaks_new) : new.
	(gnm_page_breaks_dup) : new.
	(gnm_page_breaks_free) : new.
	(gnm_page_breaks_append_break) : new.

	* src/print-info.h (GnmPageBreakType) : new.
	(GnmPageBreak) : new.

	* src/parse-util.c (gnm_expr_parse_str_simple) : rename arg to be more
	  consistent.

2007-06-15  Morten Welinder  <terra@gnome.org>

	* src/sheet-view.c (sv_redraw_range): Restrict to drawing to what
	is visible.  Fixes #445617.

	* src/sheet-control-gui.c (scg_recompute_visible_region): Renamed
	from scg_compute_visible_region.  All users changed.
	(scg_get_visible_region): New virtual.

2007-06-14  Jody Goldberg <jody@gnome.org>

	* src/item-edit.c (ie_layout) : Fix RTL mode and cleanup the handling
	  of merges and margins.
	(get_top_left) : We handle the +1 extension to get inclusion of the
	  bounds when drawing not when measuring.
	(item_edit_set_property) : Merges in RTL need special handling.

	* src/gnumeric-pane.c (gnm_pane_edit_start) : remove visibility check
	  on creation.  That is wrong in multiple ways that would seemingly
	  disable editing for no obvious reason.
	    - editing a merged cell with corner outside the visible range
	    - editing a position where the user had scrolled away from the
	      editpos

2007-06-13  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Prevent crash if we fail to load
	the workbook.

2007-06-10  Jody Goldberg <jody@gnome.org>

	* src/item-grid.c (item_grid_button_press) : Limit mouse button
	  selection capability in protected sheets.

	* src/selection.c (sheet_selection_is_allowed) : new.
	(walk_boundaries) : some initial work on walking only permissible
	  cells in a protected sheet.  There are still some performance issues
	  when wrapping.
	* src/selection.c (sv_selection_walk_step) : when protected, we can
	  wrap into other rows and columns.

2007-06-10  Jody Goldberg <jody@gnome.org>

	* src/print-info.c (pdf_write_workbook) : move here from sscovert.
	(print_init) : and register the saver here.

	* src/ssconvert.c (main) : moved registration from here.

2007-06-10  Jody Goldberg <jody@gnome.org>

	* src/workbook-view.c (wb_view_style_feedback) : fix placement when
	  applied to merged cells.

2007-06-10  Jody Goldberg <jody@gnome.org>

	* configure.in : bump the gsf req to get the OpenPkg code that just
	  moved there from our excel plugin.

2007-06-10  Jody Goldberg <jody@gnome.org>

	* src/sheet.c (gnm_sheet_set_property) : Support the XL style sheet
	  protection capabilities.
	(gnm_sheet_get_property) : ditto.
	(gnm_sheet_init) : ditto.
	(gnm_sheet_class_init) : ditto.
	(sheet_dup) : ditto.

	(sheet_col_set_default_size_pts) : add some validation just in case.

2007-06-08  Jody Goldberg <jody@gnome.org>

	* src/item-grid.c (item_grid_draw) : offset needs to know about RTL
	  when skipping a merged region. [#442463]
	(item_grid_draw_merged_range) : drawing diagonals needs to respect
	  RTL.  [442467]

2007-06-08  Jody Goldberg <jody@gnome.org>

	* src/item-cursor.c (item_cursor_reposition) : simplify slightly.
	(item_cursor_bound_set) : patch logic error.
	(cb_move_cursor) : now that we do not need to clip, handle the
	  make-visible here...
	(cb_autofill_scroll) : and here.
	(item_cursor_update) : remove the clip here. [#444610]

2007-06-04  Morten Welinder  <terra@gnome.org>

	* src/selection.c (cb_range_to_string): Use rangeref_as_string to
	get r1c1 right.  [#443832]

2007-06-03  Jean Brefort  <jean.brefort@normalesup.org>

	* src/collect.c: (gnm_slist_sort_merge), (gnm_strip_missing),
	(float_range_function2): replace union_of_int_sets by a more
	performant functon, and rename strip_missing.
	* src/collect.h: ditto.

2007-05-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (print_page_cells): remove unused clipping
	(print_page_col_headers): fix rtl case
	(print_page_row_headers): fix rtl case
	(print_page): fix rtl case

2007-05-28  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (print_titles): deleted
	(print_header_gtk): new
	(print_page_col_headers): new
	(print_page_row_headers): new
	(setup_scale): deleted
	(print_page): some cleanup
	(compute_scale_fit_to): some simplification
	  and handle header
	(compute_sheet_pages_across_then_down): handle headers
	(compute_sheet_pages): ditto

2007-05-25  Morten Welinder  <terra@gnome.org>

	* src/xml-io.c (xml_init): Install a mime type for the saver if
	goffice supports it.

2007-05-22  Morten Welinder  <terra@gnome.org>

	* src/item-bar.c (item_bar_calc_size): Tentative fix for Pango
	critical, #440514.

2007-05-21  Morten Welinder  <terra@gnome.org>

	* src/wbcg-actions.c (cb_file_quit): Call new dialog_quit.

	* src/gui-file.c (gui_file_save): Grab the size from a wbcg that
	refers to the right workbook.
	(gui_file_save_as): Ditto.  Also refer to the right wbcg when
	looking for saver type.

	* src/workbook-control-gui.c (wbcg_close_if_user_permits): Make
	static.
	(wbcg_show_save_dialog): Make static.
	(wbcg_find_for_workbook): New function.

2007-05-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* xml-sax-read.c (xml_sax_print_titles): new
	(GsfXMLInNode): hook up xml_sax_print_titles

2007-05-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* xml-sax-read.c (xml_sax_print_grid): new
	(GsfXMLInNode): hook up xml_sax_print_grid
	* style-border.c (style_border_set_gtk_dash): even for
	  GNM_STYLE_BORDER_NONE (gridline only) do we need to set the
	  line width.

2007-05-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-style.c (cb_style_extent): also adjust top left
	(sheet_style_get_extent): fix description

2007-05-17  Morten Welinder  <terra@gnome.org>

	* src/application.c (gnm_app_history_get_list): Take max-length
	argument to avoid potential stat-storm.  All callers changed.

	* src/wbcg-actions.c: Hook up FileHistoryFull.

2007-05-16  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Put files from the command line
	into the history.

	* src/application.c (gnm_app_create_opener_filter): Don't add
	mimes.  Avoid adding very generic suffixes.

	* src/wbc-gtk.c (wbc_gtk_reload_recent_file_menu): Show no more
	than 9 entries.

	* src/xml-io.c (xml_init): The sax importer is no longer
	experimental.

	* src/application.c (compare_mru): Sort by last-visited.

2007-05-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/xml-sax-read.c (xml_sax_print_vcenter): simplify
	(ml_sax_print_hcenter): simplify
	(xml_sax_monochrome): new
	(xml_sax_even_if_only_styles):
	(xml_sax_orientation): explicitly mention "landscape" but default
	  portrait
	(GsfXMLInNode): hook up xml_sax_monochrome and
	  xml_sax_even_if_only_styles
	* src/print.c (cp_gtk_page_setup): new
	(gnm_request_page_setup_cb): new
	(gnm_print_sheet) : set monochrome if required and hook up
	  gnm_request_page_setup_cb.

2007-05-15  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: test for go_render_generall instead
	of go_render_numberl which is gone.

2007-05-11  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_sheet_start): Load tab text colour
	too.  [#437743]

2007-05-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* xml-sax-read.c (xml_sax_print_vcenter): new
	(xml_sax_print_hcenter): new
	(GsfXMLInNode): hook up above functions
	* print.c (print_page): center printout if requested

2007-05-09  Morten Welinder  <terra@gnome.org>

	* src/cell-draw.c (cell_finish_layout): Fix problem with
	non-expanded format fillers.

2007-05-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (print_page): leave space for headers and footers
	(compute_sheet_pages_across_then_down): ditto

2007-05-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/xml-sax-read.c (xml_sax_print_margins): use
	  print_info_set_edge_to_*
	* src/gnumeric-gconf.h (gnm_gconf_set_print_tb_margins): new
	  arguments
	* src/gnumeric-gconf.c (gnm_gconf_set_print_tb_margins): new
	  individual arguments
	* src/xml-sax-write.c (xml_write_print_info): adjust
	  print_info_get_margins for new arguments
	* src/xml-io.c (xml_sax_print_margins): use
	  print_info_set_edge_to_*
	* src/print-info.h (PrintMargins): delete
	(PrintInformation): new fields
	(print_info_get_margins): new arguments
	(print_info_set_edge_to_above_footer): new
	(print_info_set_edge_to_below_header): new
	* src/print-info.c (print_info_get_margins): new arguments
	(print_info_set_edge_to_above_footer): new
	(print_info_set_edge_to_below_header): new
	(print_info_load_defaults): handle new fields
	(page_setup_get_paper): work around gtk bug 426416
	(print_info_set_page_setup): adjust for new arguments of
	  print_info_get_margins

2007-05-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: new paper-orientation schema
	* src/gnumeric-gconf.c (gnm_conf_init_page_setup): initialize orientation
	(gnm_gconf_set_page_setup): save orientation
	* src/gnumeric-gconf-priv.h (PRINTSETUP_GCONF_PAPER_ORIENTATION): new

2007-05-04  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (main): Install a PDF exporter.

	* src/print.c (gnm_print_sheet): Add parameter export_dst for pdf
	file generation.  All callers changed.

2007-05-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: add new schemas for margins
	and paper
	* src/gnumeric-gconf-priv.h (PRINTSETUP_GCONF_MARGIN_GTK_TOP): new
	(PRINTSETUP_GCONF_MARGIN_GTK_BOTTOM): new
	(PRINTSETUP_GCONF_MARGIN_GTK_LEFT): new
	(PRINTSETUP_GCONF_MARGIN_GTK_RIGHT): new
	(PRINTSETUP_GCONF_PAPER): new
	* src/gnumeric-gconf.c (gnm_conf_init_page_setup): new
	(gnm_conf_init_print_settings): call gnm_conf_init_page_setup
	(gnm_gconf_set_page_setup): save page setup
	* src/print-info.h (page_setup_set_paper): new
	(print_info_set_paper_width_height): delete
	(page_setup_get_paper): new
	* src/print-info.c (page_setup_set_paper): new
	(print_info_set_paper_width_height): delete
	(page_setup_get_paper): new
	(print_info_set_paper): use page_setup_set_paper
	(print_info_get_paper): use page_setup_get_paper
	(print_info_set_page_setup): preserve margins

2007-05-03  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 1.7.10

2007-05-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-info.c (unit_name_to_unit): correct the sense of the tests.

2007-05-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* schemas/gnumeric-dialogs.schemas.in: add preferred-unit schema
	* src/xml-sax-read.c (xml_sax_print_margins_get_double): deleted
	(xml_sax_print_margins_unit): rewritten
	(xml_sax_print_margins): add arguments to xml_sax_print_margins_unit
	* src/gnumeric-gconf.c (gnm_gconf_init_printer_defaults): add preferred unit
